2009-02-10 14:12  asuraparaju

	* win32/VisualStudio/Makefile.am: Include YUV420ItoYUV422I.vcproj
	  and YUV422ItoYUV420I.vcproj in list of distribution files.

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 14:04  asuraparaju

	* win32/: VS2003/libdirac_common/libdirac_common.vcproj,
	  VisualStudio/libdirac_common/libdirac_common.vcproj: Include
	  band_codec_template.h in list of headers.

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 12:46  asuraparaju

	* libdirac_common/: Makefile.am, band_codec.cpp,
	  band_codec_template.cpp, band_codec_template.h, band_vlc.cpp:
	  Renamed band_codec_template.cpp to band_codec_template.h

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 11:32  asuraparaju

	* ChangeLog: Update ChangeLog

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 11:17  asuraparaju

	* NEWS: Include Dirac 1.0.2 release notes.

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 11:17  asuraparaju

	* README: Updated notes to reflect API changes. Some cosmetic
	  changes as well.

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 11:16  asuraparaju

	* configure.ac: Update release id to 1.0.2.

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 11:16  asuraparaju

	* AUTHORS: Update contributors list.

	  Author: Anuradha Suraparaju <anuradha@hoyle.rd.bbc.co.uk>

2009-02-10 11:04  asuraparaju

	*
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm:
	  The default wavelet filters used have changed to DD13_7 for both
	  intra and inter pictures.

2009-02-10 10:57  asuraparaju

	*
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm:
	  Fix instrumentation structure documentation. The field names have
	  changed in the API to be super blocks and not macro blocks.

2009-02-09 20:45  asuraparaju

	* tests/samples.at: Remove test for full_search option. Add test
	  for modified block sizes.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.rd.bbc.co.uk>

2009-02-09 20:44  asuraparaju

	* libdirac_common/band_vlc.h: Fix GCC 4.1.2 warning.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.rd.bbc.co.uk>

2009-01-21 16:23  asuraparaju

	* decoder/decmain.cpp: Actually fix the issue addressed in
	  (082d7a2) (ignored result from fwrite)

	  Ubuntu forcibly enables FORTIFY_SOURCE, which warns on unused
	  return values on fwrite.  This may either be fixed by:  #undef
	  _FORTIFY_SOURCE  #define _FORTIFY_SOURCE 0

	  Or, by causing the application to exit on a short write.

	  NB, it could also be solved by doing a series of fwrites(), and
	  checking ferror() at the end of them.  FORTIFY_SOURCE would still
	  fail in this case.

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:22  asuraparaju

	* decoder/decmain.cpp: fix build error with -Werror and igored
	  return value from fwrite(3c)

	  It should be noted that the return value from fwrite is mostly
	  useless: if the arguments to fwrite do not set size=1, then there
	  is little hope of discovering howmuch data had been written
	  before the error. C99 states:  If an error occurs, the resulting
	  value of the file position  indicator for the stream is
	  indeterminate.

	  Error squashed by discarding result.

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:22  asuraparaju

	* libdirac_encoder/quant_chooser.cpp: encoder: remove limit on DC
	  quantizer.

	  Previous fixes should remove the requirement to limit qf on DC
	  blocks to 4.

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:21  asuraparaju

	* libdirac_common/common.cpp: encoder: Ensure that there is atleast
	  1 codeblock per subband

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:20  asuraparaju

	* libdirac_encoder/picture_compress.cpp: encoder: remove dc
	  quantizer=0 hacks

	  Fixes in bitstream handling and quant selection should've negated
	  the need for these hacks.

	  Author: David Flynn <davidf@woaf.net> Committer: David Flynn
	  <davidf@rd.bbc.co.uk>

2009-01-21 16:20  asuraparaju

	* libdirac_encoder/picture_compress.cpp: encoder: dont quantize the
	  first dc codeblock

	  - Attempt to reduce DC errors by effectively not quantizing the
	  first   value (predicted from zero).

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:19  asuraparaju

	* libdirac_common/common.cpp: encoder: Fix (and increase number of
	  ) default codeblocks

	  - Fix previously incorrect codeblock calculation - Create 4x4
	  codeblocks for DC subband and 12x12 for all others

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:18  asuraparaju

	* libdirac_encoder/quant_chooser.cpp: encoder: fix calculation of
	  max value in a subband for quant selection

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:18  asuraparaju

	* libdirac_byteio/byteio.h, libdirac_common/band_codec.cpp,
	  libdirac_common/band_codec.h,
	  libdirac_common/band_codec_template.cpp,
	  libdirac_common/band_vlc.cpp, libdirac_common/band_vlc.h,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp: bandcodec: IntraDCBandVLC
	  needs to derive from GenericIntraDCBandCodec

	   - modified the band codec files to add a GenericIntraDCBandCodec
	  class
	     that inherits from the GenericBandCodecClass.
	     It defines the common DC specific functions like
	  GetPrediction,
	     ClearBlock, DecodeCoeffBlock etc.
	   - The IntraDCBand classes inherit from the GenericBandCodecClass
	  now.
	   - modifed the ArithmeticCodecToVLCAdapter class to include the
	     Compress/Decompress functions and to have pure virtual
	     WorkCode/WorkDecode functions like the ArithCodec class.

	  Author: Anuradha Suraparaju <anuradha@rd.bbc.co.uk> Committer:
	  David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:17  asuraparaju

	* libdirac_byteio/byteio.h, libdirac_common/band_codec.cpp,
	  libdirac_common/band_codec.h,
	  libdirac_common/band_codec_template.cpp,
	  libdirac_common/band_vlc.cpp, libdirac_common/band_vlc.h:
	  bandcodec: Remove code duplication in band_vlc.cpp

	  BandVLC + friends is mostly a copy and paste of BandCodec +
	  friends.   - Rename BandCodec to GenericBandCodec   - Template
	  GenericBandCodec to take some EntropyCoder   - typedef BandCodec
	  to be GenericBandCodec with ArithCodec   - implement a translator
	  for ArithCodec style calls -> VLC ByteIO calls.   - derive
	  BandVLC from GenericBandCodec and above translator.

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:16  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: bandcodec: fix DC
	  prediction when decoding

	  Author: Anuradha Suraparaju <anuradha@rd.bbc.co.uk> Committer:
	  David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:16  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: bandcodec: fix
	  handling intra dc skipped codeblocks

	  - The error(residue) term for a skipped codeblock is zero   This
	  must be recorded to correctly set nhood_zero for subsequent
	  blocks - The values in the skipped codeblock must be predicted
	  with no   (ie zero) error term being added.

	  Author: David Flynn <davidf@rd.bbc.co.uk> Committer: David Flynn
	  <davidf@woaf.net>

2009-01-21 16:15  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: bandcodec: fix
	  IntraDC bitstream incompatability with codeblocks

	   - Fixes bitstream incompatability with codeblocks
	   - IntraDCBandCodec duplicated too much copy+paste code from
	  BandCodec.
	   - Implements a per pixel function call to provide
	  specialization.
	     This could be templated if performance really is an issue.

	  Author: David Flynn <davidf@rd.bbc.co.uk> Committer: David Flynn
	  <davidf@woaf.net>

2009-01-21 16:15  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: bandcodec:
	  eliminate sepcialized lfbandcodec

	  - Fixes bitstream incompatability with codeblocks -
	  Specialization has been moved into bandcodec.    due to too much
	  copy and paste code duplication.

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2009-01-21 16:14  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: bandcodec: remove
	  unused variables

	  Author: David Flynn <davidf@rd.bbc.co.uk> Committer: David Flynn
	  <davidf@woaf.net>

2008-12-16 12:21  asuraparaju

	* libdirac_encoder/rate_control.cpp: Added a condition to stop
	  bit-rate overruns.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-12-16 12:19  asuraparaju

	* dirac.pc.in: Include Maths library in link line if required on
	  the platform of choice.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-12-16 12:19  asuraparaju

	* libdirac_byteio/mvdataelement_byteio.h: Fix doxygen warnings.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-12-16 12:18  asuraparaju

	* libdirac_common/band_codec.cpp: Fix problem building with -Werror
	  and dumb compilers

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2008-11-20 12:05  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  common_data_structs.htm, encoder_api_functions.htm,
	  encoder_api_overview.htm, encoder_api_reference.htm,
	  encoder_data_structs.htm, index.htm, intro.htm: Update the
	  programmer's guide for version 1.0.2 of the release.

2008-11-19 15:02  asuraparaju

	* win32/VisualStudio/dirac.sln: Add new projects to the solution
	  file.

	  Author: Anuradha Suraparaju <anuradha@hoyle.(none)>

2008-11-19 10:28  asuraparaju

	* libdirac_byteio/: seqparams_byteio.cpp, seqparams_byteio.h:
	  Manually delete seqparams_byteio.cpp{h} to keep in sync with GIT
	  repository.

2008-11-19 10:25  asuraparaju

	* libdirac_common/dirac_types.h,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h: api: Add
	  dirac_encoder_pts_offset support, bump version to 1.0.2

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2008-11-19 10:25  asuraparaju

	* util/conversion/: Makefile.am, YUV420ItoYUV422I.cpp,
	  YUV422ItoYUV420I.cpp: conversion: Add 422 <-> 420 converters for
	  interlaced video

	  Author: David Flynn <davidf@rd.bbc.co.uk>

2008-11-19 10:19  asuraparaju

	* libdirac_encoder/: picture_compress.cpp, quant_chooser.cpp: Fixed
	  bug with DC value being quantised to nothing for plain pictures.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-11-06 15:54  asuraparaju

	* tests/samples.at: Add tests for fullsearch and combined_me
	  options.

	  Author: Anuradha Suraparaju <anuradha@hoyle.(none)>

2008-11-06 15:53  asuraparaju

	* libdirac_common/: common_types.h, dirac_types.h: Move macros to
	  test for the api version to dirac_types.h from common_types.h as
	  it is the more appropriate location.

	  Author: Anuradha Suraparaju <anuradha@hoyle.(none)>

2008-11-06 15:51  asuraparaju

	*
	  win32/VisualStudio/ConversionUtils/YUV420Down2x2/YUV420Down2x2.vcproj:
	  Fix include path to prevent compilation errors.

	  Author: Anuradha Suraparaju <anuradha@hoyle.(none)>

2008-10-29 13:46  asuraparaju

	* libdirac_motionest/block_match.cpp: Cosmetics - removing trailing
	  blanks.

2008-10-29 13:42  asuraparaju

	* encoder/encmain.cpp, libdirac_encoder/prefilter.cpp,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/seq_compress.cpp: Ensure that debug info is
	  printed to standard out only in verbose mode.  Cosmetics -
	  changed tabs to spaces, corrected indentation.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-10-29 13:41  asuraparaju

	* libdirac_common/common_types.h: Add macros to test for the api
	  version.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-10-21 15:55  asuraparaju

	* libdirac_motionest/me_utils.cpp: Fixed bug that caused a divide
	  by zero error.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-10-21 11:04  asuraparaju

	* libdirac_byteio/parseparams_byteio.cpp: Print a warning to
	  standard error if the bitstream version does not match the
	  supported version and continue decoding instead of bailing out.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-10-21 11:02  asuraparaju

	* configure.ac: Fix test for checking availabliity of libcppunit.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-10-20 15:22  asuraparaju

	* libdirac_encoder/picture_compress.cpp: Modify perceptual
	  weighting based on the proportion of intra blocks.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-20 15:21  asuraparaju

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/video_format_defaults.cpp: Made 13_7 the default
	  wavelet filter for all video.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-20 15:21  asuraparaju

	* libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_encoder/picture_compress.cpp: Allow for adjustable CPD
	  scaling.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-20 15:20  asuraparaju

	* libdirac_encoder/seq_compress.h: Added method for keeping track
	  of timestamp offset.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-20 15:19  asuraparaju

	* libdirac_common/common.cpp, libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_utils.cpp: Improvements to coding at low
	  bit rate and resolution.

	  Filter DC blocks field to reduce dc level transitions.  Use
	  better bigger block parameters.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-01 15:33  asuraparaju

	* Makefile.am: Set DOC_DIR only if doxygen is installed.

	  Author: asuraparaju@diracvideo.org <anuradha@hoyle.(none)>

2008-10-01 11:26  asuraparaju

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_common/mot_comp.cpp,
	  libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/enc_picture.cpp, libdirac_encoder/enc_picture.h,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h,
	  libdirac_motionest/me_subpel.cpp, libdirac_motionest/me_subpel.h,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/pixel_match.cpp,
	  unit_tests/motion_comp_test.cpp,
	  util/instrumentation/process_sequence.cpp,
	  util/instrumentation/libdirac_instrument/overlay.cpp: Manual sync
	  with dirac-research.git repository.  Changed way data for use in
	  ME is accessed.  Changed terminology from macroblock to
	  superblock.  Now (more) consistent with spec.  Changes to
	  incorporate some chroma information into ME.	Enabled combined ME
	  across Y, U and V Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-01 10:50  asuraparaju

	* Makefile.am, configure.ac, util/conversion/Makefile.am,
	  util/conversion/YUV420Down2x2.cpp: Improved 2x2 downconversion
	  filtering.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-01 10:26  asuraparaju

	* encoder/encmain.cpp, libdirac_common/video_format_defaults.cpp:
	  100% overlaps help PSNR but reduce detail too much at low rates.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-01 10:26  asuraparaju

	* encoder/encmain.cpp, libdirac_common/video_format_defaults.cpp,
	  libdirac_common/video_format_defaults.h,
	  libdirac_encoder/dirac_encoder.cpp: Use longer wavelet filters at
	  low resolution.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-01 10:25  asuraparaju

	* encoder/encmain.cpp, libdirac_common/band_codec.cpp,
	  libdirac_common/common.cpp, libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/quant_chooser.cpp: Modifications to improve
	  performance for small picture sizes.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-10-01 10:12  asuraparaju

	* encoder/encmain.cpp: 1/4 pel is now the default on small
	  pictures.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-09-16 16:49  asuraparaju

	* ChangeLog: Updated ChangeLog.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>
2008-09-16 14:33  asuraparaju

	* NEWS: Include Dirac 1.0.0 release notes.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-16 14:31  asuraparaju

	* configure.ac: Update release id to 1.0.0

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-16 14:27  asuraparaju

	* README, README.release: Update the README files.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-16 14:23  asuraparaju

	* Makefile.am: Add bootstrap to distribution.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-16 14:02  asuraparaju

	* doc/Makefile.am: Change directory name where doxygen generated
	  documentations is installed.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-16 14:02  asuraparaju

	* win32/VisualStudio/Makefile.am: Add YUV420Down2x2.vcproj and
	  YUV420pt75filter.vcproj to distribution list.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-16 14:02  asuraparaju

	* libdirac_encoder/picture_compress.cpp: motion_estimate.h is no
	  longer in use.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-15 16:34  asuraparaju

	* win32/VS2003/DecodeDirac/DecodeDirac.vcproj: Fix target directory
	  name.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-12 12:51  asuraparaju

	* doc/documentation/code/programmers_guide/: decoder_api.htm,
	  decoder_api_overview.htm, encoder_api_overview.htm,
	  encoder_data_structs.htm, index.htm, intro.htm, overview.htm,
	  software.htm, toc.htm: Update documentation for 1.0 release.

2008-09-10 22:32  asuraparaju

	* doc/: dirac_api.doxygen, dirac_api.doxygen.in,
	  dirac_api_foot.html, dirac_api_head.html: Sync with git
	  repository doc directory structure.

2008-09-10 22:28  asuraparaju

	* libdirac_byteio/mvdata_byteio.h, libdirac_common/motion.h: Fix
	  doxygen warnings.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-10 16:37  asuraparaju

	* win32/VisualStudio/: dirac.sln,
	  ConversionUtils/YUV420Down2x2/YUV420Down2x2.vcproj,
	  ConversionUtils/YUV420pt75filter/YUV420pt75filter.vcproj: Add
	  conversion utiliies YUV420Down2x2 and YUV420pt75filter to build
	  targets list.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-10 12:10  asuraparaju

	* configure.ac, doc/Makefile.am: Sync with git repository changes.

2008-09-09 21:42  asuraparaju

	* win32/: VS2003/libdirac_motionest/libdirac_motionest.vcproj,
	  VisualStudio/libdirac_motionest/libdirac_motionest.vcproj: Remove
	  motion_estimat.cpp and motion_estimate.h from the sources list as
	  they are no longer used.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-09-03 10:33  asuraparaju

	* libdirac_encoder/rate_control.cpp: Revert "Typo fix."

	  This reverts commit a5161a15d0e4f4b0dd9506dc00e52ffe368e6b81.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-09-02 10:51  asuraparaju

	* libdirac_encoder/rate_control.cpp: Typo fix.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-28 09:59  asuraparaju

	* libdirac_encoder/picture_compress.cpp: Use the picture's
	  prediction parameters and not the global prediction parameters
	  when writing motion vector data header info to the bitstream.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-27 11:06  asuraparaju

	* unit_tests/motion_comp_test.cpp: Changes related to the commit
	  where picture parameters were separated into a different class
	  from the Codec Parameters class.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-27 10:22  asuraparaju

	* libdirac_encoder/rate_control.cpp: Modified so as to adapt faster
	  at the beginning.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-27 10:20  asuraparaju

	* libdirac_common/motion.h, libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h,
	  libdirac_motionest/me_subpel.cpp, libdirac_motionest/me_subpel.h,
	  libdirac_motionest/pixel_match.cpp,
	  libdirac_motionest/pixel_match.h: Re-enabled adaptive block
	  sizes, now a subgroup or so in arrears.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-27 10:18  asuraparaju

	* libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_encoder/enc_picture.cpp, libdirac_encoder/enc_picture.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/pixel_match.cpp,
	  util/instrumentation/libdirac_instrument/overlay.cpp,
	  util/instrumentation/process_sequence.cpp: Placed a local copy of
	  picture pred params in MvData class.

	  This will allow motion parameters to be changed picture by
	  picture.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-27 10:17  asuraparaju

	* libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/mvdata_byteio.h, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_common/mot_comp.cpp,
	  libdirac_common/mot_comp.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h, libdirac_motionest/Makefile.am,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h,
	  libdirac_motionest/me_subpel.cpp, libdirac_motionest/me_subpel.h,
	  libdirac_motionest/pixel_match.cpp,
	  libdirac_motionest/pixel_match.h: Separated off picture
	  prediction parameters.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-25 13:15  asuraparaju

	* libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/seq_compress.cpp: Set default MV precision back
	  to 1/2. Also turned off 100% overlap.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-20 22:03  asuraparaju

	* libdirac_byteio/byteio.h, libdirac_common/band_codec.cpp,
	  libdirac_common/band_codec.h, libdirac_common/band_vlc.cpp,
	  libdirac_common/band_vlc.h: Fix bug in handling skipped code
	  blocks in DC bands when decoding. Also fix bug in calculating the
	  quantiser index in multiple quantiser mode for DC sub-bands in
	  Intra pictures.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-14 12:35  asuraparaju

	* util/conversion/: Makefile.am, YUV420pt75filter.cpp: Added filter
	  for horizontal 3/4 filtering

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:31  asuraparaju

	* encoder/encmain.cpp: Removed error message.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:30  asuraparaju

	* libdirac_common/mot_comp.h, libdirac_common/mv_codec.h,
	  libdirac_encoder/enc_queue.h,
	  libdirac_encoder/picture_compress.h,
	  libdirac_encoder/quality_monitor.h: Fix doxygen warnings

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-14 12:29  asuraparaju

	* libdirac_encoder/seq_compress.cpp: MC now done with 100% overlap
	  to improve blockiness at low rates.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:28  asuraparaju

	* libdirac_encoder/: picture_compress.cpp, prefilter.cpp: Refined
	  diagonal prefiltering for 1080 coding.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:27  asuraparaju

	* encoder/encmain.cpp: Frame skipping now works on pipes, if a bit
	  inefficient.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:25  asuraparaju

	* libdirac_encoder/: picture_compress.cpp, prefilter.cpp: Temp fix
	  of diagonal bandwidth to 50%.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:23  asuraparaju

	* libdirac_common/mot_comp.cpp, libdirac_encoder/seq_compress.cpp:
	  Fixed bug with reference being retired too early.

	  A P/L1 picture was being retired too early when a BBBBBP subgroup
	  followed a PPPPPP subgroup.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:22  asuraparaju

	* util/conversion/YUV420Down2x2.cpp: Added clipping to prevent
	  overshoots.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:21  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fix bug which causes the
	  encoder to crash when encoding Intra-only sequences.	For intra
	  sequences we need to insert a sequence header every
	  pre-determined number of frames (we use 10). Also all pictures in
	  an Intra-only sequence should be Non-ref Intra pictures.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-14 12:18  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fixed bug with GOP being
	  incorrectly restarted.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:18  asuraparaju

	* libdirac_decoder/Makefile.am: Export symbols to a file.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-14 12:17  asuraparaju

	* util/conversion/: Makefile.am, YUV420Down2x2.cpp: Added 2x2
	  downconversion routine.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:15  asuraparaju

	* encoder/encmain.cpp, libdirac_common/video_format_defaults.cpp:
	  Whitespace fix.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:14  asuraparaju

	* libdirac_encoder/prefilter.cpp: Adjusted diagonal prefiltering to
	  be more benign.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:14  asuraparaju

	* libdirac_encoder/rate_control.cpp: Rate of adaption of qf made
	  dependent on buffer state.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:13  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: Clean dimensions set to be
	  the full picture.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:11  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Adaptive GOP coding now works
	  for field coding.

	  This is a bit hacky. It would be better to remove the need to
	  code fields together and just double the L1 picture separation.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:08  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fixed long-dependency chain
	  bug.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:06  asuraparaju

	* libdirac_encoder/: seq_compress.cpp, seq_compress.h: Fixed bug
	  with sequence headers being written in the wrong place.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:03  asuraparaju

	* libdirac_encoder/rate_control.cpp: Reduced rate of change of qf
	  to improve worst areas.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 12:00  asuraparaju

	* libdirac_encoder/: rate_control.cpp, seq_compress.cpp: Rate
	  control now works better with adaptive GOP.

	  GOP restarts were not being handled correctly.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:59  asuraparaju

	* libdirac_encoder/picture_compress.cpp: Increase quality of
	  pictures with more intra blocks.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:58  asuraparaju

	* libdirac_byteio/picture_byteio.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/enc_queue.cpp,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/picture_compress.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Fixed bug with instrumentation.
	  Intra insertion added back in.

	  GOP will restart if a scheduled P picture is Intra.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:56  asuraparaju

	* encoder/encmain.cpp: Fixed so that the encoder can now skip large
	  numbers of frames.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:55  asuraparaju

	* libdirac_encoder/: dirac_encoder.cpp, seq_compress.cpp:
	  Temporarily disabled instrumentation as it's now buggy.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:49  asuraparaju

	* libdirac_byteio/picture_byteio.cpp, libdirac_common/motion.cpp,
	  libdirac_common/motion.h, libdirac_common/mv_codec.cpp,
	  libdirac_common/mv_codec.h,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_encoder/enc_picture.h, libdirac_encoder/enc_queue.cpp,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/picture_compress.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Subgroups will now switch to PPP
	  coding for difficult sequences.

	  The ratio of intra blocks is used to determine whether a P
	  picture contains large or poorly matched motions. If so the
	  subgroup terminated by that P is switched to all pictures.

	  This mod is still buggy.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:47  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fixed bug in CanEncode member
	  function for LongGOP sequences which caused frames to be encoded
	  twice or skipped.

	  Author: asuraparaju@diracvideo.org
	  <anuradha@hoyle.dp.rd.bbc.co.uk>

2008-08-14 11:45  asuraparaju

	* libdirac_encoder/: seq_compress.cpp, seq_compress.h: Restart GOP
	  whenever a P picture becomes an I picture.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:44  asuraparaju

	* libdirac_encoder/picture_compress.cpp: Increased quality of
	  inserted intra pictures.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:44  asuraparaju

	* libdirac_encoder/rate_control.cpp: More aggressive rate
	  correction if overshooting.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:43  asuraparaju

	* libdirac_encoder/prefilter.cpp: Set BW range for diagonal
	  prefiltering.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:41  asuraparaju

	* libdirac_common/motion.cpp, libdirac_encoder/enc_picture.cpp,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/seq_compress.cpp: Fixed bug with dropping
	  references not being properly recorded.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:39  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Temporarily disabled reference
	  dropping as it causes decoder crashes.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:38  asuraparaju

	* libdirac_encoder/prefilter.cpp: Diagonal prefilter now has
	  variable bandwidth.

	  Author: Thomas Davies <thomasd@.(none)>

2008-08-14 11:04  asuraparaju

	* libdirac_common/common.cpp, libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/quality_monitor.h: Now calculating PSNR
	  properly.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:03  asuraparaju

	* libdirac_encoder/: picture_compress.cpp, seq_compress.cpp: Fixed
	  bug with changing lambda value. Reference pruning extended to all
	  inter pics.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:02  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fixed bug where encoder queue
	  was not being pruned.

	  Also now retire I pictures after 2 L1 pictures, due to changed
	  GOP structure.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:01  asuraparaju

	* libdirac_encoder/picture_compress.cpp: Report intra block
	  proportions correctly.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 11:00  asuraparaju

	* libdirac_encoder/: picture_compress.cpp, seq_compress.cpp:
	  Encoder will now drop a reference if not useful.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 10:58  asuraparaju

	* libdirac_motionest/: me_mode_decn.cpp, me_utils.cpp, me_utils.h:
	  Modified intra selection to use a Haar transform.

	  A Haar transform is applied to the difference array after
	  subtracting the DC value. This penalises blocks where there is a
	  lot of structure, but not blocks which are close to the DC value.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 10:56  asuraparaju

	* libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_encoder/enc_picture.cpp, libdirac_encoder/enc_picture.h:
	  Added support for being able to drop a reference from an inter
	  picture.

	  If it's determined that a reference is unlike the current
	  picture, any matches might be accidental and could reduce
	  quality. So being able to drop references could be useful.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-08-14 10:51  asuraparaju

	* libdirac_byteio/accessunit_byteio.cpp,
	  libdirac_byteio/accessunit_byteio.h,
	  libdirac_byteio/dirac_byte_stream.cpp,
	  libdirac_byteio/dirac_byte_stream.h, libdirac_common/common.h,
	  libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/picture.cpp, libdirac_common/picture.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_common/wavelet_utils_mmx.cpp,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/enc_picture.cpp, libdirac_encoder/enc_picture.h,
	  libdirac_encoder/enc_queue.h,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/picture_compress.h,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h,
	  libdirac_motionest/block_match.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h,
	  libdirac_motionest/me_subpel.cpp, libdirac_motionest/me_subpel.h,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/motion_estimate.h,
	  libdirac_motionest/pixel_match.cpp,
	  libdirac_motionest/pixel_match.h: New encoder stucture to model
	  rate-control approaches.

	  Fixed bug with P-only coding.  Added support for switching block
	  sizes for pics with lots of intra blocks.  Added another
	  complexity metric based on variance of prediction residue.  Added
	  intra block ratio to MEData class.  Defined a complexity measure
	  based on pel ME SAD values.  Pixel accurate motion estimation
	  done using look ahead.  Encoder now preloads a queue of frames.
	  Split up motion estimation into tasks within the sequence
	  compressor engine.  Separated out prefiltering.  Incorporated
	  wavelet coefficient data into Picture class.	Moved subband
	  metadata into CoeffArray class.  Further splitting of picture
	  coding into subtasks.  Reorganised picture coding into subtasks
	  called by sequence compressor.  Fixed bug on updating CBR model
	  for field coding.  Changed AccessUnitByteIO to
	  SequenceHeaderByteIO for spec consistency.  Fixed bug with motion
	  data being incorrectly coded.  Added ME data to the EncPicture
	  class.  Fixed unit test for motion compensation.  Renamed
	  EncBuffer class as EncQueue class to make Andrea happy.  Fixed
	  buffers to be mere wrappers around vectors of pointers. Partially
	  fixed unit tests.  Change frame to picture names.  Fixed for
	  compatibility with buffer interfaces.  Simplified buffer memory
	  management.  Simplified buffer operation for decoder.  Changed
	  default qf to 5.5 Synched with cvs for libdirac_decoder Updated
	  against current cvs in libdirac_{byteio,common} Changed GOP L1
	  refs to reduce "breakthrough" Refactored to use encoder picture
	  and encoder buffer classes.  Added classes for encoder pictures
	  and specialist buffer.  Simplified picture class.  Refactor to
	  make subclassing easier.  Fixed interlace IO errors.	Refactored
	  so as to remove encoder-specific methods from picture buffer.
	  Modified picbuffer so that decoder solely manages picture params
	  and GOP.  Modified makefile for encoder picture class.

	  Author: Thomas Davies <thomas.davies@bbc.co.uk>

2008-06-26 20:30  tjdwave

	* doc/latex_spec/: bs-spec.tex, idwt.tex, layout-fullsize.tex,
	  quant-matrix.tex, spec-structure.tex: Fixed typos in wavelet
	  lifting spec and changed Debuc to Dubuc.

	  Also incremented version ready for release.

2008-06-23 20:48  asuraparaju

	* win32/:
	  VS2003/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  VisualStudio/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj:
	  Add enc_picture.cpp{.h} and enc_queue.cpp{.h} to the sources
	  list.

2008-06-20 20:03  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Check that future pictures
	  exist in the picture buffer before using them as references for
	  the current picture.

2008-06-19 20:39  tjdwave

	* util/instrumentation/libdirac_instrument/: draw_overlay.cpp,
	  gm_inliers.cpp, motion_arrows.cpp, motion_colour.cpp,
	  motion_colour_arrows.cpp, overlay.cpp, pred_mode.cpp, sad.cpp,
	  split_mode.cpp: Fixed instrumentation to comply with new class
	  methods.

2008-06-19 20:36  tjdwave

	* unit_tests/: frames_test.cpp, motion_comp_test.cpp: Fixed test to
	  conform to class changes.

2008-06-19 20:35  tjdwave

	* libdirac_motionest/: me_mode_decn.cpp, me_mode_decn.h,
	  me_subpel.cpp, me_subpel.h, motion_estimate.cpp,
	  motion_estimate.h, pixel_match.cpp, pixel_match.h: Fixes due to
	  use of EncQueue/EncPicture class. Changed "frame" to "picture"
	  terminology.

2008-06-19 20:33  tjdwave

	* libdirac_decoder/: comp_decompress.h, dirac_parser.cpp,
	  picture_decompress.cpp, seq_decompress.cpp: Fixes due to changes
	  in PictureBuffer and Picture classes.

2008-06-19 20:28  tjdwave

	* libdirac_encoder/: prefilter.cpp, quality_monitor.cpp,
	  quality_monitor.h: Mods due to EncQueue/EncPicture class changes.

2008-06-19 20:25  tjdwave

	* libdirac_encoder/: picture_compress.cpp, picture_compress.h:
	  Modified for change to EncQueue/EncPicture classes.

2008-06-19 20:22  tjdwave

	* libdirac_encoder/: seq_compress.cpp, seq_compress.h: Moved GOP
	  structure determination into this class.

	  Also, changed the class so that it used the EncQueue/EncPicture
	  classes.

2008-06-19 20:17  tjdwave

	* libdirac_common/: pic_io.cpp, pic_io.h: Refactored to comply with
	  changes to Picture class.

2008-06-19 20:14  tjdwave

	* libdirac_common/: common.h, common.cpp: Removed unnecessary
	  constructor.

2008-06-19 20:12  tjdwave

	* libdirac_common/: mot_comp.cpp, mot_comp.h: Changed interface.

	  Interface changes because EncQueue class is not a subclass of
	  PictureBuffer.

2008-06-19 20:10  tjdwave

	* libdirac_common/: picture.cpp, picture.h: Minor refactor to
	  remove "redo" metadata.

	  The picture buffer deletes and reallocates data now, so we don't
	  need to reconfigure/reinitialise a picture. So we can lose the
	  tracking metadata.

2008-06-19 20:07  tjdwave

	* libdirac_common/: picture_buffer.cpp, picture_buffer.h:
	  Refactored so that the class is a simple wrapper around a vector
	  of pointers.

	  Removed all the GOP functionality so that it is done in the
	  sequence compressor class.

2008-06-19 20:05  tjdwave

	* libdirac_encoder/Makefile.am: Added new files.

2008-06-19 20:02  tjdwave

	* libdirac_encoder/: enc_picture.cpp, enc_picture.h, enc_queue.cpp,
	  enc_queue.h: Added classes for encoder picture and encoder
	  picture queue.

	  The encoder picture subclasses a basic picture and adds original
	  data as well as coded data. An encoder queue is a queue of
	  encoder pictures, so separate queues/buffers for original and
	  motion estimation data are not needed.

2008-06-18 16:00  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/: DiracSplitter.cpp,
	  DiracSplitterFile.cpp, DiracSplitterFile.h: Modified the code so
	  that the Dirac decoder module of the the filter can connect to
	  splitters (e.g. AVI splitter) other than the Dirac splitter. We
	  can now play back AVI files containing Dirac muxed with audio.

2008-06-18 11:16  asuraparaju

	* encoder/encmain.cpp: Add command line argument -h or -help to
	  display usage info.

2008-06-04 15:39  asuraparaju

	* ChangeLog: [no log message]

2008-06-04 15:33  asuraparaju

	* NEWS: Updated 0.10.0 release notes

2008-06-04 15:32  asuraparaju

	* README.release: Update pre-release checks

2008-06-04 14:48  asuraparaju

	* extras/dirac_dshow/INSTALL: Modify install notes to use the
	  supported MS VC++ environment.

2008-06-04 14:46  asuraparaju

	* extras/patches/:
	  README_mplayersvn_trunk_revision_26980_dirac-0.10.x_patch,
	  mplayersvn_trunk_revision_26980-dirac-0.10.x.patch: Patch to
	  enable Dirac decoding support in MPlayer svn revision 26980.

2008-06-03 19:57  tjdwave

	* libdirac_encoder/: rate_control.cpp, seq_compress.cpp,
	  seq_compress.h: Fix for low bit rate operation.

	  Adaptive block sizes used for high QF values.

2008-06-03 15:10  asuraparaju

	* README, libdirac_common/video_format_defaults.cpp,
	  tests/samples.at: Default quality factor that produces medium
	  quality output modified to 5.5 from 7.0.

2008-05-30 16:33  asuraparaju

	* ChangeLog: [no log message]

2008-05-30 13:36  asuraparaju

	* NEWS: Included Dirac 0.10.0 release notes

2008-05-30 13:33  asuraparaju

	* extras/patches/: MPlayer-1.0rc2_dirac-0.10.x.patch,
	  README_MPlayer-1.0rc2_dirac-0.10.x_patch,
	  README_mplayersvn_trunk_revision_26925_dirac-0.10.x_patch,
	  mplayersvn_trunk_revision_26925-dirac-0.10.x.patch: New patches
	  to enable Dirac 0.10.0 playback using MPlayer.

2008-05-29 16:04  asuraparaju

	* libdirac_common/picture_buffer.cpp: Fix bug in setting the expiry
	  time for L1 frames which caused them to be retired before they
	  were used as reference frames in the decoder causing the decoder
	  to skip frames.

2008-05-29 16:01  asuraparaju

	* tests/samples.at: Add tests for encoding with pre-filtering
	  enabled.

2008-05-29 00:25  tjdwave

	* libdirac_common/picture_buffer.cpp: Changed references so that L1
	  references are the previous 2 L1 pictures to reduce detail
	  "breakthrough".

2008-05-28 12:16  asuraparaju

	* doc/latex_spec/SpecChangeLog: [no log message]

2008-05-28 11:36  asuraparaju

	* tests/samples.at: Add a test for a non-defaut GOP structure.

2008-05-27 13:06  asuraparaju

	* doc/latex_spec/ref-default-videoparams.tex: Fix for bug# 1876987.
	  Correct the name of the video format name to CIF.

2008-05-27 12:13  asuraparaju

	* README: Include description of new arguments added to the encoder
	  command line.

2008-05-27 11:29  asuraparaju

	* decoder/decmain.cpp, encoder/encmain.cpp,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/prefilter.cpp,
	  libdirac_encoder/quant_chooser.cpp,
	  libdirac_encoder/quant_chooser.h,
	  libdirac_motionest/me_utils_mmx.h,
	  libdirac_motionest/pixel_match.cpp, unit_tests/arrays_test.cpp,
	  unit_tests/arrays_test.h, unit_tests/utmain.cpp,
	  util/conversion/RGBtoUYVY.cpp,
	  util/conversion/YUV420toYUV422.cpp,
	  util/conversion/YUV422toUYVY.cpp,
	  util/instrumentation/libdirac_instrument/overlay_symbols.cpp:
	  Cosmetic changes. Replace tabs with spaces, replace DOS-style
	  line endings with UNIX-style line endings, etc.

2008-05-27 11:28  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: Set pnum in the encoder
	  parameters in the encoder handle to -1 when returning the end of
	  sequence packet since it is not a picture packet.

2008-05-27 11:10  asuraparaju

	* AUTHORS: Update the email id of the Dirac team of developers.

2008-05-27 11:09  asuraparaju

	* doc/: Makefile.am, dirac_bitstream.txt: dirac_bitstream.txt is
	  outdated and no longer required.

2008-05-21 14:00  asuraparaju

	* doc/contact.html: Sync with Dirac Sourceforge website changes.

2008-05-21 14:00  asuraparaju

	* tests/samples.at: Include tests for lossless and constant
	  bit-rate bytestreams.

2008-05-21 13:57  asuraparaju

	* doc/documentation/code/programmers_guide/encoder_api_example.htm,
	  libdirac_encoder/dirac_encoder.h: Correct the name of the preset
	  used to SD576I50 in the encoder API example.

2008-05-21 13:56  asuraparaju

	* libdirac_encoder/: dirac_encoder.cpp, seq_compress.cpp,
	  seq_compress.h: Return the Sequence header as a separate packet
	  and not preprended to an encoded frame.

2008-05-12 20:49  asuraparaju

	* configure.ac, doc/documentation/Makefile.am: Include conditional
	  variables for Support and Publications documentation. These are
	  available only when installing from CVS source are not in a
	  release.

2008-05-12 16:40  asuraparaju

	* configure.ac, doc/documentation/Makefile.am,
	  doc/documentation/publications/Makefile.am,
	  doc/documentation/support/Makefile.am: Include support and
	  publications directories in install targets.

2008-05-12 15:29  asuraparaju

	* doc/: contact.html, documentation.html, faq.html,
	  getting_involved.html, index.html, licences.html, overview.html,
	  specification.html: Sync with Sourceforge website changes.
	  Include link to licences info.  Change Schroedinger link from
	  Sourceforge to www.diracvideo.org.

2008-05-09 18:14  asuraparaju

	* doc/documentation/algorithm/algorithm/: block_data.htm,
	  dirac_software_alg0.2.pdf, index.htm, intro.htm, mot_est.htm,
	  mv_coding_arch.htm, mv_data_pred.htm, mv_entropy_code.htm,
	  olb_mc.xht, overall_arch.htm, quantisation.xht,
	  temporal_prediction_structures.htm, transform_coding_arch.htm,
	  var_size.htm, wlt_coeff_coding.xht, wlt_transform.xht: Sync with
	  Source website changes.

2008-05-09 15:04  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  common_data_structs.htm, decoder_api_example.htm,
	  decoder_api_functions.htm, decoder_api_overview.htm,
	  decoder_api_reference.htm, decoder_data_structs.htm,
	  encoder_api_example.htm, encoder_api_functions.htm,
	  encoder_api_overview.htm, encoder_api_reference.htm,
	  encoder_data_structs.htm, index.htm, intro.htm, software.htm,
	  toc.htm: Update programmer's guide to reflect changes to Dirac
	  Library API.

2008-05-09 15:00  asuraparaju

	* libdirac_encoder/: dirac_encoder.cpp, dirac_encoder.h: Rename
	  field encoded_frame_avail to encoded_picture_avail since the
	  encoder API returns frames or fields depending on the the
	  picture_coding_mode field in the encoder parameters.

2008-05-08 01:45  tjdwave

	* encoder/encmain.cpp: Removed duplicate option.

2008-05-07 15:47  asuraparaju

	* libdirac_byteio/parseparams_byteio.h, libdirac_common/pic_io.h,
	  libdirac_common/picture_buffer.h,
	  libdirac_common/video_format_defaults.h,
	  libdirac_decoder/comp_decompress.h,
	  libdirac_encoder/comp_compress.h: Fix doxygen warnings.

2008-05-06 21:17  asuraparaju

	* win32/VisualStudio/libdirac_common/libdirac_common.vcproj:
	  Include dirac_inttypes.h in headers list.

2008-05-06 21:07  asuraparaju

	* win32/VS2003/libdirac_common/libdirac_common.vcproj: Include
	  dirac_inttypes.h is headers list.

2008-05-06 21:06  asuraparaju

	*
	  win32/VS2003/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj:
	  Include prefilter.cpp and prefilter.h to build targets.

2008-05-06 19:51  asuraparaju

	* configure.ac: Visual Studio 2003 environment is no longer part of
	  release.

2008-05-06 19:39  asuraparaju

	* README: Modify MSVC++ build environment description to reflect
	  the change in the build directory structure.

2008-05-06 19:37  asuraparaju

	* acinclude.m4: Moved this file to m4 directory.

2008-05-06 19:35  asuraparaju

	* Makefile.am, bootstrap, configure.ac, encoder/Makefile.am,
	  libdirac_byteio/Makefile.am, libdirac_byteio/dirac_byte_stats.h,
	  libdirac_common/Makefile.am, libdirac_common/dirac_inttypes.h,
	  libdirac_decoder/Makefile.am, libdirac_encoder/Makefile.am,
	  libdirac_encoder/dirac_encoder.h, m4/acinclude.m4,
	  m4/ax_create_stdint_h.m4: Use autoconf macro AX_CREATE_STDINT_H
	  to create a local stdint file because different versions of gcc
	  have the "ISO C9X: 7.18 Integer types" in different header files.
	  MS VC++ does not define these types so manually typedef the ones
	  used in Dirac (int64_t and uint64_t) to MSVC++ types.

2008-05-06 16:35  asuraparaju

	* win32/VisualStudio/: Makefile.am, dirac.sln,
	  ConversionUtils/BMPtoRGB/BMPtoRGB.vcproj,
	  ConversionUtils/RGBtoBMP/RGBtoBMP.vcproj,
	  ConversionUtils/RGBtoUYVY/RGBtoUYVY.vcproj,
	  ConversionUtils/RGBtoYUV411/RGBtoYUV411.vcproj,
	  ConversionUtils/RGBtoYUV420/RGBtoYUV420.vcproj,
	  ConversionUtils/RGBtoYUV422/RGBtoYUV422.vcproj,
	  ConversionUtils/RGBtoYUV444/RGBtoYUV444.vcproj,
	  ConversionUtils/UYVYtoRGB/UYVYtoRGB.vcproj,
	  ConversionUtils/UYVYtoYUV422/UYVYtoYUV422.vcproj,
	  ConversionUtils/YUV411toRGB/YUV411toRGB.vcproj,
	  ConversionUtils/YUV420toRGB/YUV420toRGB.vcproj,
	  ConversionUtils/YUV420toYUV422/YUV420toYUV422.vcproj,
	  ConversionUtils/YUV422toRGB/YUV422toRGB.vcproj,
	  ConversionUtils/YUV422toUYVY/YUV422toUYVY.vcproj,
	  ConversionUtils/YUV422toYUV420/YUV422toYUV420.vcproj,
	  ConversionUtils/YUV444toRGB/YUV444toRGB.vcproj,
	  ConversionUtils/libconv_common/libconv_common.vcproj,
	  DecodeDirac/DecodeDirac.vcproj, DiracDecoder/DiracDecoder.vcproj,
	  DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  DiracEncoder/DiracEncoder.vcproj,
	  DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  EncodeDirac/EncodeDirac.vcproj,
	  InstrumentDirac/InstrumentDirac.vcproj,
	  InstrumentDirac/libdirac_instrument/libdirac_instrument.vcproj,
	  libdirac_byteio/libdirac_byteio.vcproj,
	  libdirac_common/libdirac_common.vcproj,
	  libdirac_motionest/libdirac_motionest.vcproj: Restructure the
	  build envirorment. All files (final executables, libraries and
	  intermediate files) are built under a directory build. Added
	  project files for new conversion utilities.

2008-05-05 12:14  asuraparaju

	* dirac.pc.in: Include libstdc++ is link dependencies.

2008-05-05 11:55  asuraparaju

	* libdirac_common/picture_buffer.cpp: Fix typo in setting expiry
	  time for bi-directional L2 reference frames. The correct value is
	  2 and not 22.

2008-05-02 16:05  asuraparaju

	* libdirac_decoder/: dirac_cppparser.cpp, dirac_cppparser.h,
	  dirac_parser.cpp, seq_decompress.cpp, seq_decompress.h: Fix the
	  bug where the decoder went into a permanent loop when some frames
	  are missing, possibly due to incomplete frames being received.
	  The decoder now carries on decoding the frames it can and returns
	  the next frame.

2008-05-02 15:57  asuraparaju

	* libdirac_byteio/: dirac_byte_stream.cpp, dirac_byte_stream.h,
	  parseunit_byteio.cpp, parseunit_byteio.h: Fix for bug# 1944681.

2008-05-02 15:49  asuraparaju

	* util/instrumentation/process_sequence.cpp: Fix memory leak
	  reported by valgrind when running diagnostics on interlace coded
	  Long-GOP sequences.

2008-05-01 19:51  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/seq_compress.cpp: Added UHDTV formats.

2008-05-01 19:51  tjdwave

	* libdirac_common/picture_buffer.cpp: Fixed bug with decoder
	  looping forever.

2008-04-30 00:09  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_common/common_types.h,
	  libdirac_encoder/Makefile.am, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/prefilter.cpp, libdirac_encoder/prefilter.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Added support for various forms
	  of prefiltering.

	  Prefiltering using rectangular, diagonal or centre-weighted
	  median filtering is now available as a command-line option.
	  Rectangular and diagonal low-pass filtering are both adaptive,
	  with strength determined by the QF and also a strength parameter
	  added on the command line. Centre-weighted median filtering is
	  non-adaptive, but adjusts the centre weight according to the
	  strength parameter.

	  Usage is :

	  dirac_encoder ... -prefilter FILTER_NAME n ....

	  where FILTER_NAME is one of NO_PF, CWM, RECTLP, DIAGLP and n is
	  from 0 to 10.  NO_PF means no prefilter.

2008-04-29 22:27  asuraparaju

	* libdirac_byteio/: dirac_byte_stats.cpp, dirac_byte_stats.h: Fix
	  discrepancies between member function declarations in the header
	  file and the implementation in the source file.

2008-04-29 22:26  asuraparaju

	* unit_tests/: frames_test.cpp, motion_comp_test.cpp: Reflect
	  changes made to PictureParams and PictureBuffer classes.

2008-04-29 18:51  tjdwave

	* encoder/encmain.cpp, libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/component_byteio.cpp,
	  libdirac_byteio/component_byteio.h,
	  libdirac_byteio/dirac_byte_stats.cpp,
	  libdirac_byteio/dirac_byte_stats.h,
	  libdirac_byteio/subband_byteio.cpp,
	  libdirac_common/band_codec.cpp, libdirac_common/band_codec.h,
	  libdirac_common/band_vlc.cpp, libdirac_common/band_vlc.h,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/mot_comp.cpp, libdirac_common/picture.cpp,
	  libdirac_common/picture.h, libdirac_common/picture_buffer.cpp,
	  libdirac_common/picture_buffer.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/comp_decompress.h,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_decoder/picture_decompress.h,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/picture_compress.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/quality_monitor.h,
	  libdirac_encoder/quant_chooser.cpp,
	  libdirac_encoder/seq_compress.cpp: Various refactorings and
	  bug-fixes.

	  1. Changed how padding is implemented so that padding is only
	  added to the coefficient array before the wavelet transform, and
	  is removed from the coefficient array immediately after the
	  wavelet transform.  No metadata for "OrigXl" etc is needed now.

	  2. Various places "frame" is changed to "picture" and "fparams"
	  to "pparams" etc.

	  3. Fixed bug with misreporting bit rate for long sequences by
	  recording data with int64_t not int.

	  4. Fixed a bug with perceptual weighting where additional weight
	  was being given to the DC band even though it is coded
	  losslessly. This threw out weights for the other bands when the
	  weights were normalised, especially for intra pictures. In turn
	  this required that the relative lambdas used for different
	  picture types had to be changed.

	  5. Fixed a minor bug with rate control where the intra lambda was
	  not being applied correctly.

	  6. Changed "field coding" metadata to "picture coding mode"
	  metadata throughout, as per spec.

	  7. Changed "QIndex" throughout to "QuantIndex" etc for clarity.

	  8. Refactored picture coding and decoding to simplify things a
	  little.

2008-04-15 19:56  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Roll back previous commit. The
	  hack to extract the last locally decoded field does not work.

2008-04-15 16:56  asuraparaju

	* libdirac_common/common.h: Fix typos in ParseParams class which
	  cause profile and level member fields to be set incorrectly.

2008-04-15 16:54  asuraparaju

	* util/instrumentation/process_sequence.cpp: Include more debugging
	  info in verbose mode. Fixed bug where last few fields in an
	  interlaced coded file were not being processed resulting in
	  memory leaks being reported by valgrind.

2008-04-15 16:52  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Hack to extract last field
	  locally decoded when coding in interlaced mode. Needs a proper
	  fix.

2008-04-15 16:50  asuraparaju

	* libdirac_byteio/accessunit_byteio.cpp,
	  libdirac_byteio/accessunit_byteio.h,
	  libdirac_byteio/parseparams_byteio.cpp,
	  libdirac_byteio/parseparams_byteio.h, libdirac_common/common.cpp:
	  Upgrade version supported to 2.2. Add checks for profile and
	  level as per specification version 2.2.

2008-04-03 21:10  tjdwave

	* doc/latex_spec/: arith.tex, idwt.tex, layout-fullsize.tex,
	  picture-dec.tex, profilelevel.tex, sequence-dec.tex,
	  wlt-unpacking.tex: Various types and updates.

2008-04-03 18:21  tjdwave

	* doc/latex_spec/bs-spec.tex: Typo.

2008-04-02 02:05  tjdwave

	* doc/latex_spec/bs-spec.tex: More changes a la vc-2

2008-04-02 01:00  tjdwave

	* doc/latex_spec/: bs-spec.tex, dataenc.tex, intro.tex,
	  motion-dec.tex, picture-dec.tex, profilelevel.tex,
	  sequence-dec.tex, spec-structure.tex, terms.tex,
	  video-interface.tex, wlt-unpacking.tex: Further reorganisations a
	  la VC-2 spec

2008-04-01 22:47  tjdwave

	* doc/latex_spec/: bs-spec.tex, profilelevel.tex, terms.tex: Typos.

2008-03-14 19:17  asuraparaju

	* encoder/encmain.cpp, libdirac_byteio/byteio.cpp,
	  libdirac_byteio/byteio.h, libdirac_byteio/dirac_byte_stats.h,
	  libdirac_common/arrays.h, libdirac_common/cmd_line.cpp,
	  libdirac_common/motion.h, libdirac_common/wavelet_utils_mmx.cpp,
	  libdirac_motionest/me_utils.cpp, libdirac_motionest/me_utils.h,
	  util/instrumentation/process_sequence.cpp,
	  util/instrumentation/libdirac_instrument/draw_overlay.h,
	  util/instrumentation/libdirac_instrument/overlay.h: Fix errors
	  and warnings reported by gcc 4.3.0

2008-03-06 19:58  asuraparaju

	* tests/samples.at: Added test for QCIF. Modified instrumentation
	  test to ignore standard out.

2008-03-06 19:10  asuraparaju

	* util/instrumentation/process_sequence.cpp: Fix unitialised memory
	  read warnings reported by valgrind when processing files coded as
	  fields.

2008-03-06 19:04  asuraparaju

	* encoder/encmain.cpp, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Fixed Bug #1874587 where not all
	  frames loaded into the encoder were not being processed in Long
	  GOP mode. The encoder now processes all frames loaded.  The
	  encoder API has also been modified ensure that all encoded frames
	  can bre retrieved.

2008-03-05 22:07  asuraparaju

	* libdirac_encoder/picture_compress.cpp: Fix uninitialised memory
	  read error reported by valgrind when encoding data losslessly.

2008-03-04 02:08  tjdwave

	* doc/latex_spec/profilelevel.tex: Changed level and profile
	  numbers to allow for future vc2 expansion better.

2008-03-04 01:33  tjdwave

	* doc/latex_spec/: bs-spec.tex, conformance.tex, intro.tex,
	  layout-fullsize.tex, picture-dec.tex, profilelevel.tex,
	  ref-default-videoparams.tex, sequence-dec.tex, state-macros.tex:
	  Updates for compatibility with latest version of VC-2. Basic
	  profiles and levels added.

	  Added UHDTV formats, VC-2 profiles and a Long-GOP profile. Also
	  added three levels: unconstrained (0), default for VC-2 (1) and
	  default for long-GOP (2).

2008-03-03 21:42  asuraparaju

	* libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_decoder/dirac_parser.cpp: Fix bug in handling End of
	  Sequence parse code where EOS packets other than the last one in
	  the stream were not being processed correctly. Schro encoded
	  bitstreams can now be decoded fully. Also fixed bug where end of
	  sequence parse status was not being returned to the end user
	  application.

2008-02-28 23:41  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex: Fixed typos.
	  Added PDF hyperlinks.

2008-02-28 22:58  tjdwave

	* libdirac_common/common.cpp, libdirac_encoder/rate_control.cpp:
	  Introduced small codeblocks and removed cap on qf when coding
	  intra-only with CBR

2008-02-27 21:47  asuraparaju

	* libdirac_common/mot_comp.cpp: Fix bug in handling edge blocks.

2008-02-20 00:34  tjdwave

	* encoder/encmain.cpp, libdirac_common/video_format_defaults.cpp:
	  Modified default wavelet depth to 4 to prevent overshoots.

2008-02-15 12:47  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fix bug in initialiasing
	  entropy factors. Now using transform depth instead of a hardcoded
	  value of 4.

2008-02-14 15:59  asuraparaju

	* extras/dirac_dshow/include/moreuuids.h: Replace fourcc
	  identifying Dirac video from vcrd to drac to be in line with the
	  fourcc used in the ffmpeg patch.

2008-02-14 15:57  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/DiracSplitter.cpp: Changes
	  to reflect modified Encoder and Decoder API.

2008-02-14 15:56  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/DiracSplitterFile.cpp: Fix
	  bug in handling next and previous offsets in parse unit header.

2008-02-14 12:41  asuraparaju

	* libdirac_byteio/parseparams_byteio.cpp: Modify version checking
	  logic so that all minor versions less than the supported minor
	  version can be decoder provided the major version is an exact
	  match.

2008-02-13 14:36  asuraparaju

	* decoder/decmain.cpp, libdirac_decoder/decoder_types.h,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_decoder/dirac_cppparser.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_decoder/dirac_parser.h,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_decoder/seq_decompress.h: Modifications to Decoder API.
	  Remove un-implemented functionality (e.g. skip decoding frame).
	  The Decoder API now returns the frame number of the frame decoded
	  and no other information (e.g. frame type).

2008-02-12 22:03  asuraparaju

	* README: Update notes for building Dirac on MS Windows 2000 and XP
	  platforms.

2008-02-12 22:02  asuraparaju

	* win32/: Makefile.am, VS2003/Makefile.am: Build environment for
	  Visual C++ 2003 no longer part of the release.

2008-02-12 16:24  asuraparaju

	* win32/VisualStudio/: dirac.sln,
	  ConversionUtils/ConversionUtils.vcproj,
	  ConversionUtils/BMPtoRGB/BMPtoRGB.vcproj,
	  ConversionUtils/RGBtoBMP/RGBtoBMP.vcproj,
	  ConversionUtils/RGBtoUYVY/RGBtoUYVY.vcproj,
	  ConversionUtils/RGBtoYUV411/RGBtoYUV411.vcproj,
	  ConversionUtils/RGBtoYUV420/RGBtoYUV420.vcproj,
	  ConversionUtils/RGBtoYUV422/RGBtoYUV422.vcproj,
	  ConversionUtils/RGBtoYUV444/RGBtoYUV444.vcproj,
	  ConversionUtils/UYVYtoRGB/UYVYtoRGB.vcproj,
	  ConversionUtils/YUV411toRGB/YUV411toRGB.vcproj,
	  ConversionUtils/YUV420toRGB/YUV420toRGB.vcproj,
	  ConversionUtils/YUV422toRGB/YUV422toRGB.vcproj,
	  ConversionUtils/YUV444toRGB/YUV444toRGB.vcproj,
	  ConversionUtils/libconv_common/libconv_common.vcproj,
	  DecodeDirac/DecodeDirac.vcproj, DiracDecoder/DiracDecoder.vcproj,
	  DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  DiracEncoder/DiracEncoder.vcproj,
	  DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  EncodeDirac/EncodeDirac.vcproj, Everything/Everything.vcproj,
	  InstrumentDirac/InstrumentDirac.vcproj,
	  InstrumentDirac/libdirac_instrument/libdirac_instrument.vcproj,
	  libdirac_byteio/libdirac_byteio.vcproj,
	  libdirac_common/libdirac_common.vcproj,
	  libdirac_motionest/libdirac_motionest.vcproj: Updated project and
	  solution files for Visual Studio 2008 environment. Visual Studio
	  2005 build environment is no longer supported.

2008-02-12 03:39  tjdwave

	* doc/latex_spec/SpecChangeLog: Specification ChangeLog added.

2008-02-09 00:57  davidf_

	* libdirac_encoder/dirac_encoder.cpp: Fix change from *frame ->
	  *picture with --enable-debug

2008-02-06 10:52  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/DiracSplitter.cpp:
	  Modification resulting from changed decoder API stuctures.

2008-02-05 17:32  asuraparaju

	* win32/:
	  VS2003/DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  VS2003/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  VS2003/libdirac_byteio/libdirac_byteio.vcproj,
	  VS2003/libdirac_common/libdirac_common.vcproj,
	  VisualStudio/DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  VisualStudio/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  VisualStudio/libdirac_byteio/libdirac_byteio.vcproj,
	  VisualStudio/libdirac_common/libdirac_common.vcproj: Fix project
	  files to get rid of compiler warning that resulted from the code
	  refactor.

2008-02-05 14:14  asuraparaju

	* unit_tests/: frames_test.cpp, frames_test.h,
	  motion_comp_test.cpp, motion_comp_test.h: Fix compiler warning
	  resulting from earlier refactoring of code relating to frames and
	  fields.

2008-02-05 00:43  tjdwave

	* util/conversion/: Makefile.am, UYVYtoYUV422.cpp,
	  YUV420toYUV422.cpp, YUV422toUYVY.cpp, YUV422toYUV420.cpp: Adding
	  extra filters to avoid going through RGB for YUV format
	  conversions.

2008-02-02 06:52  tjdwave

	* libdirac_common/motion.cpp, libdirac_common/mv_codec.cpp,
	  libdirac_encoder/dirac_encoder.cpp: Fixed bug with DC value
	  prediction in motion data coding.

2008-02-01 02:20  tjdwave

	* libdirac_encoder/quality_monitor.cpp: Typo.

2008-01-31 22:25  tjdwave

	* decoder/decmain.cpp, encoder/encmain.cpp,
	  libdirac_byteio/Makefile.am, libdirac_byteio/component_byteio.h,
	  libdirac_byteio/dirac_byte_stream.cpp,
	  libdirac_byteio/dirac_byte_stream.h,
	  libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_byteio/endofsequence_byteio.h,
	  libdirac_byteio/frame_byteio.cpp, libdirac_byteio/frame_byteio.h,
	  libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/mvdata_byteio.h,
	  libdirac_byteio/parseparams_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h,
	  libdirac_byteio/picture_byteio.cpp,
	  libdirac_byteio/picture_byteio.h,
	  libdirac_byteio/transform_byteio.cpp,
	  libdirac_byteio/transform_byteio.h, libdirac_common/Makefile.am,
	  libdirac_common/band_codec.cpp, libdirac_common/band_codec.h,
	  libdirac_common/band_vlc.cpp, libdirac_common/band_vlc.h,
	  libdirac_common/bit_manager.cpp, libdirac_common/bit_manager.h,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/common_types.h,
	  libdirac_common/dirac_exception.h, libdirac_common/dirac_types.h,
	  libdirac_common/frame.cpp, libdirac_common/frame.h,
	  libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_common/mot_comp.cpp, libdirac_common/mot_comp.h,
	  libdirac_common/motion.h, libdirac_common/pic_io.cpp,
	  libdirac_common/pic_io.h, libdirac_common/picture.cpp,
	  libdirac_common/picture.h, libdirac_common/picture_buffer.cpp,
	  libdirac_common/picture_buffer.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/video_format_defaults.h,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h, libdirac_decoder/Makefile.am,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/comp_decompress.h,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_decoder/dirac_cppparser.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_decoder/dirac_parser.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_decoder/picture_decompress.cpp,
	  libdirac_decoder/picture_decompress.h,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_decoder/seq_decompress.h, libdirac_encoder/Makefile.am,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/frame_compress.h,
	  libdirac_encoder/picture_compress.cpp,
	  libdirac_encoder/picture_compress.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/quality_monitor.h,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/rate_control.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h,
	  libdirac_motionest/me_subpel.cpp, libdirac_motionest/me_subpel.h,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/motion_estimate.h,
	  libdirac_motionest/pixel_match.cpp,
	  libdirac_motionest/pixel_match.h,
	  util/instrumentation/process_sequence.cpp,
	  util/instrumentation/process_sequence.h,
	  util/instrumentation/libdirac_instrument/draw_overlay.cpp,
	  util/instrumentation/libdirac_instrument/draw_overlay.h,
	  util/instrumentation/libdirac_instrument/gm_inliers.cpp,
	  util/instrumentation/libdirac_instrument/gm_inliers.h,
	  util/instrumentation/libdirac_instrument/motion_arrows.cpp,
	  util/instrumentation/libdirac_instrument/motion_arrows.h,
	  util/instrumentation/libdirac_instrument/motion_colour.cpp,
	  util/instrumentation/libdirac_instrument/motion_colour.h,
	  util/instrumentation/libdirac_instrument/motion_colour_arrows.cpp,
	  util/instrumentation/libdirac_instrument/motion_colour_arrows.h,
	  util/instrumentation/libdirac_instrument/overlay.cpp,
	  util/instrumentation/libdirac_instrument/overlay.h,
	  util/instrumentation/libdirac_instrument/pred_mode.cpp,
	  util/instrumentation/libdirac_instrument/pred_mode.h,
	  util/instrumentation/libdirac_instrument/sad.cpp,
	  util/instrumentation/libdirac_instrument/sad.h,
	  util/instrumentation/libdirac_instrument/split_mode.cpp,
	  util/instrumentation/libdirac_instrument/split_mode.h: Major
	  refactor to make clear the distinction between pictures (frames
	  OR fields) and frames or fields specifically. Frame classes have
	  been renamed to be Picture classes, along with associated
	  metadata. No coding parameters have been changed.

2008-01-31 02:53  tjdwave

	* doc/latex_spec/terms.tex: [no log message]

2008-01-26 23:11  asuraparaju

	* ChangeLog: [no log message]

2008-01-26 23:02  asuraparaju

	* NEWS: Include 0.9.1 release notes.

2008-01-26 22:58  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/stdafx.h: Fix bug where not
	  all frame parse codes (e.g. no arith coding intra frames,
	  auxiliary data, padding data, etc) were being processes by the
	  parsing function.

2008-01-26 22:54  asuraparaju

	* extras/patches/:
	  README_ffmpegsvn_trunk_revision_11612-dirac-0.9.x_patch,
	  ffmpegsvn_trunk_revision_11612-dirac-0.9.x.patch: Dirac patch for
	  FFmpeg svn revision 11612. Fixed bug# 1877990. Applied patch
	  supplied with the bug report.  Fixed bug where not all frame type
	  (.e.g. no-Arith coding intra frames) were being handled by the
	  parser function.

2008-01-26 22:50  asuraparaju

	* extras/patches/: MPlayer-1.0rc2_dirac-0.9.x.patch,
	  README_MPlayer-1.0rc2_dirac-0.9.x_patch: Fix bug# 1878017.
	  Modified dirac detection technique to auto-detection based on
	  extension.  Fixed bug where not all frame types (.e.g
	  no-Arith-coding intra frames) were being recognised.

2008-01-26 22:44  asuraparaju

	* libdirac_encoder/rate_control.cpp: Fix bug that caused encoder to
	  crash when encoding i-frame only streams in constant bitrate
	  mode.

2008-01-26 22:43  asuraparaju

	* libdirac_common/common.cpp: Update supported version to 2.1

2008-01-26 22:42  asuraparaju

	* configure.ac: Update release id to 0.9.1

2008-01-26 22:42  asuraparaju

	* doc/specification.html: Update Dirac Spec link to point to the
	  spec release 2.1.0

2008-01-24 22:47  tjdwave

	* README: Fixed incorrect instructions for IP coding.

2008-01-24 21:10  tjdwave

	* doc/latex_spec/abstract.tex, doc/latex_spec/bs-spec.tex,
	  doc/latex_spec/intro.tex, doc/latex_spec/layout-fullsize.tex,
	  doc/latex_spec/mc.tex,
	  doc/latex_spec/ref-default-videoparams.tex,
	  doc/latex_spec/state-macros.tex, libdirac_common/mot_comp.cpp:
	  Incorrect motion compensation block weighting matrix specified.
	  Version moved up to 2.1 for correction. Code updated also.

2008-01-23 12:17  asuraparaju

	* ChangeLog: [no log message]

2008-01-23 12:13  asuraparaju

	* NEWS: Include Dirac 0.9.0 release notes.

2008-01-23 11:42  asuraparaju

	* doc/specification.html: Updated with new information and links to
	  released spec docs.

2008-01-23 11:40  asuraparaju

	* doc/todo.html: Update list.

2008-01-23 11:39  asuraparaju

	* doc/licences.html: Fix GNU licences URL.

2008-01-22 22:39  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  decoder_api_functions.htm, encoder_api_example.htm,
	  encoder_data_structs.htm, index.htm, intro.htm, overview.htm,
	  software.htm: Updated for Dirac 0.9.0 api changes.

2008-01-22 18:38  asuraparaju

	* libdirac_byteio/byteio.h, libdirac_encoder/comp_compress.h: Fix
	  doxygen warnings

2008-01-22 18:15  asuraparaju

	* configure.ac: Updated Dirac release version to 0.9.0

2008-01-22 18:10  asuraparaju

	* extras/patches/: MPlayer-1.0rc2_dirac-0.9.x.patch,
	  README_MPlayer-1.0rc2_dirac-0.9.x_patch,
	  README_ffmpegsvn_trunk_revision_11592-dirac-0.9.x_patch,
	  ffmpegsvn_trunk_revision_11592-dirac-0.9.x.patch: MPlayer and
	  FFmpeg patches for Dirac release 0.9.0

2008-01-22 11:17  asuraparaju

	* libdirac_common/common.cpp: Updated version to 2.0 (major 2 minor
	  0) to match version of spec the s/w is compliant with.

2008-01-22 00:32  tjdwave

	* doc/latex_spec/: abstract.tex, intro.tex, layout-fullsize.tex,
	  profilelevel.tex: Moved version to 2.0. 1.0=Dirac Pro=Intra only.
	  Removed stuff on levels and profiles: now there are just values
	  for "undefined".

2008-01-17 23:19  tjdwave

	* doc/latex_spec/wlt-unpacking.tex: Better normative language.

2008-01-17 03:11  tjdwave

	* libdirac_encoder/: quant_chooser.cpp, quant_chooser.h: Improved
	  and cleaned up quantiser selection.

2008-01-17 03:09  tjdwave

	* libdirac_common/video_format_defaults.cpp: Set default wavelet
	  depth to 5 for better performance.
2008-01-16 21:05  tjdwave

	* doc/latex_spec/mc.tex: Changed spatial weighting matrix to give
	  better weights for offset=1.

2008-01-16 21:01  tjdwave

	* libdirac_common/mot_comp.cpp: Changed spatial weighting matrix so
	  that weights for offset=1 will be (3,5) rather than (1,7). This
	  will reduce blockiness for chroma components.

2008-01-16 13:42  asuraparaju

	* libdirac_byteio/parseunit_byteio.h: Fix bug in test for auxiliary
	  data parse unit.

2008-01-15 15:36  asuraparaju

	* doc/documentation/code/programmers_guide/common_data_structs.htm,
	  libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_byteio/displayparams_byteio.h,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/common_types.h,
	  libdirac_common/dirac_exception.h, libdirac_common/dirac_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  util/instrumentation/instrmain.cpp: Spec Compliance -
	  nomenclature changes. Rename aspect_ratio to pixel_aspect_ratio,
	  sampling_format to chroma_sampling_format.

2008-01-15 11:19  asuraparaju

	* libdirac_byteio/dirac_byte_stream.cpp: Fix bug in handling
	  concatenated dirac streams.

2008-01-14 12:22  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/DiracSplitter.vcproj: Fix
	  include path and linker flags, and libraries for static-release
	  target.

2008-01-11 03:11  tjdwave

	* doc/latex_spec/: motion-dec.tex, spec-structure.tex,
	  state-macros.tex, wlt-unpacking.tex: Re-working of motion data
	  decoding to use more spec-like language and to conform to the
	  style used in VC-2.

2008-01-10 02:42  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex, mc.tex,
	  motion-dec.tex, spec-conventions.tex, state-macros.tex: Modified
	  motion decoding to clarify mode meanings and adopt consistent
	  terminology for modes, vectors and global motion parameters.

2008-01-09 23:37  tjdwave

	* doc/latex_spec/arith.tex: Conformed to VC-2 spec.

2008-01-09 22:36  tjdwave

	* doc/latex_spec/mc.tex: Clarified informative note to fix Bug 10.

2008-01-09 22:31  tjdwave

	* doc/latex_spec/: bs-spec.tex, motion-dec.tex: Fixed typos in Bug
	  #11

2008-01-09 21:50  asuraparaju

	* libdirac_common/: common.h, mot_comp.cpp, mot_comp.h,
	  mot_comp_mmx.cpp, mot_comp_mmx.h: Spec compliance. Modify motion
	  compensations functions to comply with latest specification.

2008-01-09 21:48  asuraparaju

	* libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/frame_compress.cpp: Fix bug in setting default
	  picture weights and precision. They are now set only in one
	  place.

2008-01-09 21:45  asuraparaju

	* libdirac_byteio/: frame_byteio.cpp, mvdata_byteio.cpp: Minor
	  corrections to comments.

2008-01-09 21:44  asuraparaju

	* libdirac_byteio/displayparams_byteio.cpp: Fix bug where the
	  colour specification defaults were not being set for custom
	  specification index 0.

2008-01-09 21:43  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/DiracSplitterFile.cpp:
	  Correct interlace field name to source_sampling in the source
	  params.

2008-01-09 21:41  asuraparaju

	* win32/: VS2003/libdirac_common/libdirac_common.vcproj,
	  VisualStudio/libdirac_common/libdirac_common.vcproj: Include
	  band_vlc.h and band_vlc.cpp in sources list to build the target.

2008-01-09 01:50  tjdwave

	* doc/latex_spec/: abstract.tex, arith.tex, bs-spec.tex,
	  dataenc.tex, idwt.tex, layout-fullsize.tex, lifting.tex,
	  motion-dec.tex, picture-dec.tex, quant-matrix.tex,
	  sequence-dec.tex, spec-conventions.tex, spec-structure.tex,
	  state-macros.tex, video-interface.tex, vidsys-aspect.tex,
	  vidsys-colour.tex, vidsys-colourmatrix.tex,
	  vidsys-colourprimaries.tex, vidsys-framerate.tex,
	  vidsys-sigrange.tex, vidsys-transfer.tex, wlt-dec.tex,
	  wlt-unpacking.tex: Fixed Annex A (Data Encodings) to agree with
	  VC-2 spec, including clarification of contexts. Fixed arithmetic
	  coding initialisation in motion data decoding.Various tidyings.

2008-01-08 22:46  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex, mc.tex,
	  motion-dec.tex, sequence-dec.tex, spec-conventions.tex,
	  wlt-unpacking.tex: Cross-reference chasing. Some arithmetic
	  coding incompatibilities with VC-2 spec fixed.

2008-01-08 03:12  tjdwave

	* doc/latex_spec/: bs-spec.tex, dataenc.tex, layout-fullsize.tex,
	  picture-dec.tex, terms.tex, wlt-unpacking.tex: Fixed some
	  cross-reference bugs.

2008-01-07 23:18  tjdwave

	* doc/latex_spec/mc.tex: Fixed bug with sub-pel motion
	  compensation. 8th pel should now be correctly spec'd.

2008-01-07 23:17  tjdwave

	* doc/latex_spec/bs-spec.tex: Fixed minor discrepancy over parse
	  code with VC-2.

2008-01-03 14:42  asuraparaju

	* libdirac_common/common.cpp, libdirac_common/common_types.h,
	  doc/documentation/code/programmers_guide/common_data_structs.htm:
	  Minor nomenclature change - rename colour primary enums to match
	  spec.

2008-01-03 14:40  asuraparaju

	* libdirac_byteio/parseunit_byteio.h: Spec compliance - Modify
	  Auxiliary Data parse code test function as per spec.

2008-01-03 14:39  asuraparaju

	* libdirac_byteio/frame_byteio.cpp: Spec compliance - VLC not
	  supported for Inter frames. Modified the error message
	  accordingly.

2008-01-03 14:36  asuraparaju

	* README, libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_common/dirac_types.h,
	  libdirac_encoder/dirac_encoder.cpp, encoder/encmain.cpp: Spec
	  Compliance - Field dominance flag (top_field_first) can no longer
	  be overridden in the source parameters.

2008-01-02 22:59  tjdwave

	* doc/latex_spec/mc.tex: Minor typo.

2007-12-21 02:04  tjdwave

	* doc/latex_spec/: bs-spec.tex, quant-matrix.tex: Bug fixes.

2007-12-21 01:54  tjdwave

	* doc/latex_spec/: bs-spec.tex, quant-matrix.tex, state-macros.tex:
	  Modified quant matrix so that it's calculated from the synthesis
	  filters and properly normalised. Changed the scan format part so
	  that the top field first flag can't be overridden in the source
	  parameters. This is consistent with vc2.

	  VC2 now submitted: these should be the last changes to the
	  non-motion data except for bug fixes. This part is frozen.

2007-12-14 03:36  tjdwave

	* doc/latex_spec/vidsys.tex: [no log message]

2007-12-14 03:35  tjdwave

	* doc/latex_spec/vidsys.tex: Conformed against VC-2 specification
	  version.

2007-12-14 02:15  tjdwave

	* doc/latex_spec/video-interface.tex: Ported text from VC-2 spec.

2007-12-14 01:49  tjdwave

	* libdirac_common/band_vlc.h, libdirac_encoder/rate_control.cpp:
	  Fixed g++ 4.1.3 compiler errors.

2007-12-13 21:12  tjdwave

	* doc/latex_spec/mc.tex:
	  Fixed bug in block_mc function for bi-directional mode.

2007-12-13 12:56  asuraparaju

	* libdirac_common/common.h: Fix error in PicArray constructor when
	  MMX opts are not being used.

2007-12-13 02:27  tjdwave

	* libdirac_encoder/rate_control.cpp: Fixed bug with emergency
	  re-allocation: this was throwing out the subgroup frame count.

2007-12-13 01:01  tjdwave

	* libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/frame_compress.h,
	  libdirac_encoder/quant_chooser.cpp,
	  libdirac_encoder/quant_chooser.h,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/rate_control.h,
	  libdirac_encoder/seq_compress.cpp: Modified rate control. The
	  rate control no longer crashes when it inserts intra pictures:
	  the picture bits in this case are allocated to the _scheduled_
	  picture type. A tentative buffer model has been re-introduced
	  whereby the GOP allocation is adapted slowly to reduce
	  overshoots, and quickly to reduce undershoots. The buffer target
	  occupancy is set to 90%, and once every GOP this is corrected for
	  bit rate overshoots, and once every subgroup (i.e. much faster)
	  it is corrected, by a larger amount, for bit rate undershoots. In
	  addition, if the bit rate for a particular frame is <50% of the
	  target bit rate, an emergency reallocation is applied.

	  The frame compressor and sequence compressor classes have been
	  re-arranged so that the frame compressor manages quantisation
	  selection. This will allow the rate controller to be modified
	  with look-ahead, changing QF values ahead of time based on
	  estimated bit rate for residuals, as well as on the results of
	  motion estimation. At the moment it's still pure feedback
	  however.

	  Performance on difficult pictures has also been improved by
	  increasing the quality of inserted I frames, and increasing the
	  premium given to pictures with a large number of intra blocks.

	  Quantiser selection has also been tidied a little.

2007-12-12 22:48  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex,
	  spec-conventions.tex, state-macros.tex, terms.tex: Minor wording
	  changes, consistent with VC-2.

2007-12-12 22:17  tjdwave

	* doc/latex_spec/motion-dec.tex: Fixed bug with dc value prediction
	  in motion decoding. (Also fixed in code now).

2007-12-12 22:10  tjdwave

	* libdirac_common/mv_codec.cpp: Default DC prediction value should
	  be 0. Specification needs updating too.

2007-12-12 03:17  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Fixed bug with calculating
	  bit rates for individual GOPs: these were being over-estimated by
	  about 10%.

2007-12-11 13:27  asuraparaju

	* README, decoder/decmain.cpp,
	  doc/documentation/code/programmers_guide/common_data_structs.htm,
	  doc/documentation/code/programmers_guide/encoder_api_example.htm,
	  encoder/encmain.cpp, libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/dirac_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  util/instrumentation/instrmain.cpp: Spec conformance - Made the
	  source scanning format into a uint parameter rather than a
	  boolean flag.

2007-12-10 20:24  tjdwave

	* doc/latex_spec/: bs-spec.tex, motion-dec.tex, profilelevel.tex,
	  state-macros.tex, vidsys.tex, wlt-unpacking.tex: Made the source
	  scanning format into a uint parameter rather than a boolean flag,
	  so that we can support other formats than progressive and
	  interlaced in future. Fixed Schleef bugs #2 and #3.

2007-12-05 12:42  asuraparaju

	* README,
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm,
	  encoder/encmain.cpp, libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/codingparams_byteio.h, libdirac_common/common.h,
	  libdirac_common/dirac_exception.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/seq_compress.cpp, tests/samples.at,
	  util/instrumentation/instrmain.cpp: Field coding flag in sequence
	  header changed to picture coding flag to comply with spec version
	  1.0.0_pre10. The external encoder API has also been modified to
	  reflect this change. Note that internally the field coding flag
	  is still used until we support picture coding modes other than 0
	  (frames) or 1 (fields). Both encoder and decoder libraries will
	  return an error if a picture coding mode other than 0 or 1 is
	  used.

2007-12-05 12:23  asuraparaju

	* libdirac_common/: band_codec.cpp, band_vlc.cpp: Modify
	  calculation of mean of three numbers as per spec.

2007-12-04 02:22  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex, mc.tex,
	  motion-dec.tex, picture-dec.tex, spec-conventions.tex: More VC-2
	  compatability updates. Also, modifed motion compensation to fit
	  into 16 bits. Upconverted reference no longer necessary for
	  pixel- accurate motion compensation: upconverted ref has size
	  2W-1 x 2H-1 so that (even) edge pixels are all derived from
	  original data.

2007-11-23 02:19  tjdwave

	* libdirac_common/: upconvert.cpp, upconvert.h, upconvert_mmx.cpp:
	  Changed filter to 8 taps with 6 signed bits per tap by
	  approximating the original 10 tap, 9 bit filter. The intermediate
	  calculations will now fit into 16 bits even for 10 bit input
	  data. The new filter causes compression to be up to 0.1dB worse,
	  in return for much speedier performance when optimised.

	  The MMX version has been removed, but may be reinstated at a
	  later date.

2007-11-16 15:54  asuraparaju

	* libdirac_byteio/: accessunit_byteio.h, dirac_byte_stream.cpp:
	  Terminology change to match spec - Renamed PU_ACCESS_UNIT to
	  PU_SEQ_HEADER.

2007-11-16 15:52  asuraparaju

	* libdirac_common/: band_vlc.cpp, band_vlc.h: New class BandVLC to
	  enable entropy coding of entropy data using VLC only.

2007-11-16 15:51  asuraparaju

	* README, encoder/encmain.cpp: New command line argument -use_vlc
	  to enable use of VLC for entropy coding of coefficients. VLC of
	  coefficients is enabled for i-frame only sequences at the moment.

2007-11-16 15:50  asuraparaju

	* libdirac_byteio/: frame_byteio.cpp, frame_byteio.h: Added support
	  for using VLC codes for entropy coding of coefficient data.
	  Renamed i/o functions to match spec.

2007-11-16 15:50  asuraparaju

	* libdirac_common/Makefile.am, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_common/frame_buffer.cpp,
	  libdirac_common/frame_buffer.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/seq_compress.cpp,
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm,
	  tests/samples.at, unit_tests/motion_comp_test.cpp: Added support
	  for using VLC codes for entropy coding of coefficient data.

2007-11-16 15:48  asuraparaju

	* libdirac_byteio/accessunit_byteio.cpp,
	  libdirac_byteio/byteio.cpp, libdirac_byteio/byteio.h,
	  libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/mvdataelement_byteio.cpp,
	  libdirac_byteio/parseparams_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h,
	  libdirac_byteio/subband_byteio.cpp,
	  libdirac_byteio/transform_byteio.cpp,
	  libdirac_common/arith_codec.cpp, libdirac_common/arith_codec.h:
	  Added functions to support bounded i/o. Renamed i/o functions to
	  match spec.

2007-11-12 13:27  asuraparaju

	* libdirac_byteio/frame_byteio.cpp, libdirac_byteio/frame_byteio.h,
	  libdirac_common/common.h, libdirac_common/frame_buffer.cpp,
	  libdirac_common/frame_buffer.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/seq_compress.cpp: Implement retired picture
	  buffer management modifications as per latest spec.  - Only one
	  picture is modified at a time.  - Retire only when decoding a
	  reference picture.  - Do all retirements at the beginning of a
	  picture rather than at the end.

2007-11-12 13:24  asuraparaju

	* libdirac_common/: common.cpp, common_types.h,
	  video_format_defaults.cpp: Include (15000, 1001) and (25, 2)
	  frame rate presets in the standard frame rates table.

2007-11-12 13:20  asuraparaju

	* decoder/decmain.cpp, libdirac_decoder/dirac_cppparser.cpp:
	  Cosmetic changes - all debug info in verbose mode is output to
	  standard out and not standard error to keep it consistent with
	  rest of code.

2007-11-09 03:46  tjdwave

	* doc/latex_spec/: bs-spec.tex, dataenc.tex, idwt.tex,
	  layout-fullsize.tex, lifting.tex, mc.tex, picture-dec.tex,
	  ref-default-videoparams.tex, spec-conventions.tex,
	  spec-structure.tex, state-macros.tex, terms.tex, vidsys.tex,
	  wlt-unpacking.tex: Further compliance modifications with VC-2.
	  Reorganisation to simplify motion compensation sections
	  (ongoing).

2007-11-07 17:58  asuraparaju

	* encoder/encmain.cpp, util/instrumentation/instrmain.cpp:
	  Terminology changes - Renamed video format names as per spec.
	  Renamed interlace coding flag to interlaced coding flag as per
	  spec. Modified acceptable input values for cformat arg to make it
	  clearer as to what the sampling formats supported are. Note that
	  the command line arguments have changed as a result of this.

	  Fixed bug in writing the instrumentation data header. Interlaced
	  coding flag is now written to the instrumentation output so that
	  the dirac_instrumentation utility works correctly.

2007-11-07 17:52  asuraparaju

	* libdirac_encoder/: dirac_encoder.cpp, dirac_encoder.h:
	  Terminology change - renamed interlace coding flag to interlaced
	  coding flag as per spec.  The signal range for all input data is
	  set to 8BIT_VIDEO as Dirac currently supports 8 bit data only.

2007-11-07 17:49  asuraparaju

	* README,
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp, tests/colourbars.at,
	  tests/samples.at: Terminology changes - renamed Video format
	  names to match spec. Renamed interlace coding flag to interlaced
	  coding flag as per spec. Note that command line interface of
	  encoder app has changed as a result of these changes.

2007-11-07 17:46  asuraparaju

	* libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/codingparams_byteio.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/seq_compress.cpp: Terminology change - renamed
	  interlace coding flag to interlaced coding flag as per spec.

2007-11-07 17:39  asuraparaju

	* libdirac_byteio/mvdata_byteio.cpp: Simplified picture prediction
	  header as per spec.

2007-11-07 17:37  asuraparaju

	* libdirac_byteio/: frame_byteio.h, parseunit_byteio.h: Modified
	  Parse code function definitions as per spec.

2007-11-07 17:35  asuraparaju

	* libdirac_byteio/: accessunit_byteio.h, displayparams_byteio.h:
	  Renamed DisplayParamsByteIO class as SourceParamsByteIO.

2007-11-07 17:34  asuraparaju

	* libdirac_byteio/: accessunit_byteio.cpp,
	  displayparams_byteio.cpp: Renamed DisplayParamsByteIO class to
	  SourceParamsByteIO. Simplified Scan Format i/o changes as per
	  spec.

2007-11-06 03:33  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, conformance.tex,
	  core-wlt-dec.tex, dataenc.tex, layout-fullsize.tex,
	  low-delay.tex, mc.tex, motion-dec.tex, picture-dec.tex,
	  profilelevel.tex, ref-default-videoparams.tex, sequence-dec.tex,
	  sourcepresets.tex, spec-conventions.tex, spec-structure.tex,
	  state-macros.tex, terms.tex, unpack-common.tex,
	  video-interface.tex, vidsys.tex, wlt-unpacking.tex: Further
	  restructuring and conformance to VC-2 spec. Split off sequence
	  decoding from picture decoding. Changed how reference pictures
	  are removed from the buffer.

2007-10-11 02:04  tjdwave

	* doc/latex_spec/: bs-spec.tex, idwt.tex, low-delay.tex,
	  quant-matrix.tex, ref-default-videoparams.tex, state-macros.tex:
	  Fixed wavelet_depth/transform_depth ambiguity.

2007-10-10 22:28  tjdwave

	* doc/latex_spec/bs-spec.tex: Updated interlace spec.

2007-10-10 22:26  tjdwave

	* encoder/encmain.cpp, libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_common/common.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/seq_compress.cpp: Simplified interlace coding
	  parameters as per the spec. Also changed the terminology to
	  distinguish between interlace coding and interlaced format.

2007-10-10 18:56  tjdwave

	* libdirac_byteio/transform_byteio.cpp: Changed transform coding so
	  that wavelet depth and transform type are always signalled, to
	  conform with spec.

2007-10-10 18:30  tjdwave

	* libdirac_byteio/transform_byteio.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/frame_compress.cpp: Changed coding of spatial
	  partition, so that if codeblocks are used then the number of
	  codeblocks is always coded for each level. This means that the
	  "default spatial partition" flag is removed from the code and the
	  spec.

2007-10-10 17:51  tjdwave

	* doc/latex_spec/: bs-spec.tex, core-wlt-dec.tex, low-delay.tex,
	  mc.tex, motion-dec.tex, picture-dec.tex,
	  ref-default-videoparams.tex, sourcepresets.tex,
	  spec-conventions.tex, spec-structure.tex, state-macros.tex,
	  terms.tex, vidsys.tex: Major changes to get compliance with VC-2
	  spec. Work in ongoing.

2007-10-02 20:52  asuraparaju

	* README: Correct the names of the Wavelet filters.

2007-10-02 20:48  asuraparaju

	* doc/documentation.html: Include IBC 2007 documents in list of
	  publications.

2007-10-02 20:33  asuraparaju

	* doc/documentation/publications/: dirac-bbc-brochure_Layout-1.pdf,
	  dirac-numediabrochure.pdf: IBC 2007 docs

2007-10-02 19:28  asuraparaju

	* extras/patches/:
	  README_ffmpegsvn_trunk_revision_10636-dirac-0.8.x_patch,
	  ffmpegsvn_trunk_revision_10636-dirac-0.8.x.patch: Patch FFMpeg
	  trunk revsion 10636 to enable encoding, decoding and playback of
	  Dirac files.

2007-10-01 20:57  asuraparaju

	* ChangeLog: [no log message]


2007-10-01 11:51  asuraparaju

	* configure.ac: Update release version to 0.8.0

2007-10-01 11:48  asuraparaju

	* NEWS: Include 0.8.0 release notes

2007-10-01 11:47  asuraparaju

	* extras/patches/: MPlayer-1.0rc1_dirac-0.8.x.patch,
	  README_MPlayer-1.0rc1_dirac-0.8.x_patch,
	  README_ffmpegsvn_trunk_revision_10630-dirac-0.8.x_patch,
	  ffmpegsvn_trunk_revision_10630-dirac-0.8.x.patch: Mplayer patch
	  to play back dirac bytestreams. FFMpeg patch to encode and
	  decoder dirac bytestreams.

2007-09-28 16:46  asuraparaju

	* doc/documentation/code/programmers_guide/common_data_structs.htm,
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm,
	  doc/documentation/code/programmers_guide/index.htm,
	  encoder/encmain.cpp, libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/parseparams_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h,
	  libdirac_byteio/transform_byteio.cpp, libdirac_common/common.cpp,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/video_format_defaults.h,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_common/wavelet_utils_mmx.cpp,
	  libdirac_encoder/dirac_encoder.cpp: Minor mods to conform to spec
	  version 1.0.0.pre9_02

2007-09-26 13:23  asuraparaju

	* libdirac_common/pic_io.h: Fix doxygen warnings

2007-09-26 13:18  asuraparaju

	* encoder/encmain.cpp, libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_common/mot_comp.cpp, libdirac_common/pic_io.cpp,
	  libdirac_common/pic_io.h, libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/rate_control.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h,
	  util/instrumentation/instrmain.cpp,
	  util/instrumentation/process_sequence.cpp: Added support for
	  interlaced coding. Changes include refactoring of PicIO classes,
	  SequenceCompressor class to handle interlaced coding. Modified
	  GOP structure for interlaced coding to code interlaced material
	  more efficiently.

2007-09-21 10:00  asuraparaju

	* README: Changes to encoder command line interface and preset
	  values.

2007-09-19 12:20  tjdwave

	* doc/latex_spec/arith.tex:
	  Changed initial range to be 0xFFFF instead of 0x10000 as per the
	  software.

2007-09-19 12:19  tjdwave

	* libdirac_common/: arith_codec.cpp, arith_codec.h:
	  Changed intial range to be 0xFFFF instead of 0x10000 on
	  suggestion of Dave Schleef. This way the range always stays in 16
	  bits.

2007-09-06 14:02  asuraparaju

	* win32/: VS2003/DecodeDirac/DecodeDirac.vcproj,
	  VS2003/DiracDecoder/DiracDecoder.vcproj,
	  VS2003/DiracEncoder/DiracEncoder.vcproj,
	  VS2003/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  VS2003/EncodeDirac/EncodeDirac.vcproj,
	  VS2003/InstrumentDirac/InstrumentDirac.vcproj,
	  VS2003/InstrumentDirac/libdirac_instrument/libdirac_instrument.vcproj,
	  VS2003/libdirac_byteio/libdirac_byteio.vcproj,
	  VisualStudio/DecodeDirac/DecodeDirac.vcproj,
	  VisualStudio/DiracDecoder/DiracDecoder.vcproj,
	  VisualStudio/DiracEncoder/DiracEncoder.vcproj,
	  VisualStudio/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  VisualStudio/EncodeDirac/EncodeDirac.vcproj,
	  VisualStudio/InstrumentDirac/InstrumentDirac.vcproj,
	  VisualStudio/InstrumentDirac/libdirac_instrument/libdirac_instrument.vcproj:
	  Included HAVE_MMX in preprocessor macros for all mmx targets.
	  This fixed the bug where encoding using mmx builds was crashing.

2007-09-05 14:51  asuraparaju

	* win32/VS2003/DiracEncoder/DiracEncoder.vcproj: Fix typo in
	  specifying outour directory for dynamically linked Debug-mmx
	  target.

2007-09-05 14:20  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  common_data_structs.htm, decoder_api_example.htm,
	  decoder_api_functions.htm, decoder_api_overview.htm,
	  decoder_api_reference.htm, decoder_data_structs.htm,
	  encoder_api_example.htm, encoder_api_functions.htm,
	  encoder_api_overview.htm, encoder_api_reference.htm,
	  encoder_data_structs.htm, index.htm, intro.htm: Updated the
	  programmers guide as per the latest specification.

2007-09-03 15:52  asuraparaju

	* libdirac_common/upconvert.h, libdirac_common/wavelet_utils.h,
	  libdirac_encoder/frame_compress.h,
	  libdirac_motionest/block_match.h: Fix doxygen warnings

2007-09-03 12:31  asuraparaju

	* decoder/decmain.cpp,
	  doc/documentation/code/programmers_guide/common_data_structs.htm,
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm,
	  encoder/encmain.cpp,
	  extras/dirac_dshow/src/diracsplitter/DiracSplitter.cpp,
	  extras/dirac_dshow/src/diracsplitter/DiracSplitterFile.cpp,
	  libdirac_byteio/Makefile.am,
	  libdirac_byteio/accessunit_byteio.cpp,
	  libdirac_byteio/accessunit_byteio.h,
	  libdirac_byteio/codingparams_byteio.cpp,
	  libdirac_byteio/codingparams_byteio.h,
	  libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_byteio/displayparams_byteio.h,
	  libdirac_byteio/frame_byteio.cpp, libdirac_byteio/frame_byteio.h,
	  libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_decoder/dirac_cppparser.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_decoder/dirac_parser.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_decoder/seq_decompress.h,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/quality_monitor.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h, tests/colourbars.at,
	  tests/samples.at, unit_tests/frames_test.cpp,
	  unit_tests/motion_comp_test.cpp,
	  util/instrumentation/instrmain.cpp,
	  util/instrumentation/process_sequence.cpp,
	  util/instrumentation/process_sequence.h,
	  win32/VS2003/libdirac_byteio/libdirac_byteio.vcproj,
	  win32/VisualStudio/libdirac_byteio/libdirac_byteio.vcproj:
	  Changes to conform with latest Spec.	- Changes to Access Unit
	  Header

2007-09-03 12:30  asuraparaju

	* libdirac_common/: arrays.h, common.cpp, common.h, common_types.h,
	  dirac_types.h, frame.cpp, frame.h, frame_buffer.cpp,
	  frame_buffer.h, pic_io.cpp, pic_io.h, video_format_defaults.cpp,
	  video_format_defaults.h, wavelet_utils.cpp: Changes to conform to
	  latest spec - Access Unit Header Changes - New video formats
	  supported - Wavelet filter changes.  - Video format default
	  values

2007-08-31 14:10  asuraparaju

	* util/instrumentation/libdirac_instrument/: draw_overlay.cpp,
	  motion_arrows.cpp, motion_colour.cpp, motion_colour_arrows.cpp,
	  overlay.cpp, pred_mode.cpp, sad.cpp, split_mode.cpp: Treat all
	  input and intermediate data as bipolar. It is converted to
	  unsigned byte when written to the output file.

2007-08-24 17:13  asuraparaju

	* libdirac_common/frame.cpp, libdirac_common/pic_io.cpp,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_motionest/me_utils_mmx.cpp: All the encoded components
	  now represent signed integer signals i.e. bipolar signals.

2007-08-23 16:05  tjdwave

	* doc/latex_spec/mc.tex: Changed clipping for motion compensation
	  to take account of bipolar signals

2007-08-23 16:02  tjdwave

	* doc/latex_spec/: bs-spec.tex, picture-dec.tex,
	  ref-default-videoparams.tex, vidsys.tex: Initial mod to show that
	  video signals in Dirac should now be considered bipolar. Clipping
	  therefore applies to the range [-2^{N-1}, 2^{N-1}-1]

2007-08-21 13:46  asuraparaju

	* libdirac_common/frame_buffer.cpp,
	  libdirac_encoder/seq_compress.cpp: Fix errors reported by
	  valgrind where unitialiased data was being read from upconverted
	  arrays. The upconverter uses the actual frame dimensions and not
	  the padded dimensions whereas the ME engine uses the padded
	  dimensions which is resulting in unitialised data reads. The
	  motion estimation frame buffer now holds the actual frames rather
	  than the padded frames to overcome this problem.

2007-08-21 13:42  asuraparaju

	* libdirac_common/: arrays.h, frame.cpp, frame.h: New functions to
	  copy contents of one frame to another without altering the
	  dimensions of the destination frame. The destination frame is
	  padded with the last true value in the source frame if it is
	  bigger than the source frame.

2007-08-13 11:41  tjdwave

	* libdirac_encoder/seq_compress.cpp: Typo.

2007-08-13 11:30  tjdwave

	* libdirac_encoder/seq_compress.cpp: Minor tidy.

2007-08-13 11:30  tjdwave

	* libdirac_encoder/frame_compress.cpp: Removed superfluous SAD test
	  in cut detection.

2007-08-13 11:29  tjdwave

	* libdirac_motionest/me_mode_decn.cpp: Changed anti-intra bias to
	  10%: i.e. intra only needs to be 10% better in SAD terms to be
	  chosen, rather than 20%. This (slightly) improves ME mismatches.

2007-08-07 14:19  tjdwave

	* doc/latex_spec/idwt.tex: Clarified IDWT filtering definition.

2007-08-02 15:22  tjdwave

	* libdirac_motionest/: block_match.cpp, block_match.h,
	  pixel_match.cpp, pixel_match.h: Minor simplification of pixel
	  matching code.

2007-08-02 15:04  tjdwave

	* doc/latex_spec/bs-spec.tex: Fixed comment over reference picture
	  removal. Also fixed typo in pseudocode.

2007-07-31 16:21  tjdwave

	* libdirac_encoder/rate_control.cpp: [no log message]

2007-07-31 16:13  tjdwave

	* libdirac_encoder/: rate_control.cpp, rate_control.h: Bug fixes.
	  Fixed problem with int32 overflow with very high bit rates.
	  Fixed problem with non-integral frame rates being incorrectly
	  set.

2007-07-30 19:40  asuraparaju

	* libdirac_common/motion.cpp: Initialise intra costs and dc arrays
	  to prevent uninitialised read error and memory hogging in
	  intrumentation utilities.

2007-07-26 13:56  tjdwave

	* libdirac_motionest/me_mode_decn.cpp: Improve Intra mode selection
	  routine. Incorrect RDO modelling of mode selection has been
	  removed, and intra is only selected if a) motion compensated
	  error is not very small, and b) intra gives a substantial SAD
	  improvement.

2007-07-26 13:53  tjdwave

	* unit_tests/wavelet_utils_test.cpp: Adapted unit test to support a
	  coefficient array being passed to the transform.

2007-07-26 13:49  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Added class to cope with
	  array types being different.

2007-07-26 13:47  tjdwave

	* encoder/encmain.cpp: Supports higher wavelet depth when MMX is
	  not used.

2007-07-26 13:46  tjdwave

	* libdirac_common/arrays.h, libdirac_common/band_codec.cpp,
	  libdirac_common/band_codec.h, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_common/wavelet_utils_mmx.cpp,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/comp_decompress.h,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/quant_chooser.cpp,
	  libdirac_encoder/quant_chooser.h: Added CoeffType and CoeffArray
	  types for wavelet coefficients and arrays of coefficients. For
	  MMX optimisation, CoeffType will be short, but otherwise it will
	  be int. In this way large wavelet depths can be supported.

2007-07-26 13:39  tjdwave

	* libdirac_encoder/rate_control.cpp: Fixed correct initialisation
	  of QF when CBR is used.

2007-07-25 14:26  asuraparaju

	* libdirac_common/common.h: Remove all references to oicturen
	  number in access unit.

2007-07-24 16:55  tjdwave

	* doc/latex_spec/: core-wlt-dec.tex, idwt.tex, picture-dec.tex,
	  unpack-common.tex: Fixed bugs notified on forum.

2007-07-24 09:32  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex: Updated parse
	  codes and version number. _pre8 will now be released.

2007-07-18 09:14  tjdwave

	* libdirac_common/: band_codec.cpp, wavelet_utils.cpp: Clarified
	  parent-child relationship and context selection. No parent is now
	  assigned to the lowest 4 subbands and the context selection just
	  depends on the parent value, which is set to zero when there is
	  no defined parent band.

2007-07-17 09:46  tjdwave

	* libdirac_common/common.cpp: Fixed bug with 60 fps video.

2007-07-17 09:27  tjdwave

	* doc/latex_spec/: bs-spec.tex, parsediagrams.tex: Bug-fixes.

2007-07-16 16:11  asuraparaju

	* libdirac_byteio/accessunit_byteio.cpp,
	  libdirac_byteio/accessunit_byteio.h,
	  libdirac_byteio/frame_byteio.cpp, libdirac_byteio/frame_byteio.h,
	  libdirac_byteio/parseparams_byteio.cpp,
	  libdirac_byteio/parseparams_byteio.h,
	  libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_common/dirac_types.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_decoder/seq_decompress.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/frame_compress.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Modify Access Unit Header as per
	  latest specification. The Parse Parameters in the AU header no
	  longer incluse the Picture Number of the 1st frame that follows
	  the Access Unit Header.

2007-07-05 15:13  tjdwave

	* doc/latex_spec/: bs-spec.tex, core-wlt-dec.tex, lifting.tex,
	  quant-matrix.tex, spec-structure.tex: Removed the AU Picture
	  Number, which now serves no purpose. Also added parse code and
	  operation for doing intra coding without arithmetic coding.  This
	  latter is still to be agreed.

2007-06-21 14:16  tjdwave

	* doc/latex_spec/: lifting.tex, quant-matrix.tex,
	  spec-conventions.tex, spec-structure.tex: Added quantisation
	  matrices for low delay syntax and informative text on
	  quantisation strategies - also an informative annex on Lifting.

2007-06-21 14:13  tjdwave

	* libdirac_encoder/rate_control.cpp: [no log message]

2007-06-21 12:01  tjdwave

	* libdirac_encoder/rate_control.cpp: Experimental rate control for
	  intra-only coding. This uses a recursive filter to adjust the
	  quality factor. The rate of convergence is adaptive, depending on
	  the difference between the actual and target quality, which
	  overcomes the usual lag of recursive filtering. When the
	  difference is large, convergence is steady. When it is relatively
	  small, convergence is very rapid.

2007-06-20 15:42  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_motionest/block_match.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/pixel_match.cpp,
	  libdirac_motionest/pixel_match.h: Added support for full-search
	  block matching. This is controlled by using the flag

	  -full_search [xr] [yr]

	  to do an initial pixel-accurate search in the range
	  [-xr,xr]x[-yr,yr].  Sub-pixel refinement is unaffected.

	  Mode decision and the standard hierachical block match have been
	  slightly changed to improve performance.

2007-06-18 17:05  asuraparaju

	* libdirac_common/wavelet_utils_mmx.cpp: Corrected name of DD9_3
	  filter to DD9_5 to be in sync with non-mmx version of this file.

2007-06-18 16:24  tjdwave

	* doc/specification.html, encoder/encmain.cpp,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h,
	  libdirac_decoder/frame_decompress.cpp: Corrected name of DD9_3
	  filter to DD9_5. Changed weights for (13,5) to correspond to
	  analysis rather than synthesis filter. This seems to give
	  slightly better results even with perceptual weighting.

2007-06-18 16:22  tjdwave

	* doc/latex_spec/: bs-spec.tex, idwt.tex, low-delay.tex,
	  quant-matrix.tex, ref-default-videoparams.tex,
	  spec-structure.tex, state-macros.tex: Added default quantisation
	  matrices. Also changed name of DD (9,3) filter to (9,5) filter as
	  these are the correct filter lengths.

2007-06-10 17:19  asuraparaju

	* libdirac_decoder/comp_decompress.cpp: Fix unintialised value bug
	  reported by valgrind.

2007-06-10 15:00  asuraparaju

	* libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/frame.cpp, libdirac_common/frame_buffer.cpp,
	  libdirac_common/frame_buffer.h, libdirac_common/upconvert.cpp,
	  libdirac_common/upconvert.h, libdirac_common/upconvert_mmx.cpp,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/seq_compress.cpp, unit_tests/frames_test.cpp,
	  unit_tests/motion_comp_test.cpp: Modified FrameParams class to
	  include the original frame dimensions in addition to the padded
	  (for dwt) dimensions. All operations in the decoder other than
	  the inverse wavelet transform are now performed using the
	  original frame dimensions.

2007-06-10 14:47  asuraparaju

	* libdirac_byteio/dirac_byte_stream.cpp: Fix memory leak reported
	  by valgrind. Minor indentatiion changes.

2007-06-05 11:01  tjdwave

	* doc/latex_spec/: bs-spec.tex, mc.tex: Fixed bug with chroma MV
	  scaling so that it now agrees with Dirac and Schro codebase.
	  Fixed bug with motion compensation weight factors so that these
	  are now correct.

2007-06-05 10:38  davidf_

	* libdirac_common/mot_comp.cpp: Backing out commit 1.34. (chroma mv
	  rounding, due to spec change)

2007-06-05 10:08  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex, mc.tex: Fixed
	  bugs and added clarification for chroma motion vectors.

2007-06-05 09:58  tjdwave

	* doc/specification.html: [no log message]

2007-06-05 09:55  davidf_

	* libdirac_common/mot_comp.cpp: Spec compliance, chroma
	  motionvectors should be scaled using round_divide as per 8.5.2.1
	  (spec1.0pre7)

2007-06-04 10:58  tjdwave

	* doc/latex_spec/mc.tex: Fixed bug with scaling motion vectors for
	  chroma.

2007-06-04 10:56  tjdwave

	* doc/latex_spec/: state-macros.tex, unpack-common.tex: [no log
	  message]

2007-06-04 10:55  tjdwave

	* doc/latex_spec/dataenc.tex: Added brace for clarification.

2007-06-04 10:54  tjdwave

	* doc/latex_spec/bs-spec.tex: Fixed minor spec low-delay bug.

2007-05-15 16:32  tjdwave

	* libdirac_encoder/rate_control.cpp: Removed buffer model because
	  of performance issues.

2007-05-15 15:54  tjdwave

	* libdirac_encoder/: frame_compress.cpp, frame_compress.h,
	  rate_control.cpp, rate_control.h, seq_compress.cpp: Modified
	  constant bit-rate operation, so that when a cut is detected the
	  long-term qf is used, instead of the current one in the rate
	  model.  This has the effect of reducing quality crashes and rate
	  explosions.

2007-05-15 13:40  asuraparaju

	* Makefile.am: In addition to the regular targets (all, check,
	  valgrind-check), added the following new targets

	  make codec  - builds the libraries and encoder and decoder
	  utilities

	  make codec-check  - builds the libraries and encoder, decoder and
	  instrumentation and unit_tests and runs the tests

	  make encoder - builds the libs encoder depends on and the encoder

	  make decoder - builds the libs decoder depends on and the decoder

	  make instrumentation - builds the libraries instrumentation util
	  depends on the the instrumentation tool.

	  make conversion - builds conversion tool

	  make unit_tests- builds libraries and the unit_test tool

	  make doc - builds the doc

2007-05-15 13:00  tjdwave

	* libdirac_common/wavelet_utils.cpp: Fixed bug with DC weight being
	  set incorrectly.

2007-05-15 10:19  tjdwave

	* libdirac_common/mot_comp.cpp: Added error message if reference
	  pictures are not labeled as references.

2007-05-14 13:33  tjdwave

	* doc/latex_spec/: bs-spec.tex, layout-fullsize.tex,
	  parsediagrams.tex, unpack-common.tex: Modified parse diagrams to
	  give integrated structure. Minor changes to stream parsing to
	  agree with the parse diagrams.

2007-05-09 15:35  tjdwave

	* doc/latex_spec/: abstract.tex, bs-spec.tex, conformance.tex,
	  core-wlt-dec.tex, dataenc.tex, decoding-ops.tex,
	  dirac-concepts.tex, idwt.tex, intro.tex, layout-fullsize.tex,
	  low-delay.tex, mc.tex, motion-dec.tex, parsing.tex,
	  picture-dec.tex, spec-conventions.tex, spec-structure.tex,
	  state-macros.tex, stream-access.tex, terms.tex,
	  unpack-common.tex, vidsys.tex, wlt-dec.tex, wlt-unpacking.tex:
	  Restructuring to integrate the core and low-delay syntaxes
	  properly. Added text from SMPTE VC-2 draft spec.

2007-05-09 15:06  asuraparaju

	* ChangeLog: [no log message]

2007-05-09 14:47  asuraparaju

	* extras/patches/: MPlayer-1.0rc1_dirac-0.7.x.patch,
	  README_MPlayer-1.0rc1_dirac-0.7.x_patch,
	  README_ffmpegsvn_trunk_revision_8950-dirac-0.7.x_patch,
	  ffmpegsvn_trunk_revision_8950-dirac-0.7.x.patch: MPlayer and
	  FFmpeg patches for Dirac 0.7.0

2007-05-08 17:17  asuraparaju

	* NEWS, doc/documentation/algorithm/algorithm/index.htm: Included
	  note that Algorithm document is out of date.

2007-05-08 13:48  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  decoder_api_functions.htm, intro.htm, overview.htm: Changed
	  software version to 0.7.0

2007-05-07 13:38  asuraparaju

	* libdirac_common/arith_codec.cpp: Convert DOS-style line breaks to
	  Unix-style line breaks.

2007-05-04 14:59  asuraparaju

	* NEWS: Included notes on Release 0.7.0.

2007-05-04 14:12  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  encoder_api_functions.htm, encoder_data_structs.htm: Specify the
	  link to the Dirac Bytestream Specification and the section that
	  defines video format defaults for each preset.

2007-05-04 12:14  asuraparaju

	* doc/specification.html: Updated the specification document link
	  to point to the latest spec release.

2007-05-04 11:53  asuraparaju

	* AUTHORS, README, configure.ac: Updated for release 0.7.0

2007-05-03 16:24  tjdwave

	* doc/latex_spec/: dataenc.tex, low-delay.tex: Minor bug-fixes.

2007-05-03 15:42  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: Replace tabs with spaces.
	  Print GOP bit-rate statistics to standard output only in verbose
	  mode.

2007-05-03 15:39  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  common_data_structs.htm, encoder_data_structs.htm, software.htm:
	  Document changes to the Encoder API data structures and building
	  under the MS Windows Platform.

2007-05-02 17:30  asuraparaju

	* win32/: VS2003/libdirac_byteio/libdirac_byteio.vcproj,
	  VisualStudio/libdirac_byteio/libdirac_byteio.vcproj: Include
	  mydataelement_byteip.cpp{.h} to source list.

2007-05-02 17:29  asuraparaju

	* libdirac_common/common.cpp: Include inttypes.h to fix g++ 3.3.x
	  and icc warnings regrading uint64_t.

2007-05-02 14:10  asuraparaju

	* libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h,
	  libdirac_decoder/dirac_cppparser.cpp: Handle auxiliary/paddaing
	  data parse units and low-delay frames. Auxiliary/ padding data
	  parse units are ignored by the decoder. When the decoder
	  encounters a low-delay frame it exits with an error message.

2007-05-02 09:52  tjdwave

	* libdirac_encoder/comp_compress.cpp: Fixed bug with using
	  -multi_quants -lossless : multiquants were being signalled, but
	  quantisers for each code block weren't being coded.

2007-05-01 15:51  asuraparaju

	* libdirac_common/band_codec.h, libdirac_encoder/comp_compress.h:
	  Fix warnings reported by doxygen when not all parameters to a
	  function are documented.

2007-05-01 10:56  tjdwave

	* libdirac_common/wavelet_utils.cpp: Fixed bug in calculating
	  subband weighting coefficients: values for compensating filter
	  gains were incorrect.

2007-04-30 14:13  tjdwave

	* doc/latex_spec/dataenc.tex: Fixed table warning

2007-04-26 14:56  asuraparaju

	* libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/seq_decompress.cpp: Added new function to
	  FrameBuffer to check if  frame is available before using it. This
	  is to prevent from trying to dereference a non-existent first
	  frame from the buffer. This function is a temporary fix.
	  FrameBuffer might need to be re-written to return pointer to a
	  frame in the buffer rather than a reference so that the return
	  value can be checked for NULL before using it.

2007-04-25 11:49  tjdwave

	* doc/latex_spec/profilelevel.tex: Revised text on levels and
	  profiles.

2007-04-24 16:42  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex,
	  layout-fullsize.tex, low-delay.tex, sourcepresets.tex,
	  spec-conventions.tex, wlt-dec.tex: Removed superfluous parse
	  codes and added a parse code for padding data.  Removed reference
	  to using_ac and using_mc flags/functions: low-delay syntax is now
	  vlc-only, and without motion compensation; core syntax supports
	  both motion compensation and arithmetic coding.

2007-04-24 10:35  tjdwave

	* doc/latex_spec/: sourcepresets.tex, state-macros.tex, vidsys.tex:
	  Refactored the source parameter appendix to get rid of remaining
	  conversion artefacts.

2007-04-23 15:52  tjdwave

	* doc/latex_spec/: bs-spec.tex, dataenc.tex, low-delay.tex,
	  sourcepresets.tex, state-macros.tex, vidsys.tex: Fixed reference
	  bugs and some typos.

2007-04-23 15:21  tjdwave

	* doc/latex_spec/parsediagrams.tex: Added low delay parse diagrams.

2007-04-23 13:55  tjdwave

	* doc/latex_spec/arith.tex: Fixed bug with flushing arithmetic
	  encoder.

2007-04-23 12:52  tjdwave

	* doc/latex_spec/parsediagrams.tex: Corrected motion vector coding
	  parse diagrams.

2007-04-19 16:02  asuraparaju

	* configure.ac: Fix bug in setting additional flags in CXXFLAGS to
	  flag extra warnings.

2007-04-18 13:28  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex, idwt.tex,
	  layout-fullsize.tex, low-delay.tex, motion-dec.tex,
	  picture-dec.tex, spec-conventions.tex, vidsys.tex, wlt-dec.tex:
	  Incorporated Dave Schleef's comments and bugfixes.

2007-04-17 16:50  tjdwave

	* doc/latex_spec/: layout-fullsize.tex, vidsys.tex: Further update
	  to video systems model, covering YCoCg coding and colour
	  matrixing etc. YCoCg has been changed to give an additional bit
	  to Y so that luma and chroma have the same resolution, to avoid
	  confusion.

2007-04-16 17:17  tjdwave

	* doc/latex_spec/: vidsys-colourmatrix.tex, vidsys.tex: Initial
	  mods to video systems model to bring it up to date: mostly done
	  colour.

2007-04-16 16:42  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex, idwt.tex,
	  intro.tex, layout-fullsize.tex, low-delay.tex, motion-dec.tex,
	  picture-dec.tex, spec-conventions.tex, state-macros.tex,
	  wlt-dec.tex: Removed mention of Y,U and V - instead use Y, C1 and
	  C2. Fixed bug with biased rounding in IDWT, and fixed bug with
	  ref2 motion vector decoding.

2007-04-16 12:17  tjdwave

	* doc/latex_spec/arith.tex: Finalised informative text on
	  arithmetic encoding. Minor bug fixes.

2007-04-11 17:26  asuraparaju

	* libdirac_encoder/comp_compress.cpp: Initialise the multi-quants
	  flag and estimated bits for DC band to fix bug where decoder
	  output was not matching locally decoded output.

2007-04-11 17:23  asuraparaju

	* libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/seq_compress.cpp: Fix initialisation errors
	  reported by valgrind.

2007-04-11 16:28  tjdwave

	* doc/latex_spec/: arith-encoder.tex, arith.tex, bs-spec.tex,
	  dataenc.tex, idwt.tex, layout-fullsize.tex, low-delay.tex,
	  mc.tex, motion-dec.tex, parsediagrams.tex,
	  ref-default-videoparams.tex, sourcepresets.tex,
	  spec-structure.tex, state-macros.tex, stream-access.tex,
	  wlt-dec.tex: Modified arithmetic coding sections to place the
	  arithmetic coding engine in an annex. The AC system now agrees
	  with the code, using the LUT update implementation.

	  Various compile warnings also fixed.

2007-04-11 15:36  tjdwave

	* libdirac_common/arith_codec.h: Minor cosmetic change to simplify
	  symbol decoding and agree with AC theory.

2007-04-11 15:18  tjdwave

	* libdirac_encoder/frame_compress.cpp,
	  libdirac_common/mv_codec.cpp: Fixed bug with motion vector coding
	  on long sequences.

2007-04-11 09:08  tjdwave

	* decoder/decmain.cpp, encoder/encmain.cpp,
	  libdirac_byteio/Makefile.am, libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/mvdata_byteio.h,
	  libdirac_byteio/mvdataelement_byteio.cpp,
	  libdirac_byteio/mvdataelement_byteio.h, libdirac_common/common.h,
	  libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/frame_compress.h,
	  libdirac_encoder/quality_monitor.cpp: Motion vector data is now
	  split into a number of different parts which are coded as
	  separate units:

	  - Superblock/macroblock splitting mode - Block prediction mode -
	  Motion vectors, reference 1, horizontal component - Motion
	  vectors, reference 1, vertical component - Motion vectors,
	  reference 2, horizontal component - Motion vectors, reference 2,
	  vertical component - DC values, Y - DC values, U - DC values, V

	  Each is a separate, byte-aligned element with a prefixing length
	  code.

	  This allows parallel encoding and decoding of these elements,
	  especially beneficial in hardware.

	  Still TO DO: gather statistics on each of these elements
	  separately.

2007-04-11 08:52  tjdwave

	* libdirac_encoder/: comp_compress.cpp, quant_chooser.cpp: Fix to
	  stop drift on sequences of still frames: at high rate, DC bands
	  were being erroneously skipped, causing a build-up of dc error.
	  This fix means that DC bands are always coded losslessly and
	  never skipped. Further experiments may be required to see if this
	  condition can be relaxed.

2007-04-04 17:00  tjdwave

	* doc/latex_spec/: arith.tex, mc.tex, motion-dec.tex,
	  spec-conventions.tex, state-macros.tex: Changed motion data
	  coding specification to allow for parallel decoding of motion
	  data elements.

	  Fixed bugs in arithmetic coding spec - this will be refactored to
	  reflect recent code changes soon.

2007-04-04 09:11  tjdwave

	* doc/latex_spec/bs-spec.tex: Fixed the next parse offset and
	  previous parse offset to be 4 bytes instead of 3. This is now in
	  line with the code.

2007-04-04 09:08  tjdwave

	* doc/latex_spec/wlt-dec.tex: Updated quantisation factors so that
	  they represent an integer approximation of 2^{(q/4)+2)} up to
	  q=128. Now agrees with code.

2007-04-03 16:29  tjdwave

	* doc/latex_spec/: arith.tex, motion-dec.tex, state-macros.tex,
	  wlt-dec.tex: Minor bug-fixes.

2007-04-03 14:06  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/DiracSplitterFile.cpp: Size
	  of the parse unit header has increased to 13.

2007-04-03 14:04  asuraparaju

	* tests/samples.at: Define a variable mv_prec to set the motion
	  vector precision on the encoder command line. Values is currently
	  hardcoded to quarter pixel. Change the value of variable mv_prec
	  to run the tests with a different value.

2007-04-03 14:02  asuraparaju

	* libdirac_motionest/motion_estimate.cpp, libdirac_common/common.h:
	  Hack to support pixel accurate motion estimation. The pixel
	  accurate motion vectors are multipled by 2 and then half-pel
	  accurate motion estimation is performed. After ME, he motion
	  vectors are divided by 2 to convert them back to pixel accurate
	  motion vectors.

2007-04-02 08:58  asuraparaju

	* libdirac_common/arith_codec.cpp: Fix g++ warnings regarding order
	  of initialisation of member variables in ArithCodecBase
	  constructor.

2007-03-30 18:22  timborer

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Simplified
	  probability estimation for arithmetic coding to speed up encoding
	  and decoding.  Now the total symbol count is ASSUMED to be a
	  function of the current probability. The update is implemented in
	  a lookup table for speed. The total symbol count is assumed to be
	  16 when probabilit of 0 is 0.5, and assumed to be 256 when prob 0
	  is 1.

2007-03-29 17:43  asuraparaju

	* libdirac_byteio/: dirac_byte_stream.cpp,
	  endofsequence_byteio.cpp, endofsequence_byteio.h: Fix the bug
	  which reported "total bits for sequence" in verbose mode to be
	  less than the actual the size (in bits) of the bitstream file
	  written to disk.  This was because the number of bytes in the end
	  of sequence header was not being included in the total bits for
	  the sequence.

2007-03-29 17:07  asuraparaju

	* configure.ac: Include VisualStudio in list of directories to
	  generate Makefile in.

2007-03-29 15:08  asuraparaju

	* decoder/Makefile.am, encoder/Makefile.am: Fix for bug# 588191.
	  Include libdirac_byteio.a in the libraries to be linked with for
	  encoder and decoder utilities.

2007-03-28 15:33  asuraparaju

	* win32/Makefile.am: Added VisualStudion to lis of sub directories

2007-03-28 15:31  asuraparaju

	* win32/VisualStudio/: Makefile.am, dirac.sln,
	  ConversionUtils/ConversionUtils.vcproj,
	  ConversionUtils/BMPtoRGB/BMPtoRGB.vcproj,
	  ConversionUtils/RGBtoBMP/RGBtoBMP.vcproj,
	  ConversionUtils/RGBtoUYVY/RGBtoUYVY.vcproj,
	  ConversionUtils/RGBtoYUV411/RGBtoYUV411.vcproj,
	  ConversionUtils/RGBtoYUV420/RGBtoYUV420.vcproj,
	  ConversionUtils/RGBtoYUV422/RGBtoYUV422.vcproj,
	  ConversionUtils/RGBtoYUV444/RGBtoYUV444.vcproj,
	  ConversionUtils/UYVYtoRGB/UYVYtoRGB.vcproj,
	  ConversionUtils/YUV411toRGB/YUV411toRGB.vcproj,
	  ConversionUtils/YUV420toRGB/YUV420toRGB.vcproj,
	  ConversionUtils/YUV422toRGB/YUV422toRGB.vcproj,
	  ConversionUtils/YUV444toRGB/YUV444toRGB.vcproj,
	  ConversionUtils/libconv_common/libconv_common.vcproj,
	  DecodeDirac/DecodeDirac.vcproj, DiracDecoder/DiracDecoder.vcproj,
	  DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  DiracEncoder/DiracEncoder.vcproj,
	  DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  EncodeDirac/EncodeDirac.vcproj, Everything/Everything.vcproj,
	  InstrumentDirac/InstrumentDirac.vcproj,
	  InstrumentDirac/libdirac_instrument/libdirac_instrument.vcproj,
	  MakeHeader/MakeHeader.vcproj,
	  libdirac_byteio/libdirac_byteio.vcproj,
	  libdirac_common/libdirac_common.vcproj,
	  libdirac_motionest/libdirac_motionest.vcproj: New directory for
	  supporting latest MS Visual Studio Env.

2007-03-28 12:05  tjdwave

	* libdirac_encoder/rate_control.cpp: Temporarily disabled buffer
	  model conformance.

2007-03-27 17:31  asuraparaju

	*
	  win32/VS2003/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj:
	  Included rate_control.cpp and rate_control.h in sources list.

2007-03-27 17:29  asuraparaju

	* libdirac_common/: band_codec.cpp, common.cpp, common.h: Fix
	  compile warnings and errors in MS Windows build. The max numbe of
	  quantisers supported is now 120. Modified code to calculate
	  quantisation factor to be compliant with latest version of spec.

2007-03-27 17:26  asuraparaju

	* libdirac_byteio/parseunit_byteio.cpp: [Spec Compliance] The next
	  and previous parse unit offsets in the bytestream are now 4 bytes
	  each.

2007-03-27 16:20  tjdwave

	* libdirac_common/common.h, libdirac_encoder/rate_control.cpp,
	  libdirac_encoder/rate_control.h,
	  libdirac_encoder/seq_compress.cpp: Major refactor of rate control
	  algorithm. The original algorithm aimed for constant bit rate
	  over a single GOP. This tended to be unstable when content
	  changed and could cause quality to degrade significantly at the
	  end of GOPs in order to attempt to correct for high bit rate at
	  the beginning.

	  The algorithm has been revised so that a target buffer occupancy
	  is aimed for, with the target bit rate set as equal to the mean
	  bit rate plus an adjustment factor to steer back to target. Bit
	  rate is computed for a subgroup (PBB or IBB) in a very similar
	  way, but on a rolling basis rather than a target for a single
	  GOP.

	  For the moment, a buffer size of 4xbit rate has been selected.
	  Fixed buffer sizes may be implemented when levels are specified.

	  Buffer overflows (too little bit rate - this is a _decoder_
	  buffer model) or underflows (too much bit rate) are indicated by
	  warnings in verbose mode.  The buffer occupancy is then limited,
	  so that these events are not corrected for at present.

2007-03-26 16:28  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Fixed computation of GOP
	  statistics to maintain coded order. GOP is counted as up to just
	  before the next scheduled access point (intra frame).

2007-03-26 12:20  asuraparaju

	* libdirac_common/mot_comp.cpp: Weights are now being correctly set
	  for edge blocks.  Fixed bug where data outside the picture in the
	  block in the bottom right corner was not being ignored.

2007-03-26 11:24  davidf_

	* libdirac_encoder/quant_chooser.cpp: Stop quantizing DC subband at
	  all, otherwise chroma error is appearing.  Also includes fix from
	  thomasd to look at the whole of the DC subband instead of
	  ignoring the first (most important value)

2007-03-23 15:32  asuraparaju

	* libdirac_common/pic_io.cpp, tests/Makefile.am,
	  tests/colourbars.at, tests/samples.at,
	  util/instrumentation/instrmain.cpp: Changes to keep test scripts
	  and instrumentation utility in sync with the altered command
	  lines for the encoder, decoder.

2007-03-22 18:27  davidf_

	* ChangeLog, README, decoder/decmain.cpp, encoder/encmain.cpp:
	  Altered command line file handling.  a) now support taking input
	  from stdin (input specified as '-' or '/dev/stdin').	b) removed
	  strange filename extension stripping/appending for primary input
	  and output files (locally decoded video and instrumentation are
	  outputfilename.{local-dec.yuv,imt}.

2007-03-22 14:48  davidf_

	* libdirac_common/common.h: Temporary fix to stop RateControll
	  setting silly QF

2007-03-22 14:45  davidf_

	* libdirac_encoder/frame_compress.cpp: Add some basic diagnostics

2007-03-22 13:12  tjdwave

	* libdirac_encoder/rate_control.cpp: Fixed typo in previous bug
	  fix.

2007-03-22 13:04  davidf_

	* libdirac_encoder/rate_control.cpp: Fix overlyeager typecasting.

2007-03-21 11:32  tjdwave

	* libdirac_encoder/: rate_control.cpp, rate_control.h: Adding rate
	  control classes.

2007-03-21 11:12  tjdwave

	* README: Added instructions on using CBR encoding.

2007-03-21 11:05  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_encoder/Makefile.am,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Added support for CBR encoding.
	  This equalises bitrate over a GOP (I frame  to  I frame). It does
	  not enforce bit rate, nor does it operate according to a buffer
	  model.

	  To apply CBR coding, add -targetrate N, where N is the target bit
	  rate in Kb/s.

	  Precedence: 1) if a quality factor is also set with -qf Q, then
	  the value of Q is used as the initial value for the system, but
	  CBR is still applied.  2) if -lossless is also set, then lossless
	  coding is applied and CBR constraints are ignored.

2007-03-19 16:18  asuraparaju

	* decoder/decmain.cpp, libdirac_byteio/byteio.h,
	  libdirac_common/arith_codec.cpp, libdirac_common/arrays.h,
	  libdirac_common/band_codec.cpp,
	  libdirac_common/dirac_exception.cpp,
	  libdirac_common/dirac_exception.h,
	  libdirac_common/frame_buffer.cpp,
	  libdirac_common/mot_comp_mmx.cpp, libdirac_common/pic_io.cpp,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/comp_decompress.h,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h,
	  libdirac_motionest/downconvert.cpp,
	  libdirac_motionest/downconvert.h,
	  libdirac_motionest/downconvert_mmx.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h,
	  libdirac_motionest/me_utils_mmx.cpp,
	  libdirac_motionest/pixel_match.cpp,
	  libdirac_motionest/pixel_match.h,
	  util/instrumentation/libdirac_instrument/draw_overlay.cpp: Fix
	  warnings reported by gcc 4.1.2

2007-03-19 16:18  asuraparaju

	* configure.ac: When compiling using g++, enable warnings in debug
	  mode and in optimised mode.  All warnings are flagged as errors
	  in both modes of compiling.

2007-03-19 16:16  asuraparaju

	* libdirac_common/: frame.cpp, upconvert_mmx.cpp: Fixed upconvert
	  (MMX version) to clip after each filtering operation as per spec
	  0.10.4 and to be in sync with the non-MMX version

2007-03-19 15:39  asuraparaju

	* libdirac_decoder/seq_decompress.cpp: Print info to standard
	  output only in Verbose mode.

2007-03-19 15:22  davidf_

	* libdirac_common/upconvert_mmx.cpp: Looks like i forgot to commit
	  this ages ago.  Correctly round upconverted pixel values

2007-03-19 15:21  davidf_

	* libdirac_common/mot_comp.cpp: Fix old naming of
	  superblocks+family in comments

2007-03-19 15:19  davidf_

	* libdirac_common/wavelet_utils.cpp: Useful comment thats been
	  sitting in my local copy for ages

2007-03-01 15:32  tjdwave

	* libdirac_decoder/comp_decompress.cpp: Removed reference to
	  InitContexts.

2007-03-01 10:38  tjdwave

	* doc/latex_spec/: arith.tex, motion-dec.tex, state-macros.tex,
	  wlt-dec.tex: Incorporated changes to arithmetic coding. This is a
	  quick hack that may not compile yet. TBC.

2007-03-01 09:24  tjdwave

	* libdirac_common/: arith_codec.h, band_codec.cpp, band_codec.h,
	  mv_codec.cpp, mv_codec.h: Changed arithmetic coding again
	  slighly. Restored count initialisation to (1,1) and reordered
	  probability/count rescaling parts to get a little more compact
	  code and greater speed. Tidied band codec and mv codec stuff.

2007-02-28 16:22  tjdwave

	* libdirac_common/: arith_codec.cpp, arith_codec.h, band_codec.cpp,
	  band_codec.h, mv_codec.cpp: Modified arithmetic coding for speed,
	  incorporating periodic calculation of probabilities. Also removed
	  periodic context rescaling, which wasn't really helping
	  compression performance, and added to complexity.

2007-02-20 14:06  tjdwave

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Code tidy,
	  removing a preponderence of inline functions. Also improved
	  renormalisation.

2007-02-20 09:55  tjdwave

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Modified
	  renormalisation condition and simplified renormalisation process.
	  Renormalisation is now only invoked if the interval is <=1/4 of
	  the range.  This means that either the most significant bits of
	  low and high are the same, or we have low=0x01... and high =
	  0x10.. i.e. a classic straddle.  This reduces the 3-way branch
	  condition to a 2-way one. It also means that we can eliminate use
	  of the high variable altogether and just use low and range.

2007-02-20 09:39  tjdwave

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Changed
	  structure of renormalisation loop to enable optimisation.

2007-02-20 09:24  tjdwave

	* libdirac_common/: arith_codec.h, arith_codec.cpp: Now updating
	  range variable on the fly rather than calculating from low and
	  high.

2007-02-20 09:21  tjdwave

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Refacactored
	  arithmetic coding so that renormalisation is only performed if
	  the interval size is <=1/2 (represented by 0x8000 in 16 bits).
	  This condition may be further restricted in future, and other
	  changes and optimisations will follow. This change makes
	  coding/decoding faster and allows for the high code to be
	  eliminated. Watch this space.

2007-02-15 16:44  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, layout-fullsize.tex,
	  mc.tex, picture-dec.tex, ref-default-videoparams.tex,
	  spec-conventions.tex, state-macros.tex: Various bug-fixes and
	  readabilty improvements.

2007-02-15 16:41  tjdwave

	* doc/latex_spec/low-delay.tex: Fixed quantiser and length sizes in
	  slice header.

2007-02-07 12:03  davidf_

	* libdirac_common/: frame.cpp, upconvert.cpp, upconvert.h: Fixed
	  upconvert (non MMX) to:   - perform unbiased rounding as per spec
	  0.10.4   - clip after each filtering operation as per spec 0.10.4

2007-02-01 15:28  tjdwave

	* libdirac_common/common.cpp: D'oh! Correct commit.

2007-02-01 15:15  tjdwave

	* libdirac_common/common.cpp: Fixed calculation of quantisation
	  factors so that intermediate values don't run out of precision.

2007-01-23 14:18  davidf_

	* libdirac_common/band_codec.cpp: Fixed nhood_zero selection as per
	  spec-0.10.4

2007-01-22 15:53  tjdwave

	* doc/latex_spec/mc.tex: Reorganised the text concerning chroma
	  scaling for clarity. Chroma scaling for global motion vectors is
	  now achieved by scaling the generated luma field rather than
	  scaling the generating matrix and vectors. This will change the
	  bitstream.

2007-01-22 14:58  tjdwave

	* doc/latex_spec/: bs-spec.tex, mc.tex,
	  ref-default-videoparams.tex, state-macros.tex, wlt-dec.tex: Some
	  more of Johannes Reinhardt's corrections

2007-01-22 14:20  tjdwave

	* libdirac_common/band_codec.cpp: Changed zero neighbourhood
	  context selection so as to comply with specification.

2007-01-22 12:33  tjdwave

	* doc/latex_spec/wlt-dec.tex, libdirac_common/wavelet_utils.cpp:
	  Correction to spec so that subband order is raster order for each
	  level.

2007-01-22 12:22  tjdwave

	* libdirac_common/wavelet_utils.cpp: Fixed subband order so that it
	  is as in the specification.

2007-01-16 12:03  tjdwave

	* doc/latex_spec/wlt-dec.tex: Oops. Undoing last commit.

2007-01-16 11:12  tjdwave

	* doc/latex_spec/wlt-dec.tex: Changed subband decoding order to
	  agree with the Dirac software.

2007-01-11 09:42  tjdwave

	* doc/latex_spec/: bs-spec.tex, picture-dec.tex, state-macros.tex:
	  Changed spec so that the size of the reference picture buffer is
	  determined from the level and profile information rather than
	  fixed as 5 pictures.

2007-01-09 14:21  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex, idwt.tex,
	  layout-fullsize.tex, mc.tex, spec-conventions.tex, wlt-dec.tex:
	  Minor edits and typos. sign() function added amongst other mods.

2007-01-04 13:20  tjdwave

	* doc/latex_spec/: layout-fullsize.tex, motion-dec.tex,
	  ref-default-videoparams.tex, state-macros.tex, wlt-dec.tex: Fixed
	  JR bugs.

2007-01-03 16:03  tjdwave

	* libdirac_common/wavelet_utils.cpp: Fixed bug with rounding offset
	  in non-mmx code.

2007-01-03 10:18  tjdwave

	* doc/latex_spec/mc.tex: Fixed typos.

2007-01-03 08:32  tjdwave

	* doc/latex_spec/idwt.tex: Changed the specification of how wavelet
	  filters are adapted at the array edges to match what the Dirac
	  code does, which is to use edge extension of the even and odd
	  coefficients separately.

2006-12-13 09:10  tjdwave

	* libdirac_encoder/frame_compress.cpp: Fixed bug with unitialised
	  cut flag. Changed intra insertion criterion so that a frame is
	  made intra if just a third of blocks are intra - this is a better
	  bit rate trade-off.

2006-12-05 14:36  tjdwave

	* libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_encoder/seq_compress.cpp: Fixed memory leak bug, which
	  resulted from the encoder not signalling the discarded reference
	  frames correctly. The reference management and FrameBuffer class
	  code still need some work to rationalise.

	  The decoder still does not support the spec requirement for
	  discarding old reference frames if the reference frame buffer
	  gets too big. This would prevent memory leaks (at the risk of
	  incorrect decoding) if the encoder were to signal reference
	  discarding incorrectly in this manner.

2006-12-04 12:00  davidf_

	* doc/faq.html: Fixed markup faults spotted by Peter Shelswell:  -
	  Fixed errant <h> tag	- Added <?xml ?> identifier

2006-11-23 16:22  tjdwave

	* encoder/encmain.cpp, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  util/instrumentation/process_sequence.cpp: Fix for broken
	  intrumentation data: obsolete "common" MB mode removed.

	  Verbose commentary switched to cout.

2006-11-23 11:00  tjdwave

	* libdirac_decoder/comp_decompress.cpp: Fixed bug with codeblock
	  numbers being incorrectly calculated in the decoder.

2006-11-22 14:06  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex, idwt.tex,
	  layout-fullsize.tex, low-delay.tex, mc.tex, motion-dec.tex,
	  picture-dec.tex, profilelevel.tex, ref-default-videoparams.tex,
	  state-macros.tex, stream-access.tex, wlt-dec.tex: Nearly complete
	  version of low-delay syntax, at least for intra frames.  Data
	  encoding section revised to incorporate "bounded" inputs for vlcs
	  as well as for arithmetic encoding, unifying the description.

	  More detail on buffering and profiles/levels.

2006-11-22 11:00  tjdwave

	* README, libdirac_common/band_codec.cpp,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/mv_codec.cpp,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/seq_compress.cpp: Inserted intra frames are now
	  given lower quality than other intra frames so as to match P and
	  B frames more closely. Various other minor bug-fixes to remove
	  -pedantic compile errors and valgrind error.

2006-11-14 10:59  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h: Added in option for encoder to
	  denoise input. Note that PSNR values reported will be for
	  denoised values. Denoiser uses a centre-weighted median filter.
	  Also applied Johannes Reinhardt's cosmetic patch to the encoder
	  to tidy it up.

2006-11-13 14:20  tjdwave

	* doc/latex_spec/wlt-dec.tex: Changed inverse quantisation offset
	  so that a value of 0.5*quantisation is used.

2006-11-13 12:28  tjdwave

	* ChangeLog: [no log message]

2006-11-13 09:41  tjdwave

	* libdirac_common/band_codec.cpp, libdirac_common/band_codec.h,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/quant_chooser.cpp: Changed quantiser offsets to
	  be different for Intra and Inter frames, as per the latest draft
	  of the spec. Having an offset of 0.5*quantiser for intra frames
	  improves performance at high rate, especially iterated coding
	  with Dirac Pro apps.

2006-11-09 12:11  tjdwave

	* doc/latex_spec/: arith-encoder.tex, arith.tex,
	  layout-fullsize.tex, low-delay.tex, mc.tex, motion-dec.tex,
	  profilelevel.tex, spec-conventions.tex, spec-structure.tex,
	  wlt-dec.tex: Added more text on the low-delay syntax and decoded
	  picture buffer model.  Clarified arithmetic decoding process and
	  conventions.

2006-11-09 11:30  tjdwave

	* libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/frame_buffer.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/quality_monitor.h,
	  libdirac_encoder/quant_chooser.cpp,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/pixel_match.cpp: Overall improvements to
	  encoding framework to improve quality for difficult pictures and
	  at low bit rates. Changes to the RDO parameters are experimental
	  and they may change again.

	  - Added test for whether a frame is a B frame or not - Identified
	  Layer 1 frames with P frames and Layer 2 with B frames, rather
	  than with Inter Ref and Inter Non-ref respectively. This is more
	  efficient with the new GOP structure - Modified RDO framework to
	  provide correction where there has been ME failure i.e. lots of
	  Intra blocks - Slightly increased ME search areas - Corrected the
	  frame type parameter for the final B frame in a sequence -
	  Changed confusing terminology for costs/errors in quantisation
	  factor selection - Added overall PSNR stats for a sequence for
	  performance comparisons

2006-10-30 15:17  tjdwave

	* doc/latex_spec/: arith.tex, dataenc.tex, motion-dec.tex,
	  wlt-dec.tex: Fixed bug in specification of inverse quantisation.
	  Changed default arithmetic decoding padding value to 1 from 0, so
	  after reading in LENGTH bytes, a value of 1 is used from that
	  point. This should support early termination i.e.  encode only
	  the first few values in a subband and then the decoder will
	  correctly decode the remainder as 0, but this is as yet untested.

2006-10-30 14:57  tjdwave

	* libdirac_common/arith_codec.cpp: Fixed bug so that the decoder
	  can now append any data to the end of the arithmetically encoded
	  block and still decode correctly. Default padding data is all 1s
	  - this should make a null or terminated subband decode with
	  zeroes.

2006-10-30 13:42  tjdwave

	* libdirac_common/band_codec.cpp, libdirac_common/motion.cpp,
	  libdirac_common/motion.h, libdirac_common/mv_codec.cpp,
	  libdirac_decoder/comp_decompress.cpp: Fixed definitions of
	  mean/median so that unbiased mean values are used.  Likewise
	  changed the prediction for DC values to take account of the fact
	  that they may be negative. These changes change the bitstream.

2006-10-30 13:38  tjdwave

	* doc/latex_spec/: motion-dec.tex, spec-conventions.tex,
	  wlt-dec.tex: Changed specification of division so that it agrees
	  with C/C++ standards.  Traced through these changes to
	  specification of split mode, block dc value and intra dc band
	  prediction.

2006-10-26 16:22  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Moved to using cout instead
	  of cerr for reporting.

2006-10-26 16:07  tjdwave

	* libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/seq_compress.cpp: Made  operation of retired
	  picture list comply with specification: only reference pictures
	  are signalled to be retired and non-reference pictures are
	  retired by the decoder once they are displayed.

	  Clarified frame type parameters so as to be sure they always
	  agree. This will need further refactoring.

	  Reference frames are now cleaned from the buffer _after_ being
	  the current frame has been decoded, as per the spec. This allows
	  slightly more flexible GOP structures.

2006-10-25 14:01  tjdwave

	* libdirac_common/common.cpp: Fixed bug with wrong quantiser offset
	  being used: now complies with spec again.

2006-10-24 09:09  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex,
	  dirac-overview.tex, layout-fullsize.tex, picture-dec.tex,
	  profilelevel.tex, spec-conventions.tex, spec-structure.tex,
	  state-macros.tex, vidsys-sigrange.tex, vidsys.tex: First stab at
	  including the low-delay syntax used for Dirac Pro profiles,
	  together with profile and level text. Work in progress!

2006-10-19 16:01  tjdwave

	* doc/latex_spec/picture-dec.tex: Changed order of reference buffer
	  management so that a reference picture is not removed until after
	  the current picture has been decoded,

2006-10-19 14:53  tjdwave

	* libdirac_common/band_codec.cpp: Put in Dave Schleef's patch for
	  making the computation of parent coefficient coordinates correct
	  and spec compliant.

2006-10-10 15:04  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/dirac_types.h,
	  libdirac_encoder/dirac_encoder.cpp: Fixed bug with aspect ratio
	  being set to 0/0. Now it should be set to the correct value from
	  the video format defaults.

2006-10-09 16:24  tjdwave

	* libdirac_common/wavelet_utils_mmx.cpp: Renamed functions with
	  consistent filter names.

2006-10-05 16:22  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h: Given wavelet filters correct
	  names and numbers as per spec. Added support for HAAR1 and HAAR2
	  filters. FIDELITY filter will be forthcoming.

2006-09-28 18:20  davidf_

	* doc/: browser_compatibility.html, licences.html, licenses.html,
	  template.html, template2.html, todo.html: fix license spelling
	  mistake correction typos/misses/references

2006-09-28 18:13  davidf_

	* doc/: contact.html, documentation.html, faq.html,
	  getting_involved.html, index.html, overview.html, soc2006.html,
	  soc2006_ideas.html, specification.html, styles.css, todo.html,
	  documentation/publications/diracoverview-ibc2006.pdf: merge shas'
	  website fixes added ibc2006 publication

2006-09-28 14:59  tjdwave

	* libdirac_common/: common.cpp, mot_comp.cpp: Fixed the block
	  parameter testing so as to be compliant with the specification.
	  Non-overlapped blocks are now allowed and supported. The raised
	  cosine macro has now been removed and only linear weights are
	  supported.

2006-09-28 10:17  tjdwave

	* doc/latex_spec/low-delay.tex: Added file to cover low delay
	  syntax.

2006-09-28 10:08  tjdwave

	* doc/latex_spec/: abstract.tex, arith-contexts.tex,
	  arith-datainput.tex, arith-decoder-ba.tex,
	  arith-decoder-impl.tex, arith-decoder-sint.tex,
	  arith-decoder-sua.tex, arith-decoder-tua.tex,
	  arith-decoder-uua.tex, arith-decoder.tex, arith-encoder.tex,
	  arith-engine.tex, arith-init.tex, arith-intro.tex,
	  arith-update.tex, arith.tex, begin-bs.tex, begin-compmethods.tex,
	  begin-dwt-fwd.tex, begin-dwt-parentchild.tex, begin-dwt.tex,
	  begin-ec-dwt.tex, begin-ec-mc.tex, begin-ec.tex,
	  begin-mc-accuracy.tex, begin-mc-blocks.tex, begin-mc-global.tex,
	  begin-mc-intra.tex, begin-mc.tex, begin-more.tex,
	  begin-pictypes.tex, begin-videocoding.tex, bs-intro.tex,
	  bs-semantics.tex, bs-spec.tex, bs-syntax.tex,
	  conv-bs-bytealign.tex, conv-bs-defaults.tex, conv-bs-reading.tex,
	  conv-intro.tex, conv-parse-diagnums.tex, conv-parse-diagrams.tex,
	  conv-pseudocode-syntax.tex, conv-pseudocode.tex,
	  dataenc-bool.tex, dataenc-input.tex, dataenc-intro.tex,
	  dataenc-nbitlit.tex, dataenc-nbytelit.tex, dataenc-vlc-segol.tex,
	  dataenc-vlc-su.tex, dataenc-vlc-uegol.tex, dataenc-vlc-ut.tex,
	  dataenc-vlc-uu.tex, dataenc-vlc.tex, dirac-concepts.tex,
	  dirac-overview.tex, gendec.tex, idwt-1dsynthesis.tex,
	  idwt-filters.tex, idwt-interleaving.tex, idwt-intro.tex,
	  idwt-lifting.tex, idwt-padremoval.tex, idwt-synthesis.tex,
	  idwt-vhsynthesis.tex, idwt.tex, intro-docstruct.tex,
	  intro-purpose.tex, intro-scope.tex, layout-fullsize.tex,
	  logicalstruct-accessunit.tex, logicalstruct-arithcoding.tex,
	  logicalstruct-blocks.tex, logicalstruct-coordinates.tex,
	  logicalstruct-dwt.tex, logicalstruct-frameordering.tex,
	  logicalstruct-frames.tex, logicalstruct-globalmc.tex,
	  logicalstruct-intro.tex, logicalstruct-localmc.tex,
	  logicalstruct-parseunit.tex, logicalstruct-sequence.tex,
	  logicalstruct-subbands.tex, logicalstruct-superblocks.tex,
	  logicalstructs.tex, mc-alg.tex, mc-blockcoverage.tex,
	  mc-chomascaling.tex, mc-impl.tex, mc-intro.tex,
	  mc-obmc-matrix.tex, mc-precision.tex, mc-pred.tex,
	  mc-upconvert.tex, motion-dec.tex, parsediagrams.tex,
	  prep-idwt-codeblk-dim.tex, prep-idwt-codeblk-process.tex,
	  prep-idwt-coef-process.tex, prep-idwt-conventions.tex,
	  prep-idwt-ctxt-init.tex, prep-idwt-ctxt-magnitude.tex,
	  prep-idwt-ctxt-quantindex.tex, prep-idwt-ctxt-sign.tex,
	  prep-idwt-ctxt-skip.tex, prep-idwt-pred-dc.tex,
	  prep-idwt-process.tex, prep-idwt.tex, prep-mc-ctxt-init.tex,
	  prep-mc-decode-blkmotion.tex, prep-mc-decode-dc.tex,
	  prep-mc-decode-mv.tex, prep-mc-decode-predictionmode.tex,
	  prep-mc-decoding.tex, prep-mc-mbdata.tex,
	  prep-mc-predapeature.tex, prep-mc-predictionmodes.tex,
	  prep-mc-predmbcommon.tex, prep-mc-predmbglobal.tex,
	  prep-mc-predmbsplit.tex, ref-default-videoparams.tex,
	  ref-quantization-lut.tex, semantics-auh.tex, semantics-dwt.tex,
	  semantics-intro.tex, semantics-mv.tex, semantics.tex,
	  spec-conventions.tex, spec-structure.tex, state-macros.tex,
	  wlt-dec.tex: Removing a whole load of cruft files. Bug fixes.

2006-09-12 12:18  tjdwave

	* doc/latex_spec/state-macros.tex: [no log message]

2006-09-12 10:00  tjdwave

	* doc/latex_spec/ref-default-videoparams.tex: Completed tables -
	  added various decoding presets too.

2006-09-12 09:59  tjdwave

	* doc/latex_spec/sourcepresets.tex: This contains the presets for
	  the source parameters. This needs to be merged with the video
	  systems model section.

2006-09-12 09:58  tjdwave

	* doc/latex_spec/vidsys.tex: Slightly revised - to be merged with
	  source parameters presets.

2006-09-12 09:56  tjdwave

	* doc/latex_spec/: idwt.tex, mc.tex, picture-dec.tex: Finished
	  first draft of overall picture decoding process. Added stuff on
	  global motion compensation (_probably_ works now).

2006-09-12 09:54  tjdwave

	* doc/latex_spec/: bs-spec.tex, motion-dec.tex, wlt-dec.tex:
	  Created unified chapter files for parsing elements. Completed
	  overall stream syntax chapter.

2006-09-12 09:52  tjdwave

	* doc/latex_spec/: arith.tex, dataenc.tex: Unified data access
	  files into chapter files.

2006-09-12 09:51  tjdwave

	* doc/latex_spec/: dirac-concepts.tex, parsing.tex: Restructured
	  part structure files.

2006-09-12 09:48  tjdwave

	* doc/latex_spec/spec-conventions.tex: Updated/added material on
	  the way the pseudocode works and the mathematical notation. This
	  section still needs work and reordering.

2006-09-12 09:45  tjdwave

	* doc/latex_spec/intro.tex: Revised and unified the general
	  introduction.

2006-09-12 09:44  tjdwave

	* doc/latex_spec/spec-structure.tex: Revised overall document
	  structure.

2006-09-12 09:42  tjdwave

	* doc/latex_spec/parsediagrams.tex: Added parse diagrams as an
	  appendix.

2006-08-24 10:32  tjdwave

	* doc/latex_spec/: decoding-ops.tex, idwt.tex, state-macros.tex:
	  Updated inverse wavelet transform section. Introduced Haar
	  variants and added a fidelity filter.

2006-08-21 13:33  tjdwave

	* doc/latex_spec/: arith.tex, bs-spec.tex, dataenc.tex,
	  decoding-ops.tex, layout-fullsize.tex, mc.tex, motion-dec.tex,
	  parsing.tex, spec-structure.tex, state-macros.tex, wlt-dec.tex:
	  Done motion data decoding and motion compensation. Amalgamated
	  file contents to simplify structure.

2006-08-11 15:51  tjdwave

	* libdirac_common/: golomb.cpp, golomb.h:
	  Functionality is now provided in the Byte IO library.
	  ----------------------------------------------------------------------

2006-07-28 14:33  tjdwave

	* libdirac_common/common.h, libdirac_common/motion.cpp,
	  libdirac_common/motion.h, libdirac_common/mv_codec.cpp,
	  libdirac_common/mv_codec.h, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_mode_decn.h: Removed the Macroblock
	  "Common" mode. This means that each prediction unit within a
	  macroblock will have to code a mode. Motion data coding has also
	  been changed so that instead of coding all the prediction modes
	  first and then all the motion data, prediction modes are included
	  in the motion data as per the spec.

	  An updated version of the latex spec in which the Common mode is
	  omitted is in preparation and will be committed in the next
	  couple of weeks.

2006-07-19 12:29  tjdwave

	* doc/latex_spec/prep-idwt-process.tex: Added initialisation of the
	  coefficient_reset variable.

2006-07-19 12:19  tjdwave

	* doc/latex_spec/: arith-contexts.tex, arith-decoder-sint.tex,
	  dataenc-vlc-segol.tex, decoding-ops.tex, intro-docstruct.tex,
	  parsing.tex, prep-idwt-coef-process.tex, state-macros.tex,
	  figs/block-coverage.eps, figs/obmc-profile.eps: Mods to interface
	  with arithmetic coding changes.

2006-07-19 11:48  tjdwave

	* doc/latex_spec/: arith-contexts.tex, arith-datainput.tex,
	  arith-decoder-sint.tex, arith-decoder.tex, arith-engine.tex,
	  arith-init.tex, arith-intro.tex, arith-update.tex, arith.tex:
	  Refactored to take account of exp-Golomb binarisation and the use
	  of global context indices being passed to arithmetic decoding
	  operations.

2006-07-18 11:36  tjdwave

	* libdirac_common/: band_codec.cpp, band_codec.h: Changed nhood sum
	  calculation so that it only takes account of whether the
	  neighbour is zero or not.

2006-07-07 15:07  tjdwave

	* encoder/encmain.cpp: Fixed bug with framerate denominator being
	  incorrectly set if omitted.

2006-07-07 12:14  tjdwave

	* doc/latex_spec/: intro-docstruct.tex, mc-intro.tex,
	  mc-upconvert.tex, mc.tex: Debugging commit.

2006-07-07 12:07  tjdwave

	* doc/latex_spec/: arith-contexts.tex, arith.tex, bs-spec.tex,
	  bs-syntax.tex, decoding-ops.tex, idwt.tex,
	  prep-idwt-coef-process.tex, prep-idwt-conventions.tex,
	  prep-idwt-ctxt-quantindex.tex, prep-idwt-process.tex,
	  prep-idwt.tex, spec-structure.tex, state-macros.tex, wlt-dec.tex,
	  figs/block-coverage.eps, figs/block-offset.eps, figs/block.eps,
	  figs/dwt.eps, figs/frame-ordering.eps, figs/obmc-profile.eps,
	  figs/sequence.eps, figs/superblock-16pu.eps,
	  figs/superblock-1pu.eps, figs/superblock-4pu.eps: Updated and
	  refactored data access and coefficient decoding sections.  Spec
	  should be up to date and accurate for coefficient decoding, but
	  fine-tuning and checking is required. Diagrams also needed.

	  Major change is in the way arithmetic decoding operations are
	  called. Just specify sets of contexts to be used for follow bits,
	  data bits and the sign by passing indices into the state
	  variable, which maintains the contexts.

	  This simplifies the code in the stream syntax, avoiding local
	  copies etc.  Explanation will be required for the context
	  indices. The arithmetic decoding section needs updating to
	  reflect this change and use of interleaved exp- Golomb coding.

2006-07-07 08:56  tjdwave

	* doc/latex_spec/layout-fullsize.tex: Added temporary environment
	  pseudo* for documenting _part_ of a function's pseudocode (no
	  function header).  Fixed bug where \bsRET reduces indent by 1 -
	  this broke indentation when there were a number of returns in a
	  function.

2006-07-06 12:29  tjdwave

	* libdirac_common/: band_codec.cpp, band_codec.h: Changed coding of
	  codeblock quantiser indices to be differential codeblock to
	  codeblock, as per Tim's stream syntax, rather than differential
	  with respect to the subband quantiser index.

	  N.B. this now does not agree with version 0.9.

2006-07-03 14:57  tjdwave

	* doc/latex_spec/: arith-contexts.tex, arith-datainput.tex,
	  arith-decoder-ba.tex, arith-decoder-sint.tex, arith-intro.tex:
	  Initial update to take account of exp-Golomb binarisation.

2006-07-03 14:00  tjdwave

	* doc/latex_spec/arith-decoder-sint.tex: Adding to update to
	  exp-Golomb binarisation.

2006-07-03 13:15  tjdwave

	* doc/latex_spec/: dataenc-bool.tex, dataenc-input.tex,
	  dataenc-intro.tex, dataenc-nbitlit.tex, dataenc-nbytelit.tex,
	  dataenc-vlc-segol.tex, dataenc-vlc-su.tex, dataenc-vlc-uegol.tex,
	  dataenc-vlc-ut.tex, dataenc-vlc.tex, dataenc.tex: Brought
	  up-to-date to do interleaved exp-Golomb coding. Included a
	  section on bit-packing and reading conventions. To Do: Need to
	  align with arithmetic decoding section.

2006-07-03 10:08  tjdwave

	* doc/latex_spec/: layout-fullsize.tex, state-macros.tex: Adding
	  shortcuts for decoder state values/variables. This means we can
	  change format, or introduce new paramater classes by (mostly)
	  modding modding only state-macros.tex.

2006-06-29 15:11  asuraparaju

	* libdirac_common/: wavelet_utils.cpp, wavelet_utils.h, common.cpp:
	  Defined new Wavelet Filter class VHFilterHaar to include HAAR
	  filter support in Dirac.

2006-06-27 18:26  asuraparaju

	* README: Include explanation for new encoder command line
	  variables iwlt_filter and rwlt_filter.

2006-06-27 18:17  asuraparaju

	*
	  doc/documentation/code/programmers_guide/encoder_data_structs.htm:
	  Reflect changes to dirac_encparams_t struct to which two fields
	  have been added.  These fields specify the wavelet filters to use
	  for intra frames and inter frames.

2006-06-26 17:44  asuraparaju

	* encoder/encmain.cpp: [Spec Compliance] Include command line
	  arguments to process non-default transform filters for intra and
	  inter frames.

2006-06-26 17:43  asuraparaju

	* unit_tests/motion_comp_test.cpp: Ensure that the number of
	  reference frames is specified when creating a CodecParams object.

2006-06-26 17:43  asuraparaju

	* libdirac_encoder/: dirac_encoder.cpp, dirac_encoder.h,
	  frame_compress.cpp: [Spec Compliance] Use transform filters
	  supplied in the command line arguments to encoder utility to set
	  the transform filter in CodecParams while encoding based on frame
	  type.  Set up the default frame weight and precision parameters
	  correctly based on frame type and number of references.

2006-06-26 17:40  asuraparaju

	* libdirac_common/: video_format_defaults.cpp,
	  video_format_defaults.h: [Spec Compliance] Added functions to
	  return the default transform filter based on frame type.  The
	  default frame weight and frame precision parametes are correctly
	  set based on the frame type and number of references.

2006-06-26 17:39  asuraparaju

	* libdirac_common/: common.cpp, common.h: [Spec Compliance] Handle
	  non-default frame weights. Include member variables in
	  EncoderParams to store the transform filters for inter frame and
	  intra frames supplied so that they can be used while encoding.

2006-06-26 17:38  asuraparaju

	* libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/transform_byteio.cpp,
	  libdirac_common/mot_comp.cpp, libdirac_common/mot_comp.h: [Spec
	  Compliance] Handle non-default frame weights.

2006-06-23 15:17  tjdwave

	* doc/latex_spec/layout-fullsize.tex: Created unified style for
	  syntax and semantics called pseudo. No longer uses typewriter
	  font - Roman instead.

2006-06-23 10:41  tjdwave

	* doc/latex_spec/: arith-intro.tex, arith.tex, bs-spec.tex,
	  dataenc-intro.tex, dataenc.tex, decoding-ops.tex,
	  dirac-concepts.tex, dirac-overview.tex, idwt-intro.tex, idwt.tex,
	  logicalstructs.tex, mc-intro.tex, mc.tex, motion-dec.tex,
	  parsing.tex, picture-dec.tex, semantics.tex,
	  spec-conventions.tex, spec-structure.tex, stream-access.tex,
	  wlt-dec.tex: Reorganised so that file input is hierarchical, to
	  make simultaneous working easier.

2006-06-23 08:48  tjdwave

	* doc/latex_spec/: bs-syntax.tex, layout-fullsize.tex: Moved
	  streamsyntax environment definition into layout-fullsize.tex so
	  that it's available to all input files.

2006-06-22 12:42  asuraparaju

	* doc/specification.html: Included links to latest Stream Syntax
	  Document and Specification Document.

2006-06-22 10:13  tjdwave

	* doc/latex_spec/: intro-docstruct.tex, spec-structure.tex:
	  Tentative revision of the specification structure. A rationale is
	  contained in intro-docstruct.tex.

2006-06-22 09:02  tjdwave

	* doc/latex_spec/figs/: block-coverage.eps, block-coverage.fig,
	  block.eps, block.fig, Makefile, block-offset.eps,
	  block-offset.fig, dwt.eps, dwt.fig, frame-ordering.eps,
	  frame-ordering.fig, obmc-profile.eps, obmc-profile.fig,
	  sequence.eps, sequence.fig, stream.fig, superblock-16pu.eps,
	  superblock-16pu.fig, superblock-1pu.eps, superblock-1pu.fig,
	  superblock-4pu.eps, superblock-4pu.fig,
	  wavelet-transform-process.fig: Adding in diagrams.

2006-06-22 08:57  tjdwave

	* doc/latex_spec/tools/: framed.sty, listings.zip, mkdep.pl:
	  Additional latex spec commits.

2006-06-22 08:54  tjdwave

	* doc/latex_spec/: Makefile, abstract.tex, arith-contexts.tex,
	  arith-datainput.tex, arith-decoder-ba.tex,
	  arith-decoder-impl.tex, arith-decoder-sua.tex,
	  arith-decoder-tua.tex, arith-decoder-uua.tex, arith-decoder.tex,
	  arith-encoder.tex, arith-engine.tex, arith-init.tex, arith.tex,
	  begin-bs.tex, begin-compmethods.tex, begin-dwt-fwd.tex,
	  begin-dwt-parentchild.tex, begin-dwt.tex, begin-ec-dwt.tex,
	  begin-ec-mc.tex, begin-ec.tex, begin-mc-accuracy.tex,
	  begin-mc-blocks.tex, begin-mc-global.tex, begin-mc-intra.tex,
	  begin-mc.tex, begin-more.tex, begin-pictypes.tex,
	  begin-videocoding.tex, bs-intro.tex, bs-semantics.tex,
	  bs-syntax.tex, coder-intro.tex, conv-bs-bytealign.tex,
	  conv-bs-defaults.tex, conv-bs-reading.tex, conv-intro.tex,
	  conv-parse-diagnums.tex, conv-parse-diagrams.tex,
	  conv-pseudocode-syntax.tex, conv-pseudocode.tex,
	  dataenc-bool.tex, dataenc-nbitlit.tex, dataenc-nbytelit.tex,
	  dataenc-vlc-segol.tex, dataenc-vlc-su.tex, dataenc-vlc-uegol.tex,
	  dataenc-vlc-ut.tex, dataenc-vlc-uu.tex, dataenc-vlc.tex,
	  dataenc.tex, gendec.tex, idwt-1dsynthesis.tex, idwt-filters.tex,
	  idwt-interleaving.tex, idwt-lifting.tex, idwt-padremoval.tex,
	  idwt-synthesis.tex, idwt-vhsynthesis.tex, idwt.tex,
	  intro-docstruct.tex, intro-purpose.tex, intro-scope.tex,
	  layout-fullsize.tex, logicalstruct-accessunit.tex,
	  logicalstruct-arithcoding.tex, logicalstruct-blocks.tex,
	  logicalstruct-coordinates.tex, logicalstruct-dwt.tex,
	  logicalstruct-frameordering.tex, logicalstruct-frames.tex,
	  logicalstruct-globalmc.tex, logicalstruct-intro.tex,
	  logicalstruct-localmc.tex, logicalstruct-parseunit.tex,
	  logicalstruct-sequence.tex, logicalstruct-subbands.tex,
	  logicalstruct-superblocks.tex, mc-alg.tex, mc-blockcoverage.tex,
	  mc-chomascaling.tex, mc-impl.tex, mc-obmc-matrix.tex,
	  mc-precision.tex, mc-pred.tex, mc-upconvert.tex, mc.tex,
	  prep-idwt-codeblk-dim.tex, prep-idwt-codeblk-process.tex,
	  prep-idwt-coef-process.tex, prep-idwt-conventions.tex,
	  prep-idwt-ctxt-init.tex, prep-idwt-ctxt-magnitude.tex,
	  prep-idwt-ctxt-quantindex.tex, prep-idwt-ctxt-sign.tex,
	  prep-idwt-ctxt-skip.tex, prep-idwt-pred-dc.tex,
	  prep-idwt-process.tex, prep-idwt.tex, prep-mc-ctxt-init.tex,
	  prep-mc-decode-blkmotion.tex, prep-mc-decode-dc.tex,
	  prep-mc-decode-mv.tex, prep-mc-decode-predictionmode.tex,
	  prep-mc-decoding.tex, prep-mc-mbdata.tex,
	  prep-mc-predapeature.tex, prep-mc-predictionmodes.tex,
	  prep-mc-predmbcommon.tex, prep-mc-predmbglobal.tex,
	  prep-mc-predmbsplit.tex, ref-default-videoparams.tex,
	  ref-quantization-lut.tex, semantics-auh.tex, semantics-dwt.tex,
	  semantics-intro.tex, semantics-mv.tex, spec-structure.tex,
	  vidsys-aspect.tex, vidsys-colour.tex, vidsys-colourmatrix.tex,
	  vidsys-colourprimaries.tex, vidsys-framerate.tex,
	  vidsys-sigrange.tex, vidsys-transfer.tex, vidsys.tex: Initial
	  commit of Latex port of draft specification.

2006-06-19 18:35  asuraparaju

	* libdirac_common/: common.cpp, mot_comp.cpp, mot_comp.h,
	  mot_comp_mmx.cpp, mot_comp_mmx.h: [Spec Compliance] Ensure that
	  block overlaps in x and y direction are integral powers of 2.
	  Make the OBMC weights calculation truly linear.

2006-06-19 18:34  asuraparaju

	* libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/seq_compress.cpp: Replace std::pow operation
	  with left bit-shift operator

2006-06-19 12:27  asuraparaju

	* libdirac_byteio/: byteio.h, mvdata_byteio.cpp: Fix for
	  bug#1508532. Ensure that m_current_byte is re-initialised to 0 in
	  the ouput byte alignment function ByteIO::OutputCurrentByte.

2006-06-16 12:07  asuraparaju

	* doc/: contact.html, documentation.html, faq.html,
	  getting_involved.html, index.html, licenses.html, overview.html,
	  soc2006.html, soc2006_ideas.html, specification.html,
	  template2.html, todo.html,
	  documentation/algorithm/algorithm/intro.htm: Ensure that links to
	  Browse CVS on Sourceforge work correctly.

2006-06-16 11:38  asuraparaju

	* doc/documentation.html: Ensuring that named anchors work
	  properly.

2006-06-16 11:37  asuraparaju

	* doc/documentation/code/programmers_guide/:
	  common_data_structs.htm, decoder_api_example.htm,
	  decoder_api_functions.htm, decoder_api_overview.htm,
	  decoder_api_reference.htm, decoder_data_structs.htm,
	  encoder_api_example.htm, encoder_api_functions.htm,
	  encoder_api_overview.htm, encoder_api_reference.htm,
	  encoder_data_structs.htm, encoding.htm, index.htm,
	  input_formats.htm, intro.htm, overview.htm, software.htm: Updated
	  data structs and functionality description for Dirac Codec V0.6.0

2006-06-13 12:58  asuraparaju

	* ChangeLog: [no log message]

2006-06-13 12:56  asuraparaju

	* NEWS: Updated with 0.6.0 release notes.

2006-06-13 12:35  asuraparaju

	* extras/patches/:
	  README_ffmpegsvn_trunk_revision_5470-dirac-0.6.x_patch,
	  ffmpegsvn_trunk_revision_5470-dirac-0.6.x.patch: Dirac 0.6.0
	  patch and install notes for ffmpeg svn revision 5470.

2006-06-13 12:34  asuraparaju

	* extras/patches/: MPlayer-1.0pre7try2_dirac-0.6.x.patch,
	  README_MPlayer-1.0pre7try2_dirac-0.6.x_patch: Dirac 0.6.0 patch
	  and install notes for MPlayer release MPlayer-1.0pre7try2.

2006-06-13 10:07  timborer

	* libdirac_common/: arith_codec.h, mv_codec.cpp, mv_codec.h: Added
	  En/DecodeUInt and En/DecodeSInt functions to the arithmetic codec
	  class. These functions read and write signed and unsigned
	  integers in a unified way. They are used to replace the acres of
	  duplicated code in mv_codec.cpp. This change also had the happy
	  side effect of removing the need for a whole slew of chooseXXX
	  functions used for selecting the arithmetic coding context.

2006-06-12 16:24  stuart_hc

	* libdirac_decoder/frame_decompress.cpp: whitespace cleanup
	  (corrected stray CRLF line-ending to LF)

2006-06-12 13:11  asuraparaju

	* libdirac_common/common.h, libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/frame_compress.cpp: Use enumerated values for
	  number of motion vector contexts and coefficient contexts instead
	  of hardcoded constants. This helps in not having to change
	  multiple files when the number of contexts changes.

2006-06-12 13:11  asuraparaju

	* libdirac_common/mv_codec.cpp: [Spec Compliance] Super block Split
	  residual is no longer coded bit-wise but is now coded using
	  truncated unary arithmetic coding.

2006-06-12 13:10  asuraparaju

	* libdirac_common/common.cpp,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_decoder/dirac_parser.cpp: [Spec Compliance] Ensure that
	  Video format defaults are set as per spec

2006-06-12 10:06  tjdwave

	* libdirac_common/wavelet_utils.cpp: Fixed bug with setting weights
	  for bands by depth - removed duplicate correction factor.

2006-06-08 17:55  asuraparaju

	* libdirac_common/band_codec.cpp, libdirac_common/band_codec.h,
	  libdirac_common/common.h, libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp: [Spec compliance] Number of
	  contexts in Bin 1 for a Non-zero parent reduced to two from
	  three.

2006-06-08 16:19  asuraparaju

	* README, encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common_types.h,
	  libdirac_common/video_format_defaults.cpp: Renamed SD_PAL and
	  SD_NTSC video format names to 4CIF and 4SIF to avoid confusing
	  them with the SD Digital video format names.

2006-06-08 16:14  asuraparaju

	* extras/dirac_dshow/src/: basesplitter/basesplitter.vcproj,
	  diracsplitter/DiracSplitter.vcproj,
	  diracsplitter/DiracSplitterFile.cpp: Fix path to header and
	  libraries in project files. Modify code to handle chages to Dirac
	  decoder logic.

2006-06-06 17:11  asuraparaju

	* win32/VS2003/: DiracDecoder/DiracDecoder.vcproj,
	  DiracEncoder/DiracEncoder.vcproj,
	  libdirac_byteio/libdirac_byteio.vcproj: Fix link errors.

2006-06-06 17:11  asuraparaju

	* util/instrumentation/libdirac_instrument/: draw_overlay.cpp,
	  motion_arrows.cpp, sad.cpp: Fix for bug #1501636. Ensuring that
	  we are not going past array boundaries.

2006-06-06 17:08  asuraparaju

	* unit_tests/motion_comp_test.cpp: Remove tests for frame equality
	  after motion estimation because rounding errors can mean that the
	  frames are not equal. However the frame equality is still tested
	  after zero motion compensation.

2006-06-06 17:08  asuraparaju

	* libdirac_byteio/mvdata_byteio.cpp, libdirac_common/common.h:
	  [Spec Compliance] Reference frame weights are now unsigned.

2006-06-06 17:08  asuraparaju

	* README: Updated the encoder command line argument list

2006-06-05 16:00  asuraparaju

	* configure.ac: Update release id to 0.6.0

2006-06-05 15:57  asuraparaju

	* util/instrumentation/libdirac_instrument/: draw_overlay.cpp,
	  motion_arrows.cpp, motion_colour.cpp, motion_colour_arrows.cpp,
	  overlay.cpp, pred_mode.cpp, sad.cpp, split_mode.cpp: [Spec
	  compliance] Ensure that the instrumentation utility works for
	  true 8 bit data. Note that there is no support at present for
	  non-8bit data.

2006-06-05 15:56  asuraparaju

	* util/instrumentation/instrmain.cpp: Read video depth from
	  diagnostics input file.

2006-06-05 15:55  asuraparaju

	* libdirac_encoder/quality_monitor.cpp: [Spec compliance] Adjust
	  lambda values to make them bit-depth agnostic. Tested only on 8
	  bit input data. Need to test and maybe adjust for other
	  bit-depths.

2006-06-05 15:55  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: [Spec compliance] Default
	  Video depth is 8 bits.

2006-06-05 15:55  asuraparaju

	* libdirac_decoder/: frame_decompress.cpp, frame_decompress.h,
	  seq_decompress.cpp: [Spec compliance] Include Variable bit-depth
	  support in FrameDecompressor class.

2006-06-05 15:54  asuraparaju

	* libdirac_common/: wavelet_utils.cpp, wavelet_utils.h,
	  wavelet_utils_mmx.cpp: [Spec compliance] Accuracy bits are
	  required in the wavelet analysis stage. The number of bits
	  required depends on the transform depth.  Shift the input data up
	  1 bit to the right to increase accuracy in the Analyis stage.
	  Round the input data down by 1 bit in the Synthesis stage to
	  counter the shift in the analysis stage. All rounding is unbiased
	  irrespective of the number of bit it is rounded to. The
	  perceptual weights are adjusted for each subband depending on the
	  level of the subband.

2006-06-05 15:54  asuraparaju

	* libdirac_common/mot_comp.cpp, libdirac_common/pic_io.cpp,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_motionest/me_utils.cpp,
	  libdirac_motionest/me_utils_mmx.cpp: [Spec Compliance] The
	  input/output is always true bit depth specified by video-depth
	  and not converted to 10 bit data internally.	So no need to shift
	  8 bit data by two to convert it to 10 bits.

2006-06-05 15:53  asuraparaju

	* libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_encoder/seq_compress.cpp, unit_tests/frames_test.cpp,
	  unit_tests/motion_comp_test.cpp: [Spec Compliance] Set Variable
	  bit-depth in FrameBuffer classe to set up FrameParams class with
	  variable bit-depth.

2006-06-05 15:53  asuraparaju

	* libdirac_common/: frame.cpp, frame.h: [Spec Compliance] Support
	  for multiple video depths. Included functionality to clip
	  upconverted data.

2006-06-05 15:53  asuraparaju

	* libdirac_common/: common_types.h, video_format_defaults.cpp:
	  [Spec Compliance] Ensure that default parameters are correctly
	  set for all video formats.  Add enumerated types for D-Cinema
	  video formats' parameters. Default motion vector precision has
	  reverted to quarter pixel from half pixel.

2006-06-05 15:52  asuraparaju

	* libdirac_common/: common.cpp, common.h: [Spec Compliance] Add
	  support for D-Cinema video formats.  Include Variable bit-depth
	  support in Frame Params. Used for clipping.  Fix bug in
	  calculating number of code blocks for different transform depths.

2006-06-05 15:52  asuraparaju

	* libdirac_common/arrays.h: [Spec Compliance] PIXEL_VALUE_MIN and
	  PIXEL_VALUE_MAX no longer required as the min and max values are
	  calculated based on the bit-depth of the input video. Fix
	  indentation by replacing tabs with white space.

2006-06-05 15:51  asuraparaju

	* libdirac_byteio/transform_byteio.cpp: Fixed bug where the
	  non-default wavelet filter flag was not being written to the
	  bitstream when a non-default filter is used.

2006-06-05 15:51  asuraparaju

	* libdirac_byteio/seqparams_byteio.cpp: [Spec compliance] Throw an
	  error if a video depth other than the default value of 8 is
	  specified.

2006-06-05 15:51  asuraparaju

	* libdirac_byteio/frame_byteio.cpp: [Spec compliance] Actual
	  picture number is stored in the picture header and not the offset
	  from the Access unit picture number. Reference frame offsets and
	  retired frame offsets are calculated from current picture number
	  and not access unit header picture number.

2006-06-05 15:50  asuraparaju

	* libdirac_byteio/byteio.h: Fix warnings in doxygen documentation.

2006-06-05 15:50  asuraparaju

	* encoder/encmain.cpp: Write video depth to diagnostics output
	  file.

2006-05-23 14:09  tjdwave

	* libdirac_encoder/quant_chooser.cpp: Changed initial index to 0
	  from 4, so that 8 bit video will be properly coded.

2006-05-22 10:56  tjdwave

	* libdirac_encoder/quality_monitor.cpp: Modified PSNR log to output
	  a table for greater clarity.

2006-05-17 18:33  asuraparaju

	* unit_tests/: motion_comp_test.cpp, motion_comp_test.h: Change
	  precision type in test prototype from int to MVPrecisionType.

2006-05-16 14:53  asuraparaju

	* libdirac_common/wavelet_utils_mmx.cpp: Changed the wavelet
	  transform so that unbiased rounding is not used with a shift of 1
	  in the lifting stage to keep in line with the non-MMX optimised
	  code.

2006-05-16 12:25  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fix g++ warnings

2006-05-16 12:24  asuraparaju

	* libdirac_encoder/quant_chooser.cpp: Minor mods to speed up error
	  calculation. Overall improvement in encoding speed is about 4-5%
	  for long gop Changed quantisation as per draft spec so that extra
	  2 bits accuracy apply to the quantisation offset. This helps at
	  low quantisation factors particularly.

2006-05-16 12:24  asuraparaju

	* libdirac_encoder/: quality_monitor.cpp, quality_monitor.h: -
	  Removed superfluous filtering function.  - Computes PSNR instead
	  of weighted 4th power metric; chroma PSNRs are also	computed.

2006-05-16 12:24  asuraparaju

	* libdirac_encoder/frame_compress.cpp: Spec Compliance: - Setup
	  default code blocks depending on whether frame type is intra or
	  inter.

2006-05-16 12:23  asuraparaju

	* libdirac_encoder/dirac_encoder.h: Change type of mv_precision in
	  dirac_encparams_t function to MVPrecisionType

2006-05-16 12:23  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: Spec Compliance: - Handle
	  CodeBlockMode which replaces the multi-quantisers flag.  - Set
	  default spatial partition flag to false if wavelet depth is not
	  set	to the default value.

2006-05-16 12:23  asuraparaju

	* libdirac_decoder/frame_decompress.cpp: Spec Compliance - Throw
	  error if Zero transform flag is set for Intra frames.  - Handle
	  Zero transform condition for inter frames.

2006-05-16 12:22  asuraparaju

	* libdirac_decoder/dirac_parser.h: The parser no longer returns
	  STATE_PICTURE_START state. Modify the example in the doxygen
	  documentation to reflect this.

2006-05-16 12:22  asuraparaju

	* libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h: Spec Compliance - multiple
	  quantisers are used when code block mode is set to
	  QUANT_MULTIPLE - All values are set to 0 if a block is skipped
	  irrespective of whether is   is a DC block or not.  - Modified
	  SetupCodeBlocks functions to use the default code blocks if
	  default partitioning is enabled or values of from the bitstream
	  for custom   paritioning (only for decoder)

2006-05-16 12:21  asuraparaju

	* libdirac_common/: wavelet_utils.h, wavelet_utils_mmx.cpp:
	  Implement unbiased rounding for the lifting stages in all wavelet
	  filters.

2006-05-16 12:21  asuraparaju

	* libdirac_common/video_format_defaults.cpp: Spec compliance - Set
	  up default Codec parameters to comply with spec.  - Default
	  motion vector precision is now Half Pixel.

2006-05-16 12:20  asuraparaju

	* libdirac_common/mv_codec.cpp: Spec compliance - Common Mode
	  prediction function returns false for top left corner of   block.
	  - Block mode prediction function return INTRA instead of
	  REF1_ONLY for   the top left corner of a block - The sign flag is
	  encoded/decoded as true if the value is negative.

2006-05-16 12:20  asuraparaju

	* libdirac_common/: mot_comp.cpp, mot_comp_mmx.cpp: Define MMX
	  optimised version of Half Pixel block compensation function
	  MotionCompensator_HalfPixel::CompensateBlock

2006-05-16 12:19  asuraparaju

	* libdirac_common/band_codec.cpp: Spec Compliance: - Code block
	  skip flag encoded/decoded only if there is more than one code
	  block in a subband - The sign flag is encoded/decoded as true if
	  the value is negative.  - Max number of quantisers increased to
	  97 (0..96). Throw an error if   quantisation index exceeds this
	  value while decoding.  - Changed quantisation as per draft spec
	  so that extra 2 bits accuracy   apply to the quantisation offset.
	  This helps at low quantisation factors   particularly.

2006-05-16 12:19  asuraparaju

	* encoder/encmain.cpp: Print extra-information regarding encoder
	  params used to encoding. E.g.  motion vector precision, transform
	  depth etc.

2006-05-16 12:18  asuraparaju

	* libdirac_byteio/transform_byteio.cpp: Spec compliance: - Zero
	  transform flag applies only to Intra frames.	- Read/write code
	  blocks from/to bitstream if Default spatial partitioning is
	  disabled. Throw error when non-default transform depth is
	  specified but   default spatial partitioning is set.	- Replace
	  Multiple quantisers flag with Code block mode enumerated type.

2006-05-16 12:18  asuraparaju

	* libdirac_common/common_types.h: New enumerated type to handle
	  CodeBlockMode which replaces the binary Multiple quantisers flag.

2006-05-16 12:17  asuraparaju

	* libdirac_common/: common.cpp, common.h: Spec Compliance: New
	  class CodeBlocks for handling code blocks.  In CodecParams class
	  - change type of m_mv_precision to MVPrecisionType - change type
	  of m_wlt_depth to unsigned - replace m_multi_quants flag with
	  CodeBlockMode enumerated type.  - New member variable and member
	  functions to handle CodeBlocks In QuantisersLists class - Add a
	  new member variable m_max_qindex to set the max val of quantiser
	  index that can be handled by the decoder.

2006-05-15 12:45  asuraparaju

	* libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp: Fix bug in specifying number
	  of contexts. The number should be 23 and not 22 as previously
	  specified.

2006-05-15 12:43  asuraparaju

	* libdirac_common/: mv_codec.cpp, mv_codec.h: [Thomas's changes]
	  Changed coding of MB split so that it's bitwise, with bitwise
	  prediction.  This is more efficient and is consistent with coding
	  prediction modes.

2006-05-15 12:43  asuraparaju

	* libdirac_common/common.h: [Thomas's changes] Changed coding of MB
	  split so that it's bitwise, with bitwise prediction.	This is
	  more efficient and is consistent with coding prediction modes.

	  Changed quantisation to give 2 bits of accuracy to quantisation
	  factors.  This improves performance in high-quality applications,
	  and reduces large steps in quality.

2006-05-15 12:42  asuraparaju

	* libdirac_common/common.cpp, libdirac_encoder/quant_chooser.cpp:
	  [Thomas's changes] Changed quantisation to give 2 bits of
	  accuracy to quantisation factors.  This improves performance in
	  high-quality applications, and reduces large steps in quality.

2006-05-15 12:42  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: [Thomas's
	  changes] Changed quantisation to give 2 bits of accuracy to
	  quantisation factors.  This improves performance in high-quality
	  applications, and reduces large steps in quality.  Fixed bug with
	  multiple code blocks changing m_cutoff_point repeatedly.

2006-05-04 09:45  tjdwave

	* libdirac_common/band_codec.cpp, libdirac_common/common.h,
	  libdirac_common/mv_codec.cpp,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp: Rationalised arithmetic
	  coding contexts and tidied code. Coefficient coding now covers
	  bins 1-4 individually for "follow/continue bits". There are also
	  separate info contexts for the case where the parent is
	  zero/non-zero.

2006-05-03 17:05  asuraparaju

	* doc/: browser_compatibility.html, contact.html,
	  documentation.html, faq.html, getting_involved.html, index.html,
	  licenses.html, overview.html, soc2006.html, soc2006_ideas.html,
	  specification.html, todo.html: Include links and details of Dirac
	  participation in Google's Summer of Code 2006 program.

2006-04-26 16:06  asuraparaju

	* doc/faq.html: Fixed a typo.

2006-04-26 15:59  asuraparaju

	* tests/samples.at: Set luma block size values depending on the
	  preset value.

2006-04-21 14:59  dirac_dev

	* encoder/encmain.cpp: Prevents user from specifying more than 5
	  wavlet transforms

2006-04-21 14:20  dirac_dev

	* encoder/encmain.cpp, libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/common_types.h,
	  libdirac_common/dirac_exception.h, libdirac_common/mot_comp.cpp,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_motionest/me_mode_decn.cpp: Added in variable
	  motion-vector precision. Can now be controlled from the
	  command-line. Default is quarter pixel.

2006-04-21 10:23  asuraparaju

	* libdirac_common/band_codec.cpp, libdirac_common/common.h,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp: Differential quantiser index
	  is now coded using arithmetic signed multiplexed exp Golomb
	  binarisation to conform with spec. Added contexts to list of
	  contexts to support this in common.h.

2006-04-20 16:39  asuraparaju

	* libdirac_byteio/: byteio.cpp, byteio.h, displayparams_byteio.cpp,
	  frame_byteio.cpp, mvdata_byteio.cpp, parseparams_byteio.cpp,
	  parseunit_byteio.cpp, seqparams_byteio.cpp, subband_byteio.cpp,
	  transform_byteio.cpp: Replaced exp-Golomb coding with interleaved
	  exp-Golomb coding to conform with spec.  Fixed-length values
	  (like access unit picture number, parser offset) are now written
	  out in Big-Endian order to conform with spec. Renamed coding
	  functions to reflect whether they are coding fixed length values
	  or variable length values.

2006-04-20 11:45  asuraparaju

	* libdirac_byteio/Makefile.am: Missed this file in the previous
	  commit. It is part of the major restructure to Dirac bytestream
	  I/O.

2006-04-20 11:41  asuraparaju

	* Makefile.am, README, configure.ac, decoder/decmain.cpp,
	  doc/documentation/code/api/dirac_api.doxygen,
	  encoder/encmain.cpp,
	  extras/dirac_dshow/src/diracsplitter/DiracSplitter.cpp,
	  extras/dirac_dshow/src/diracsplitter/DiracSplitter.vcproj,
	  extras/dirac_dshow/src/diracsplitter/DiracSplitterFile.cpp,
	  extras/dirac_dshow/src/diracsplitter/stdafx.h,
	  libdirac_byteio/accessunit_byteio.cpp,
	  libdirac_byteio/accessunit_byteio.h, libdirac_byteio/byteio.cpp,
	  libdirac_byteio/byteio.h, libdirac_byteio/component_byteio.cpp,
	  libdirac_byteio/component_byteio.h,
	  libdirac_byteio/dirac_byte_stats.cpp,
	  libdirac_byteio/dirac_byte_stats.h,
	  libdirac_byteio/dirac_byte_stream.cpp,
	  libdirac_byteio/dirac_byte_stream.h,
	  libdirac_byteio/displayparams_byteio.cpp,
	  libdirac_byteio/displayparams_byteio.h,
	  libdirac_byteio/endofsequence_byteio.cpp,
	  libdirac_byteio/endofsequence_byteio.h,
	  libdirac_byteio/frame_byteio.cpp, libdirac_byteio/frame_byteio.h,
	  libdirac_byteio/mvdata_byteio.cpp,
	  libdirac_byteio/mvdata_byteio.h,
	  libdirac_byteio/parseparams_byteio.cpp,
	  libdirac_byteio/parseparams_byteio.h,
	  libdirac_byteio/parseunit_byteio.cpp,
	  libdirac_byteio/parseunit_byteio.h,
	  libdirac_byteio/seqparams_byteio.cpp,
	  libdirac_byteio/seqparams_byteio.h,
	  libdirac_byteio/subband_byteio.cpp,
	  libdirac_byteio/subband_byteio.h,
	  libdirac_byteio/transform_byteio.cpp,
	  libdirac_byteio/transform_byteio.h, libdirac_common/Makefile.am,
	  libdirac_common/arith_codec.cpp, libdirac_common/arith_codec.h,
	  libdirac_common/band_codec.cpp, libdirac_common/band_codec.h,
	  libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/common_types.h,
	  libdirac_common/dirac_exception.cpp,
	  libdirac_common/dirac_exception.h, libdirac_common/dirac_types.h,
	  libdirac_common/frame.cpp, libdirac_common/frame.h,
	  libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_common/mot_comp.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_common/pic_io.cpp, libdirac_common/pic_io.h,
	  libdirac_common/video_format_defaults.cpp,
	  libdirac_common/video_format_defaults.h,
	  libdirac_common/wavelet_utils.cpp, libdirac_decoder/Makefile.am,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/comp_decompress.h,
	  libdirac_decoder/dirac_cppparser.cpp,
	  libdirac_decoder/dirac_cppparser.h,
	  libdirac_decoder/dirac_parser.cpp,
	  libdirac_decoder/dirac_parser.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_decoder/seq_decompress.h, libdirac_encoder/Makefile.am,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/comp_compress.h,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/frame_compress.h,
	  libdirac_encoder/quality_monitor.cpp,
	  libdirac_encoder/quant_chooser.cpp,
	  libdirac_encoder/quant_chooser.h,
	  libdirac_encoder/seq_compress.cpp,
	  libdirac_encoder/seq_compress.h,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_subpel.cpp, libdirac_motionest/me_utils.h,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/pixel_match.cpp, tests/samples.at,
	  unit_tests/frames_test.cpp, unit_tests/motion_comp_test.cpp,
	  util/instrumentation/instrmain.cpp,
	  util/instrumentation/process_sequence.cpp,
	  util/instrumentation/libdirac_instrument/overlay.cpp,
	  win32/VS2003/Makefile.am, win32/VS2003/dirac.sln,
	  win32/VS2003/ConversionUtils/libconv_common/libconv_common.vcproj,
	  win32/VS2003/DiracDecoder/DiracDecoder.vcproj,
	  win32/VS2003/DiracEncoder/DiracEncoder.vcproj,
	  win32/VS2003/EncodeDirac/EncodeDirac.vcproj,
	  win32/VS2003/libdirac_byteio/libdirac_byteio.vcproj,
	  win32/VS2003/libdirac_common/libdirac_common.vcproj: Major
	  restructure of Input/Output classes in Dirac internals. New
	  directory, libdirac_byteio contains classes to input from/output
	  to a Dirac bistream.

	  Dirac external API (both encoder and decoder) has changed. So the
	  patches for MPlayer, FFmpeg, and the Dirac Directshow filter will
	  no longer work with the CVS source. The external API is likely to
	  change over the next few weeks.  Updated versions of the patches
	  and Direcshow filter will be available with the next release of
	  Dirac.

	  NOTE: the bytestream has changed to largely conform to the latest
	  Dirac spec.  More work needs to be done to conform fully to the
	  Dirac definition document. So expect the CVS source and resulting
	  bitstream to change frequently over the next few weeks.

2006-04-18 11:18  tjdwave

	* libdirac_common/arith_codec.h, libdirac_common/band_codec.cpp,
	  libdirac_common/band_codec.h, libdirac_common/common.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/frame_compress.cpp: Changing binarisation for
	  arithmetic coding, and associated contexts.  The specification
	  will be modified accordingly.

	  Binarisation for the magnitude values of wavelet coefficients,
	  motion vector prediction residues and DC values has been changed
	  from unary to interleaved exp-Golomb so that the number of
	  symbols to be decoded in order to reconstruct a coefficient is
	  reduced. Exp-Golomb binarisation takes a number N>=0 and codes it
	  via the binary representation of N+1, 1bbbbbb. If there are K
	  bits following the leading 1, the representation is K zeroes
	  followed by the binary representation:

	  00...01bbbbb Interleaved exp-Golomb is the same, except that the
	  K lsbs are interleaved with the zeroes: 0b0b	 0b1 so that a
	  single decoding loop can be used. The zeroes here act as "follow
	  bits" indicating that another bit is to be sent, with 1 as the
	  terminator.

	  Contexts for coding these symbols are selected for the follow
	  bits and other bits ("information bits") separately. Compression
	  performance is hardly affected, nor is speed performance in
	  software, but hardware performance is greatly facilitated.

2006-04-12 16:06  tjdwave

	* libdirac_common/arith_codec.h: Changed while loops for decoding
	  and encoding into fixed-size for-loops with break conditions.
	  Although ugly, this provides safer code as loops will terminate
	  if there's an error.

2006-04-11 12:23  asuraparaju

	* unit_tests/motion_comp_test.cpp: Set number of references in
	  MvData constructor to fix compilation errors.

2006-04-10 11:13  tjdwave

	* libdirac_common/band_codec.cpp: Changed lookup table-based
	  division to a straight division. This is slightly slower, but
	  will scale to higher levels of wavelet decomposition.  Also
	  eliminates bug with occasional wrap-around for lossless coding on
	  some pictures. Making abs_val 64 bits would also work but could
	  be equally slow on 32 bit architectures.

2006-03-20 12:54  asuraparaju

	* encoder/encmain.cpp, libdirac_encoder/dirac_encoder.cpp: Fixed
	  bug in writing instrumentation data to output which always
	  assumed that data for two references were available.

2006-03-17 18:04  timborer

	* libdirac_common/common.cpp, libdirac_common/common.h,
	  libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/pixel_match.cpp,
	  util/instrumentation/process_sequence.cpp: Changed block mode
	  coding so that residues for reference 2 are not generated when we
	  are only using one reference.  THIS CHANGES THE BYTESTREAM This
	  reduces the bit rate by a few bits, but the reason for doing it
	  is becuase it makes the codec more logical.  Also modified
	  BlockModePrediction so that it doesn't do a prediction for
	  reference 2 when we are only using one reference.  Removed some
	  unnecessary memory allocation in MvData constructor.	Removed a
	  few warning messages and tidied up a bit.

2006-03-01 18:19  asuraparaju

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Rationalised
	  types used i.e. replaced all code_t, calc_t etc with unsigned
	  int. Simplified the code by removing one addition and shift from
	  DecodeSymbol.

2006-02-28 15:53  asuraparaju

	* libdirac_common/arith_codec.cpp: Fixed g++ warning when compiled
	  in debug mode

2006-02-28 15:29  asuraparaju

	* libdirac_common/Makefile.am,
	  win32/VS2003/libdirac_common/libdirac_common.vcproj: Added
	  arith_codec.cpp to list of .cpp files

2006-02-28 15:25  asuraparaju

	* libdirac_common/: arith_codec.cpp, arith_codec.h: Refactored code
	  to make implementation easier to understand. The code restructure
	  modified the bitstream but older version of arith_codec can
	  decode this new version and vice-versa.

2006-02-21 13:32  tjdwave

	* libdirac_common/arith_codec.h: Modified arithmetic coding engine
	  for speed and spec conformance.  1. Changed context statistics so
	  that maximum weight is 256 2. Changed look-up table so that
	  inverse of weight is calculated to 16 instead of 31 bits.  3.
	  Changed scaled count of zero m_prob0 so that it's 16 bits instead
	  of 10

	  Changes 1-3 mean that m_prob0 can be worked out using only 16 bit
	  multiplies and no bitshift. This is more hardware friendly.

	  4. Modified do .. while loop for encoding and decoding so that a
	  more efficient test for MSB equality can be used, resulting in a
	  speed-up 5. Changed the order of decoding so that bits are
	  shifted in first and then the symbol is determined. This reduces
	  unnecessary bit inputs and moves to a 'lazy' input mode 6.
	  Changed the statistics update function so that m_prob0 is
	  calculated for every update rather than every other. This speeds
	  up the code and gives better compression performance.

2006-02-15 14:27  asuraparaju

	* tests/samples.at: Included  block variables so that tests can be
	  run for different block sizes. Note that the block sizes must be
	  changed manually before running the tests.

2006-02-15 14:26  asuraparaju

	* libdirac_motionest/: me_utils.cpp, me_utils_mmx.cpp,
	  pixel_match.cpp: Padding related changes. Since there may no
	  longer be an integer number of whole macroblocks and blocks in a
	  paddied picture, made changes to ensure that we do not fall off
	  the boundaries of the padded pictured during motion estimation.
	  WARNING : This changes the bitstream

2006-02-15 14:24  asuraparaju

	* libdirac_common/: mot_comp.cpp, mot_comp.h, mot_comp_mmx.cpp,
	  mot_comp_mmx.h: A linear function is used to calculate the OBMC
	  weights instead of a raised cosine function to make it compliant
	  with spec. Also motion compensation is performed only on true
	  picture dimensions and not padded picture dimensions, WARNING :
	  This changes the bitstream

2006-02-15 14:23  asuraparaju

	* libdirac_common/common.cpp: Modified CodecParams.SetBlockSizes
	  function to be compliant with spec.  WARNING : This changes the
	  bitstream

2006-02-15 14:21  asuraparaju

	* libdirac_common/common.h, libdirac_common/frame.cpp,
	  libdirac_common/frame_buffer.cpp, libdirac_common/frame_buffer.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/seq_decompress.cpp,
	  libdirac_encoder/seq_compress.cpp, unit_tests/frames_test.cpp,
	  unit_tests/motion_comp_test.cpp: Currently a frame is padded so
	  that it has an integer number of whole macro blocks and is also a
	  multiple of 2^(wavelet transform depth). This has changed in the
	  Dirac specification where a frame is padded so that its
	  dimensions are a multiple of 2^(wavelet transform depth) only.
	  Also the luma and the chroma components can be padded
	  differently. E.g. the luma dimensions may be a perfect multiple
	  of 2^(wavelet transform depth) so the luma component is not
	  padded but the chroma component may need to be padded depending
	  on the chroma format of the input.  To take care of this,
	  FrameParams class has been modified to accept both padded chroma
	  and padded luma dimensions.

	  WARNING! This modifies the bitstream.

2006-02-14 12:48  tjdwave

	* libdirac_common/arith_codec.h: Changed count rescaling so that it
	  occurs every time a bit is encoded/decoded.  This is to make
	  compliant with spec, and also because doing it every other bit
	  was giving no speed advantage.

	  WARNING! This changes the bitstream.

2006-02-10 09:49  tjdwave

	* libdirac_common/common.cpp: Modified calculation of quantisation,
	  inverse quantisation and offset values so as to conform to
	  specification.  WARNING: this modifies the bitstream.

2006-02-09 13:58  tjdwave

	* libdirac_common/: motion.h, mv_codec.cpp: Removed the function
	  for computing a mean of a vector of ints. Instead all means are
	  of unsigned int values, and are calculated using unbiased
	  arithmetic ie with an offset of N/2 for N values to ensure even
	  rounding. This changes the mean used for predicting DC values in
	  motion vector coding. As a result, the bitstream is also changed.

2006-01-06 15:56  tjdwave

	* libdirac_common/mv_codec.cpp: Changed refresh so that statistics
	  are refreshed after m_reset_num macroblocks as intended, rather
	  than m_reset_num+1.  WARNING! This changes the bitstream.

2006-01-06 15:22  asuraparaju

	* libdirac_motionest/me_utils.cpp: Fixed bug#1383890. Applied patch
	  supplied in bug report.

2005-12-07 12:50  asuraparaju

	* doc/specification.html: Link to Dirac specification document

2005-12-07 11:34  asuraparaju

	* doc/: contact.html, documentation.html, faq.html,
	  getting_involved.html, index.html, licenses.html, overview.html,
	  template2.html, todo.html: Included a link to the Dirac
	  Specification document.

2005-12-07 11:33  asuraparaju

	* doc/documentation/algorithm/algorithm/wlt_transform.xht: Fixed
	  filter coefficients for 13,5 filter.

2005-12-05 12:44  asuraparaju

	* ChangeLog: [no log message]

2005-12-05 12:38  asuraparaju

	* NEWS: Updated with 0.5.4 release notes

2005-12-05 12:33  asuraparaju

	* extras/patches/: FFMpeg-20051205-dirac-0.5.x.patch,
	  README_FFMpeg-20051205-dirac-0.5.x_patch: FFMpeg patch for cvs
	  version dated 05-Dec-2005.

2005-12-05 12:32  asuraparaju

	* extras/patches/: README_FFMpeg-20050806-dirac-0.5.x_patch,
	  README_ffmpeg-0.4.9-pre1-dirac-0.5.x_patch: Updated instruction
	  for latest Dirac release

2005-12-05 12:26  asuraparaju

	* extras/patches/README_MPlayer-1.0pre7_dirac-0.5.x_patch: Updated
	  instructions to use latest release of Dirac and MPlayer

2005-12-02 16:25  asuraparaju

	* libdirac_common/mot_comp_mmx.cpp: Fix bug with uninitialised
	  memory reads when compiling in msys-g++ environment.

2005-12-02 10:16  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: Added Steve
	  Bearcroft to list of contributors.

2005-12-01 14:34  asuraparaju

	* README: Changes to reflect the new/modified options of the
	  command line encoder dirac_encoder.

2005-12-01 14:30  asuraparaju

	* AUTHORS: Updated contributor list.

2005-12-01 14:30  asuraparaju

	* configure.ac: Updated release id to 0.5.4

2005-12-01 14:29  asuraparaju

	* tests/: colourbars.at, samples.at: Changes due to modified
	  dirac_encoder command line. Include the -local option to generate
	  diagnostics and locally decoded data to use in comparison and
	  instrumentation tests.

2005-12-01 14:27  asuraparaju

	* encoder/encmain.cpp: Generation of Diagnostics data and locally
	  decoded output is now disabled by default. To enable this use the
	  commandline option -local.

2005-12-01 14:26  asuraparaju

	* libdirac_common/upconvert_mmx.cpp: Mods to make
	  Upconverter::DoUpconverter function more efficient

2005-12-01 14:25  asuraparaju

	* libdirac_common/wavelet_utils.h: New function
	  VHFilter5_3::HorizSynth which is used only when MMX opts are
	  enabled. This function is used to interleave horizontal synthesis
	  with vertical synthesis to make the wavelet syntheis function
	  slightly more efficient.

2005-12-01 14:22  asuraparaju

	* libdirac_common/: band_codec.cpp, band_codec.h: New function
	  ClearBlock to set all values in block to 0 more efficiently.
	  Applied BandCodec optimisation part of patch 1303281 which make
	  DecodeVal function more efficient.

2005-12-01 14:12  asuraparaju

	* libdirac_common/wavelet_utils_mmx.cpp: Minor mods to optimise
	  VHFilter5_3::Split further.

2005-12-01 14:10  asuraparaju

	* libdirac_common/mot_comp_mmx.cpp: Minor changes to ensure that
	  uninitialised memory reads do not cause crashes when compiled
	  using MS VC++. Note that the data read from unitialised memory is
	  not being used but still causes problems on some platforms.

2005-12-01 14:06  asuraparaju

	* libdirac_common/mot_comp.cpp: Using calculated values of blocks
	  per macro block row and blocks per sub-block row instead of
	  hardcoded values.

2005-12-01 14:02  asuraparaju

	* util/encoder_gui/: README, diracdata.h, diracgui.cpp, diracgui.h,
	  encodebox.cpp, encoder_gui.pro, filesbox.cpp, repthread.cpp,
	  tables.h: Included option in GUI to disable the creation of
	  diagnostics data file and locally decoded output. dirac_encoder
	  need no longer be in the current working directory but in any
	  directory in the PATH variable.

2005-11-15 15:35  asuraparaju

	* libdirac_common/arith_codec.h: Minor cosmetic difference as to
	  how CODE_MSB and CODE_2ND_MSB are initialised to make their usage
	  more obvious.

2005-11-15 15:33  asuraparaju

	* doc/Makefile.am: Fix problem with install target

2005-11-08 11:45  asuraparaju

	* libdirac_common/band_codec.cpp: Minor changes in DoWorkCode,
	  DoWorkDecode and DecodeCoeffBlock functions in the way 2-D arrays
	  are accessed which resulted in a slight decoding speed
	  improvement.

2005-11-08 11:43  asuraparaju

	* libdirac_common/upconvert_mmx.cpp: Minor changes to DoUpConverter
	  routine to give slight improvement in uoconversion speed.

2005-11-08 11:41  asuraparaju

	* libdirac_common/arrays.h: In Resize function in OneDArray class,
	  dealloc and realloc data only if the new and old array sizes are
	  different.

2005-11-08 11:40  asuraparaju

	* libdirac_common/: wavelet_utils.cpp, wavelet_utils_mmx.cpp:
	  Optimised WaveletTransform::VHFilter5_3::Split using MMX
	  instructions. Minor mods to WaveletTransform::VHFilter5_3::Synth
	  function improve speed slightly.

2005-11-08 11:37  asuraparaju

	* libdirac_motionest/Makefile.am,
	  libdirac_motionest/downconvert.cpp,
	  libdirac_motionest/downconvert_mmx.cpp,
	  win32/VS2003/libdirac_motionest/libdirac_motionest.vcproj:
	  Optimised DoDownConverter routine using MMX instructions

2005-11-08 11:34  asuraparaju

	* libdirac_common/: mot_comp.cpp, mot_comp.h, mot_comp_mmx.cpp:
	  Modified motion compensation so that it take Macro-Block
	  splitting mode into consideration when compensating a row of
	  blocks. Depending on the macroblock split mode, 1,2 or 4 blocks
	  of reference data are used to calculate the motion compensated
	  data. This sped up the default quarter pixel block motion
	  compensation routine by an average of 20-23% for a 2Mbps Dirac
	  bitstream.

2005-11-08 11:26  asuraparaju

	* libdirac_common/: frame.cpp, frame.h, frame_buffer.cpp,
	  frame_buffer.h: Changes to FrameBuffer handling. Deleting old
	  frames and allocating new frames is quite expensive. So instead
	  of deleting frames no longer required in the frame buffer, they
	  are flagged "not in use". So the next time a new reference frame
	  has to be inserted in the Frame buffer, the first frame "not in
	  use" is used to store the new frame. An overall improvement of
	  6-7 percent in decoding speed for a 2Mbps bitstream resulted.

2005-10-17 12:06  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: Fixed bug #1328565. Now
	  ensuring that all locally decoded frames are available for
	  output.

2005-10-11 14:02  tjdwave

	* libdirac_common/arith_codec.h: Incorporated Steve Bearcroft's
	  speed-up patch, with some minor typographical changes for
	  clarity.

2005-10-11 10:00  tjdwave

	* libdirac_motionest/block_match.cpp: Added patch 1309571 which
	  fixes the quality degradation introduced in the motion estimation
	  speed-ups.

2005-10-07 11:17  asuraparaju

	* libdirac_motionest/: me_utils.cpp, me_utils_mmx.cpp,
	  me_utils_mmx.h: Applied MMX optimisations to modified ME
	  routines. This is an initial version that improves Motion
	  Estimation speed by 30% resulting in a 20% improvement in
	  encoding speed overall. This is work in progress.

2005-09-27 14:44  dirac_dev

	* libdirac_encoder/dirac_encoder.h: Replaced boolean with int.
	  C-compilers (eg. ffmpeg) complain about C++ constructs.

2005-09-27 14:08  tjdwave

	* libdirac_encoder/quality_monitor.cpp: Set the motion estimation
	  factor to compensate for the default search precision being at
	  1/4 pel (as this is the default precision) rather than 1/8th pel.

2005-09-27 14:07  tjdwave

	* libdirac_motionest/: motion_estimate.cpp, motion_estimate.h:
	  Removed cut detection, which is now in the FrameCompressor class.
	  Removed the kludge which scaled the motion vector precisions. All
	  motion estimation is now at the selected precision.

2005-09-27 14:01  tjdwave

	* libdirac_motionest/: me_mode_decn.cpp, me_mode_decn.h: Use
	  specific matching classes for different pixel accuracies. Reduced
	  search ranges for increased speed.

2005-09-27 13:59  tjdwave

	* libdirac_motionest/me_subpel.cpp: Removed calculation of lambda
	  map. Simplified class by using the specific subpixel refinement
	  matching function.

2005-09-27 13:55  tjdwave

	* libdirac_motionest/: pixel_match.cpp, pixel_match.h: Search
	  ranges restricted to improve motion estimation speed.

2005-09-27 13:52  tjdwave

	* libdirac_motionest/: block_match.cpp, block_match.h: Refactored
	  the BlockMatcher class. There are now three functions for finding
	  a best match - finding the pixel-accurate best match, refining
	  this to sub-pixel accuracy, and also finding a best match from a
	  list at sub-pixel level.  These matching functions contain
	  shortcuts to speed up matching as follows.

	  FindBestMatchPel: - The predictors are each searched first, and
	  if their SAD values are small then the search ends.  - bailout
	  functions are used for calculating matching costs for the
	  remaining candidates

	  RefineMatchSubpel: - The predictor from neighbouring (previously
	  refined) vectors is tested first. If there's a small SAD, then
	  the search ends - Pixel-accurate vectors are refined to half-pel
	  vectors by searching the 4 closest half-pel positions (shown as
	  X) first:  X XOX  X

	  If one of these is better than the pixel-accurate value, then the
	  two nearest values in the immediate neighbourhood of the
	  pixel-accurate value are also searched, eg the Y values below:

	  YXY XOX  X

	  This two-stage procedure is followed again in refining to
	  quarter- and eighth-pel.  - At each stage of refinement, if we're
	  10% worse than the value derived for the predictor, we end the
	  search.

	  FindBestMatchSubpel: - bailout functions are used

2005-09-27 13:40  tjdwave

	* libdirac_motionest/: me_utils.cpp, me_utils.h: Reorganised
	  classes for doing SAD calculations at pixel and sub-pixel
	  accuracy. Distinct classes for half-, quarter- and eighth-pixel
	  matching have been created. These are present also in 'bailout'
	  form so that you can leave the calculation as soon as you know
	  that you're not going to beat the best match so far.	These mods
	  support speeding up motion estimation, and hence the encoder
	  generally.

2005-09-27 12:25  asuraparaju

	* libdirac_encoder/dirac_encoder.cpp: Fixed bug# 1291478. Now
	  ensuring that dirac_encoder_output returns ENC_STATE_BUFFER when
	  data is not loaded into the encoder.

2005-09-27 12:21  asuraparaju

	*
	  doc/documentation/code/programmers_guide/decoder_api_functions.htm:
	  Bug fix: 1291481. Corrected return value in dirac_parse function
	  prototype.

2005-09-27 10:21  tjdwave

	* libdirac_encoder/seq_compress.cpp: The quality measurement model
	  can only be calculated correctly if reconstructed compressed
	  video is available, which isn't the case if we're not doing local
	  decoding. In this case, calculating and outputting these values
	  is disabled.

2005-09-27 10:16  tjdwave

	* libdirac_encoder/: frame_compress.cpp, frame_compress.h: Moved
	  the analysis of whether or not we have a cut into FrameCompressor
	  class and out of motion estimation classes.

	  Also, only do motion compensation on L2 frames if local decoding
	  is required.	This is because, by definition, L2 frames can't be
	  references and so can be left in a partially reconstructed state
	  if local decoding isn't required, which improves encoding speed.

2005-09-27 10:12  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Added support for local
	  decoding flag, so that local decoding can be avoided for speed.

2005-09-27 10:09  tjdwave

	* libdirac_encoder/comp_compress.cpp: Removed commented-out code.

2005-09-27 10:09  tjdwave

	* libdirac_encoder/comp_compress.cpp: Inverse wavelet transform is
	  now only done for L2 frames if local decoding is required. This
	  is because L2 frames are (by definition) not used for reference
	  and can be left in a partially reconstructed state if local
	  decoding isn't needed.

2005-09-27 09:54  tjdwave

	* libdirac_common/mot_comp.cpp: Introduced unbiased rounding into
	  calculation of weighting matrices. This allows the subsequent
	  rationalisation of the values to be avoided. Also, chroma scale
	  factors applied to motion vectors have been replaced by shift
	  factors, so that bitshifts can be used instead of divisions for
	  greater efficiency.

2005-09-27 09:50  tjdwave

	* libdirac_common/: common.cpp, common.h: Added support for an
	  encode params flag indicating whether we're doing local decoding.
	  Local decoding can then be omitted for greater efficiency.

2005-09-27 09:44  tjdwave

	* decoder/decmain.cpp: Made timing info only output in verbose
	  mode.

2005-09-27 09:43  tjdwave

	* encoder/encmain.cpp: Added timing data for encoding.

2005-09-27 09:40  tjdwave

	* libdirac_common/arith_codec.h: Simplified ArithCodec class so
	  that probality intervals aren't used.

2005-09-07 15:29  tjdwave

	* util/encoder_gui/: COPYING, README, diracdata.h, diracgui.cpp,
	  diracgui.h, encodebox.cpp, encoder_gui.pro, filesbox.cpp,
	  main.cpp, presetbox.cpp, qualitybox.cpp, reportbox.cpp,
	  repthread.cpp, repthread.h, tables.cpp, tables.h, videobox.cpp:
	  Adding files for Dirac encoder GUI.

2005-09-07 10:41  tjdwave

	* doc/DiracSpecV0.1.doc: Version 0.1 superceded by version 0.9 now
	  in CVS.

2005-09-07 10:39  tjdwave

	* doc/DiracSpec0.9.pdf: Added decoder semantics and revised
	  bitstream structure.

2005-08-31 14:42  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/quality_monitor.cpp: Added support for lossless
	  I-frame and long-GOP coding, with CLI option.

2005-08-23 11:52  asuraparaju

	* ChangeLog: [no log message]

2005-08-23 11:46  asuraparaju

	* NEWS: Added 0.5.3 release notes

2005-08-23 11:14  asuraparaju

	* doc/documentation.html: Having trouble creating a pdf document in
	  which MathML is rendered correctly.  Hence a pdf version of the
	  Algorithm document cannot be generated at the moment.  Removed
	  broken link to Algorithm pdf until this problem can be fixed.

2005-08-22 13:51  asuraparaju

	* configure.ac: Update the help string for enable-mmx configure
	  argument to make it clear that MMX opts are enabled by default.
	  The user will have to explcitly specify --enable-mmmx=no or
	  --disable-mmx to disable MMX opts.

2005-08-19 13:41  asuraparaju

	* extras/patches/: README_transcode-1.0.0_dirac-0.5.x_patch,
	  transcode-1.0.0-dirac-0.5.x.patch: Dirac patch for
	  transcode-1.0.0. This patch is not a standalone patch and will be
	  effective only if the ffmpeg library it uses is built with the
	  dirac patch applied.

2005-08-19 13:38  asuraparaju

	* extras/patches/README_MPlayer-1.0pre7_dirac-0.5.x_patch: Updated
	  notes for dirac v0.5.3

2005-08-19 13:36  asuraparaju

	* extras/patches/: FFMpeg-20050806-dirac-0.5.x.patch,
	  README_FFMpeg-20050806-dirac-0.5.x_patch: Dirac patch for ffmpeg
	  cvs snapshot dated 06-Aug-2005. Note that this has been tested
	  with CVS versions as late at 16-Aug-2006 but the CVS snapshots
	  past 06-Aug-2005 are not available for download on the FFmpeg
	  server.

2005-08-19 13:34  asuraparaju

	* extras/patches/README_transcode-0.6.14_dirac-0.5.x_patch: Updated
	  for dirac v0.5.3

2005-08-19 13:33  asuraparaju

	* extras/patches/: README_ffmpeg-0.4.9-pre1-dirac-0.5.x_patch,
	  ffmpeg-0.4.9-pre1-dirac-0.5.x.patch: Updated patch for
	  dirac-0.5.3. Changed license to LGPL. Fixed bug in setting the
	  quality factor where the quality factor lookup table was uint8_t
	  instead of float which was causing the qf to be truncated to
	  uint8_t.  dirac_decode_frame now correctly returns the number of
	  bytes it consumed. This is a fix for bug 1246767.

2005-08-18 09:30  tjdwave

	* encoder/encmain.cpp: Clarified CLI error message.

2005-08-18 09:27  tjdwave

	* README: Refactored the encoding instructions so that they're much
	  clearer.

2005-08-16 15:37  asuraparaju

	* libdirac_common/arith_codec.h: Removed DOS line-breaks.

2005-08-16 10:37  asuraparaju

	* doc/Makefile.am: Fix problem with install targer in main doc
	  directory

2005-08-15 18:21  asuraparaju

	* doc/Makefile.am: Fixed bug where make was failing when built in a
	  distribtion

2005-08-15 17:48  asuraparaju

	* doc/: Makefile.am,
	  documentation/code/programmers_guide/Makefile.am: Ensured that
	  all required files are installed correctly when using the install
	  target of make.

2005-08-15 17:18  asuraparaju

	* doc/documentation/: Makefile.am, tools/diagnostics/Makefile.am:
	  Changes related to documents directory restructure

2005-08-15 17:11  asuraparaju

	* configure.ac, doc/Makefile.am,
	  doc/documentation/algorithm/Makefile.am,
	  doc/documentation/algorithm/enhancements/Makefile.am,
	  doc/documentation/algorithm/global_motion/Makefile.am,
	  doc/documentation/algorithm/upconversion/Makefile.am,
	  doc/documentation/tools/Makefile.am: Changes related to
	  documentation tree restructure

2005-08-15 16:09  asuraparaju

	* doc/: Makefile.am, documentation/algorithm/Makefile.am,
	  documentation/algorithm/algorithm/Makefile.am,
	  documentation/code/Makefile.am,
	  documentation/code/api/Makefile.am,
	  documentation/code/api/dirac_api.doxygen,
	  documentation/code/api/dirac_api.doxygen.in,
	  documentation/code/api/dirac_api_foot.html,
	  documentation/code/api/dirac_api_head.html,
	  documentation/code/programmers_guide/Makefile.am: Changes related
	  to documentation tree restructure.

2005-08-15 16:03  asuraparaju

	* doc/api/: Makefile.am, dirac_api.doxygen, dirac_api.doxygen.in,
	  dirac_api_foot.html, dirac_api_head.html,
	  libdirac_encoder_api.doxygen, libdirac_encoder_api_foot.html,
	  libdirac_encoder_api_head.html: Removing old files as part of
	  Documentation directory restructure. API docs are now generated
	  in doc/documentation/code/api/html

2005-08-15 15:56  asuraparaju

	* doc/algorithm/: Makefile.am, algorithm.htm, block_data.htm,
	  const_qual.htm, intro.htm, mb_structs.htm, mot_est.htm,
	  mot_est_and_comp.htm, mv_coding_arch.htm, mv_data_coding.htm,
	  mv_entropy_code.htm, olb_mc.htm, overall_arch.htm,
	  quantisation.htm, rdo.htm, rdo_mot_est.htm, subband_rdo.htm,
	  temporal_prediction_structures.htm, transform_coding.htm,
	  transform_coding_arch.htm, var_size.htm, wlt_transform.htm,
	  figs/DC.jpg, figs/DCSAD.jpg, figs/braces.jpg, figs/d.jpg,
	  figs/eqA.jpg, figs/eqB.jpg, figs/eqC.jpg, figs/eqD.jpg,
	  figs/eqE.jpg, figs/eqF.jpg, figs/eqG.jpg, figs/eqH.jpg,
	  figs/eqI.jpg, figs/eqJ.jpg, figs/fig1.jpg, figs/fig10.jpg,
	  figs/fig12.jpg, figs/fig13.jpg, figs/fig14.jpg, figs/fig15.jpg,
	  figs/fig16.jpg, figs/fig17.jpg, figs/fig18.jpg, figs/fig19.jpg,
	  figs/fig2.jpg, figs/fig20.jpg, figs/fig21.jpg, figs/fig22.jpg,
	  figs/fig23.jpg, figs/fig24.jpg, figs/fig26.jpg, figs/fig27.jpg,
	  figs/fig3.jpg, figs/fig4.jpg, figs/fig5.jpg, figs/fig6.jpg,
	  figs/fig7.bmp, figs/fig7.jpg, figs/fig8.jpg, figs/fig9.jpg,
	  figs/fp.jpg, figs/m.jpg, figs/nhood.jpg, figs/nhoodresidue.jpg,
	  figs/p.jpg, figs/p2.jpg, figs/t.jpg, figs/two.jpg, figs/var.jpg,
	  figs/vtilda.jpg, figs/vw.jpg, mv_data_pred.htm, parent_child.htm,
	  toc.htm, wlt_coeff_coding.htm: Removing old files as part of
	  Documentation directory restructure. Algorithm documentation can
	  now be found in doc/documentation/algorithm/algorithm

2005-08-15 15:52  asuraparaju

	* doc/programmers/: Makefile.am, programmers_guide.aux,
	  programmers_guide.tex: Removed old files as part of document
	  directory restructure

2005-08-15 12:26  asuraparaju

	* doc/documentation/algorithm/enhancements/: 050var_wlt.htm,
	  130alt_bin.htm: Checking in missed doc files missed out in
	  earlier website docs check in.

2005-08-15 12:22  asuraparaju

	* doc/: browser_compatibility.html, contact.html,
	  documentation.html, faq.html, getting_involved.html, index.html,
	  licenses.html, overview.html, styles.css, template.html,
	  template2.html, todo.html,
	  documentation/algorithm/algorithm/block_data.htm,
	  documentation/algorithm/algorithm/index.htm,
	  documentation/algorithm/algorithm/intra_pred.htm,
	  documentation/algorithm/algorithm/intro.htm,
	  documentation/algorithm/algorithm/mb_structs.htm,
	  documentation/algorithm/algorithm/mot_est.htm,
	  documentation/algorithm/algorithm/mot_est_and_comp.htm,
	  documentation/algorithm/algorithm/mv_coding_arch.htm,
	  documentation/algorithm/algorithm/mv_data_coding.htm,
	  documentation/algorithm/algorithm/mv_data_pred.htm,
	  documentation/algorithm/algorithm/mv_entropy_code.htm,
	  documentation/algorithm/algorithm/olb_mc.xht,
	  documentation/algorithm/algorithm/overall_arch.htm,
	  documentation/algorithm/algorithm/overall_arch_svg.htm,
	  documentation/algorithm/algorithm/parent_child.htm,
	  documentation/algorithm/algorithm/quantisation.xht,
	  documentation/algorithm/algorithm/rdo.htm,
	  documentation/algorithm/algorithm/rdo_mot_est.xht,
	  documentation/algorithm/algorithm/subband_rdo.xht,
	  documentation/algorithm/algorithm/temporal_prediction_structures.htm,
	  documentation/algorithm/algorithm/toc.htm,
	  documentation/algorithm/algorithm/transform_coding.htm,
	  documentation/algorithm/algorithm/transform_coding_arch.htm,
	  documentation/algorithm/algorithm/var_size.htm,
	  documentation/algorithm/algorithm/wlt_coeff_coding.xht,
	  documentation/algorithm/algorithm/wlt_transform.xht,
	  documentation/algorithm/algorithm/figs/fig1.dia,
	  documentation/algorithm/algorithm/figs/fig1.gif,
	  documentation/algorithm/algorithm/figs/fig1.jpg,
	  documentation/algorithm/algorithm/figs/fig1.png,
	  documentation/algorithm/algorithm/figs/fig1.svg,
	  documentation/algorithm/algorithm/figs/fig10.dia,
	  documentation/algorithm/algorithm/figs/fig10.gif,
	  documentation/algorithm/algorithm/figs/fig10.jpg,
	  documentation/algorithm/algorithm/figs/fig10.png,
	  documentation/algorithm/algorithm/figs/fig10.svg,
	  documentation/algorithm/algorithm/figs/fig12.dia,
	  documentation/algorithm/algorithm/figs/fig12.gif,
	  documentation/algorithm/algorithm/figs/fig12.jpg,
	  documentation/algorithm/algorithm/figs/fig12.png,
	  documentation/algorithm/algorithm/figs/fig12.svg,
	  documentation/algorithm/algorithm/figs/fig15.dia,
	  documentation/algorithm/algorithm/figs/fig15.gif,
	  documentation/algorithm/algorithm/figs/fig15.jpg,
	  documentation/algorithm/algorithm/figs/fig15.png,
	  documentation/algorithm/algorithm/figs/fig15.svg,
	  documentation/algorithm/algorithm/figs/fig16.dia,
	  documentation/algorithm/algorithm/figs/fig16.gif,
	  documentation/algorithm/algorithm/figs/fig16.jpg,
	  documentation/algorithm/algorithm/figs/fig16.png,
	  documentation/algorithm/algorithm/figs/fig16.svg,
	  documentation/algorithm/algorithm/figs/fig17.dia,
	  documentation/algorithm/algorithm/figs/fig17.gif,
	  documentation/algorithm/algorithm/figs/fig17.jpg,
	  documentation/algorithm/algorithm/figs/fig17.png,
	  documentation/algorithm/algorithm/figs/fig17.svg,
	  documentation/algorithm/algorithm/figs/fig18.dia,
	  documentation/algorithm/algorithm/figs/fig18.gif,
	  documentation/algorithm/algorithm/figs/fig18.jpg,
	  documentation/algorithm/algorithm/figs/fig18.png,
	  documentation/algorithm/algorithm/figs/fig18.svg,
	  documentation/algorithm/algorithm/figs/fig19.cgm,
	  documentation/algorithm/algorithm/figs/fig19.dia,
	  documentation/algorithm/algorithm/figs/fig19.gif,
	  documentation/algorithm/algorithm/figs/fig19.jpg,
	  documentation/algorithm/algorithm/figs/fig19.png,
	  documentation/algorithm/algorithm/figs/fig19.svg,
	  documentation/algorithm/algorithm/figs/fig19.wmf,
	  documentation/algorithm/algorithm/figs/fig1_100.svg,
	  documentation/algorithm/algorithm/figs/fig1_10000.dia,
	  documentation/algorithm/algorithm/figs/fig1_10000.svg,
	  documentation/algorithm/algorithm/figs/fig1_mod.svg,
	  documentation/algorithm/algorithm/figs/fig1_px.svg,
	  documentation/algorithm/algorithm/figs/fig2.dia,
	  documentation/algorithm/algorithm/figs/fig2.gif,
	  documentation/algorithm/algorithm/figs/fig2.jpg,
	  documentation/algorithm/algorithm/figs/fig2.png,
	  documentation/algorithm/algorithm/figs/fig2.svg,
	  documentation/algorithm/algorithm/figs/fig20.dia,
	  documentation/algorithm/algorithm/figs/fig20.gif,
	  documentation/algorithm/algorithm/figs/fig20.jpg,
	  documentation/algorithm/algorithm/figs/fig20.png,
	  documentation/algorithm/algorithm/figs/fig20.svg,
	  documentation/algorithm/algorithm/figs/fig21.dia,
	  documentation/algorithm/algorithm/figs/fig21.gif,
	  documentation/algorithm/algorithm/figs/fig21.jpg,
	  documentation/algorithm/algorithm/figs/fig21.png,
	  documentation/algorithm/algorithm/figs/fig21.svg,
	  documentation/algorithm/algorithm/figs/fig22.dia,
	  documentation/algorithm/algorithm/figs/fig22.gif,
	  documentation/algorithm/algorithm/figs/fig22.jpg,
	  documentation/algorithm/algorithm/figs/fig22.png,
	  documentation/algorithm/algorithm/figs/fig22.svg,
	  documentation/algorithm/algorithm/figs/fig23.dia,
	  documentation/algorithm/algorithm/figs/fig23.gif,
	  documentation/algorithm/algorithm/figs/fig23.jpg,
	  documentation/algorithm/algorithm/figs/fig23.png,
	  documentation/algorithm/algorithm/figs/fig23.svg,
	  documentation/algorithm/algorithm/figs/fig2_webdraw.svg,
	  documentation/algorithm/algorithm/figs/fig3.bmp,
	  documentation/algorithm/algorithm/figs/fig3.dia,
	  documentation/algorithm/algorithm/figs/fig3.gif,
	  documentation/algorithm/algorithm/figs/fig3.jpg,
	  documentation/algorithm/algorithm/figs/fig3.png,
	  documentation/algorithm/algorithm/figs/fig3.svg,
	  documentation/algorithm/algorithm/figs/fig3_a.svg,
	  documentation/algorithm/algorithm/figs/fig4.dia,
	  documentation/algorithm/algorithm/figs/fig4.gif,
	  documentation/algorithm/algorithm/figs/fig4.jpg,
	  documentation/algorithm/algorithm/figs/fig4.png,
	  documentation/algorithm/algorithm/figs/fig4.svg,
	  documentation/algorithm/algorithm/figs/fig4_dia.svg,
	  documentation/algorithm/algorithm/figs/fig5.dia,
	  documentation/algorithm/algorithm/figs/fig5.gif,
	  documentation/algorithm/algorithm/figs/fig5.jpg,
	  documentation/algorithm/algorithm/figs/fig5.png,
	  documentation/algorithm/algorithm/figs/fig5.svg,
	  documentation/algorithm/algorithm/figs/fig6.dia,
	  documentation/algorithm/algorithm/figs/fig6.gif,
	  documentation/algorithm/algorithm/figs/fig6.jpg,
	  documentation/algorithm/algorithm/figs/fig6.png,
	  documentation/algorithm/algorithm/figs/fig6.svg,
	  documentation/algorithm/algorithm/figs/fig7.jpg,
	  documentation/algorithm/algorithm/figs/fig8.dia,
	  documentation/algorithm/algorithm/figs/fig8.gif,
	  documentation/algorithm/algorithm/figs/fig8.jpg,
	  documentation/algorithm/algorithm/figs/fig8.png,
	  documentation/algorithm/algorithm/figs/fig8.svg,
	  documentation/algorithm/algorithm/figs/fig9.dia,
	  documentation/algorithm/algorithm/figs/fig9.gif,
	  documentation/algorithm/algorithm/figs/fig9.jpg,
	  documentation/algorithm/algorithm/figs/fig9.png,
	  documentation/algorithm/algorithm/figs/fig9.svg,
	  documentation/algorithm/enhancements/010version_num.htm,
	  documentation/algorithm/enhancements/020precision.htm,
	  documentation/algorithm/enhancements/030index_tables.htm,
	  documentation/algorithm/enhancements/040bit_stream.htm,
	  documentation/algorithm/enhancements/060var_blocks.htm,
	  documentation/algorithm/enhancements/070var_mv_precn.htm,
	  documentation/algorithm/enhancements/080multi_ref.htm,
	  documentation/algorithm/enhancements/090nl_quant.htm,
	  documentation/algorithm/enhancements/100multi_quant.htm,
	  documentation/algorithm/enhancements/110spatially_var_quant.htm,
	  documentation/algorithm/enhancements/120wt_ref.htm,
	  documentation/algorithm/enhancements/140pred_ctx.htm,
	  documentation/algorithm/enhancements/150ctx_update.htm,
	  documentation/algorithm/enhancements/160intra_ctxs.htm,
	  documentation/algorithm/enhancements/170global_motion.htm,
	  documentation/algorithm/enhancements/180skipped.htm,
	  documentation/algorithm/enhancements/190mv_trace.htm,
	  documentation/algorithm/enhancements/200interlace.htm,
	  documentation/algorithm/enhancements/index.htm,
	  documentation/algorithm/enhancements/toc.htm,
	  documentation/algorithm/global_motion/affine.htm,
	  documentation/algorithm/global_motion/code.htm,
	  documentation/algorithm/global_motion/index.htm,
	  documentation/algorithm/global_motion/intro.htm,
	  documentation/algorithm/global_motion/optimising.htm,
	  documentation/algorithm/global_motion/projective.htm,
	  documentation/algorithm/global_motion/projective_2.htm,
	  documentation/algorithm/global_motion/toc.htm,
	  documentation/algorithm/global_motion/images/abc.jpg,
	  documentation/algorithm/global_motion/images/affine_1.jpg,
	  documentation/algorithm/global_motion/images/affine_2.jpg,
	  documentation/algorithm/global_motion/images/affine_3.jpg,
	  documentation/algorithm/global_motion/images/affine_4.jpg,
	  documentation/algorithm/global_motion/images/affine_5.jpg,
	  documentation/algorithm/global_motion/images/affine_v_error.jpg,
	  documentation/algorithm/global_motion/images/arrow_up.gif,
	  documentation/algorithm/global_motion/images/code_1.jpg,
	  documentation/algorithm/global_motion/images/code_2.jpg,
	  documentation/algorithm/global_motion/images/code_3.jpg,
	  documentation/algorithm/global_motion/images/code_4.jpg,
	  documentation/algorithm/global_motion/images/next.gif,
	  documentation/algorithm/global_motion/images/optimising_1.jpg,
	  documentation/algorithm/global_motion/images/optimising_2.jpg,
	  documentation/algorithm/global_motion/images/optimising_3.jpg,
	  documentation/algorithm/global_motion/images/optimising_4.jpg,
	  documentation/algorithm/global_motion/images/optimising_5.jpg,
	  documentation/algorithm/global_motion/images/optimising_fi.jpg,
	  documentation/algorithm/global_motion/images/prev.gif,
	  documentation/algorithm/global_motion/images/projective_1.jpg,
	  documentation/algorithm/global_motion/images/projective_10.jpg,
	  documentation/algorithm/global_motion/images/projective_11.jpg,
	  documentation/algorithm/global_motion/images/projective_2.jpg,
	  documentation/algorithm/global_motion/images/projective_3.jpg,
	  documentation/algorithm/global_motion/images/projective_4.jpg,
	  documentation/algorithm/global_motion/images/projective_5.jpg,
	  documentation/algorithm/global_motion/images/projective_6.jpg,
	  documentation/algorithm/global_motion/images/projective_7.jpg,
	  documentation/algorithm/global_motion/images/projective_8.jpg,
	  documentation/algorithm/global_motion/images/projective_9.jpg,
	  documentation/algorithm/global_motion/images/projective_e.jpg,
	  documentation/algorithm/global_motion/images/projective_e_2.jpg,
	  documentation/algorithm/global_motion/images/projective_ec.jpg,
	  documentation/algorithm/global_motion/images/projective_m_1.jpg,
	  documentation/algorithm/global_motion/images/projective_w.jpg,
	  documentation/algorithm/global_motion/images/toc.gif,
	  documentation/algorithm/upconversion/downconv.htm,
	  documentation/algorithm/upconversion/downconv_code.htm,
	  documentation/algorithm/upconversion/downconv_filt.htm,
	  documentation/algorithm/upconversion/index.htm,
	  documentation/algorithm/upconversion/intro.htm,
	  documentation/algorithm/upconversion/results.htm,
	  documentation/algorithm/upconversion/results_down.htm,
	  documentation/algorithm/upconversion/results_up.htm,
	  documentation/algorithm/upconversion/toc.htm,
	  documentation/algorithm/upconversion/upconv.htm,
	  documentation/algorithm/upconversion/upconv_basic.htm,
	  documentation/algorithm/upconversion/upconv_filt.htm,
	  documentation/algorithm/upconversion/upconv_opt.htm,
	  documentation/algorithm/upconversion/upconv_opt_arith.htm,
	  documentation/algorithm/upconversion/upconv_opt_io.htm,
	  documentation/algorithm/upconversion/upconv_opt_other.htm,
	  documentation/algorithm/upconversion/images/image1.jpg,
	  documentation/algorithm/upconversion/images/image2.jpg,
	  documentation/algorithm/upconversion/images/image3.jpg,
	  documentation/algorithm/upconversion/images/image4.jpg,
	  documentation/algorithm/upconversion/images/image5.jpg,
	  documentation/algorithm/upconversion/images/image6.jpg,
	  documentation/algorithm/upconversion/images/next.gif,
	  documentation/algorithm/upconversion/images/prev.gif,
	  documentation/algorithm/upconversion/images/toc.gif,
	  documentation/code/programmers_guide/common_data_structs.htm,
	  documentation/code/programmers_guide/decoder_api.htm,
	  documentation/code/programmers_guide/decoder_api_example.htm,
	  documentation/code/programmers_guide/decoder_api_functions.htm,
	  documentation/code/programmers_guide/decoder_api_overview.htm,
	  documentation/code/programmers_guide/decoder_api_reference.htm,
	  documentation/code/programmers_guide/decoder_data_structs.htm,
	  documentation/code/programmers_guide/decoding.htm,
	  documentation/code/programmers_guide/encoder_api.htm,
	  documentation/code/programmers_guide/encoder_api_example.htm,
	  documentation/code/programmers_guide/encoder_api_functions.htm,
	  documentation/code/programmers_guide/encoder_api_overview.htm,
	  documentation/code/programmers_guide/encoder_api_reference.htm,
	  documentation/code/programmers_guide/encoder_data_structs.htm,
	  documentation/code/programmers_guide/encoding.htm,
	  documentation/code/programmers_guide/index.htm,
	  documentation/code/programmers_guide/input_formats.htm,
	  documentation/code/programmers_guide/intro.htm,
	  documentation/code/programmers_guide/key.htm,
	  documentation/code/programmers_guide/overview.htm,
	  documentation/code/programmers_guide/software.htm,
	  documentation/code/programmers_guide/toc.htm,
	  documentation/code/programmers_guide/images/arrow_right.gif,
	  documentation/code/programmers_guide/images/arrow_up.gif,
	  documentation/code/programmers_guide/images/image1.jpg,
	  documentation/code/programmers_guide/images/image2.jpg,
	  documentation/code/programmers_guide/images/image3.jpg,
	  documentation/code/programmers_guide/images/next.gif,
	  documentation/code/programmers_guide/images/prev.gif,
	  documentation/code/programmers_guide/images/toc.gif,
	  documentation/publications/dirac-handout-lude-04-2004.pdf,
	  documentation/support/test.html,
	  documentation/tools/diagnostics/index.htm,
	  documentation/tools/diagnostics/intro.htm,
	  documentation/tools/diagnostics/operation.htm,
	  documentation/tools/diagnostics/operation_buffer.htm,
	  documentation/tools/diagnostics/operation_code.htm,
	  documentation/tools/diagnostics/operation_des.htm,
	  documentation/tools/diagnostics/operation_trans.htm,
	  documentation/tools/diagnostics/over.htm,
	  documentation/tools/diagnostics/over_diag.htm,
	  documentation/tools/diagnostics/over_intr.htm,
	  documentation/tools/diagnostics/over_oper.htm,
	  documentation/tools/diagnostics/overlay.htm,
	  documentation/tools/diagnostics/overlay_gmv.htm,
	  documentation/tools/diagnostics/overlay_mv.htm,
	  documentation/tools/diagnostics/overlay_mv_arr.htm,
	  documentation/tools/diagnostics/overlay_mv_clr.htm,
	  documentation/tools/diagnostics/overlay_pred.htm,
	  documentation/tools/diagnostics/overlay_sad.htm,
	  documentation/tools/diagnostics/overlay_split.htm,
	  documentation/tools/diagnostics/toc.htm,
	  documentation/tools/diagnostics/images/image1.jpg,
	  documentation/tools/diagnostics/images/image2.jpg,
	  documentation/tools/diagnostics/images/image3.jpg,
	  documentation/tools/diagnostics/images/image4.jpg,
	  documentation/tools/diagnostics/images/image5.jpg,
	  documentation/tools/diagnostics/images/image6.jpg,
	  documentation/tools/diagnostics/images/image7.jpg,
	  documentation/tools/diagnostics/images/image8.jpg,
	  documentation/tools/diagnostics/images/next.gif,
	  documentation/tools/diagnostics/images/prev.gif,
	  documentation/tools/diagnostics/images/toc.gif,
	  images/arrow_right.gif, images/arrow_right_indent.gif,
	  images/arrow_up.gif, images/black_pixel.jpg,
	  images/dirac_banner.jpg, images/icon_html.gif,
	  images/icon_pdf.gif, images/icon_txt.gif, images/icon_zip.gif:
	  Committing website documentation to CVS

2005-08-15 11:24  asuraparaju

	* doc/faq.htm: Removing unwanted files in doc restructure

2005-08-15 08:34  tjdwave

	* libdirac_common/arith_codec.h: Added comment explaining look-up
	  table operation.

2005-08-12 11:58  asuraparaju

	* configure.ac: Include an extra flag to suppress warnings when
	  compiling in debug mode using icc.

2005-08-12 11:57  asuraparaju

	* README, README.developers: MMX optimisations are enabled by
	  default. Provided instructions as to how to disable it.

2005-08-12 10:26  tjdwave

	* libdirac_common/motion.cpp: Reinstated transition detection code.
	  This means that mode decision is kinder when a transition in the
	  motion vector field is detected, giving better quality in motion
	  transition areas.

2005-08-11 11:44  tjdwave

	* libdirac_common/arith_codec.h: Added Pete Bleackley's code to use
	  a look-up table for division.

2005-08-11 08:21  tjdwave

	* libdirac_common/common.cpp: Added a warning when impossible block
	  parameters are being used, and the encoder changes them.

2005-08-10 17:50  asuraparaju

	* libdirac_common/: wavelet_utils.cpp, wavelet_utils_mmx.cpp:
	  Optimised 5_3 wavelet synthesis function, VHFilter5_3::Synth,
	  using MMX instructions resulting in  6 percent speed improvement
	  in decoding SD.

2005-08-10 17:48  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fix g++ warning about unused
	  variable recode.

2005-08-10 17:47  asuraparaju

	* encoder/encmain.cpp: Print error message and exit if input and
	  output file names are the same.  Changed back cif preset option
	  to uppercase. Sequence and encoder params currently being used
	  are displayed on standard out before actual coding starts.

2005-08-10 17:45  asuraparaju

	* configure.ac: MMX optimisations are enabled by default. Use
	  --disable-mmx to explicitly disable them.

2005-08-10 09:13  tjdwave

	* README: Added modified instructions for -qf and advice about
	  -width and -height.

2005-08-10 09:06  tjdwave

	* libdirac_motionest/block_match.cpp: Changed motion vector bitrate
	  measure so that transitions from foreground to background and
	  vice-versa are not penalised.

2005-08-10 09:04  tjdwave

	* libdirac_encoder/seq_compress.cpp: Removed recoding: superfluous
	  now there is no CQ coding.

2005-08-10 09:02  tjdwave

	* libdirac_encoder/: quality_monitor.cpp, quality_monitor.h:
	  Removed constant quality encoding control mechanism, because it
	  worked too poorly for varied sequences. Instead, QualityMonitor
	  just monitors quality and encoder control reverts to constant
	  Lagrangian parameters.

	  The magic numbers chosen may not work for all sequences or all
	  video standards but will do for the moment.

2005-08-10 08:57  tjdwave

	* libdirac_decoder/comp_decompress.cpp,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp,
	  libdirac_encoder/frame_compress.cpp: Changed default wavelet
	  filters to fast filters APPROX97 and FIVETHREE.  Wavelet filter
	  type is now signalled in the frame header so that changing these
	  filters just changes the encoder. (This is now consistent with
	  the spec).

2005-08-10 08:50  tjdwave

	* libdirac_common/: motion.cpp, motion.h: Fixed bug with way median
	  is calculated. Removed large inline functions from .h and placed
	  in .cpp for clarity.

2005-08-10 08:48  tjdwave

	* libdirac_common/mot_comp.cpp: Minor tidy of the way that
	  weighting matrices are computed.

2005-08-10 08:44  tjdwave

	* libdirac_common/: common.cpp, common.h: Removed recode parameter.
	  Added a CodecParams parameter for the wavelet filter being used,
	  to support signalling this in the bitstream, rather than
	  selecting by frame type. (This is in the spec).

2005-08-10 08:42  tjdwave

	* libdirac_common/: bit_manager.cpp, bit_manager.h: Added support
	  for finding out the current size of bit buffers. This will
	  support future CBR implementations and calculations of bit rate
	  on the fly.

2005-08-10 08:40  tjdwave

	* libdirac_encoder/: dirac_encoder.cpp, dirac_encoder.h: Removed
	  recode option. Set block parameters for HD720 the same as for SD
	  to get around bug 1245129.  Need to fix padding and edge issues
	  to fully resolve this bug.

2005-08-10 08:27  tjdwave

	* encoder/encmain.cpp: Added feature to print out help if there's
	  an unrecognised/unparsed option.  Removed recode feature.

2005-08-01 17:14  asuraparaju

	* libdirac_decoder/dirac_parser.cpp: Speed up set_component
	  function using MMX optimisation.

2005-08-01 17:14  asuraparaju

	* libdirac_common/arrays.h: In TwoDArray<T>::Resize, free and
	  reallocate data only if the new dimensions differ from the old
	  one.

2005-08-01 17:12  asuraparaju

	* win32/VS2003/:
	  DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  libdirac_common/libdirac_common.vcproj: Define HAVE_MMX macro for
	  mmx enabled targets.

2005-08-01 17:11  asuraparaju

	* util/instrumentation/process_sequence.cpp: Fix uninitialised
	  memory read bug reported by Valgrind on reaching end of sequence.

2005-08-01 17:10  asuraparaju

	* unit_tests/: motion_comp_test.cpp, motion_comp_test.h: Test all
	  MV precision values - from pixel to an eighth of a pixel.

2005-08-01 17:10  asuraparaju

	* libdirac_common/wavelet_utils_mmx.cpp: Reimplement
	  VHFilterApprox9_7::Synth and VHFilter13_5::Synth using MMX
	  optimisation.

2005-08-01 17:09  asuraparaju

	* libdirac_common/upconvert_mmx.cpp: Reimplemented
	  UpConverter::DoUpConverter function using MMX optimisation.

2005-08-01 17:07  asuraparaju

	* libdirac_common/: mot_comp_mmx.cpp, mot_comp_mmx.h:
	  Implementation of QuarterPixel::CompensateBlock function using
	  MMX optimisation.

2005-08-01 17:06  asuraparaju

	* libdirac_common/wavelet_utils.cpp: MMX version of Wavelet
	  sythesis functions are used if MMX is enabled.

2005-08-01 17:05  asuraparaju

	* libdirac_common/upconvert.cpp: MMX version of DoUpConverter is
	  used if MMX is enabled.

2005-08-01 17:04  asuraparaju

	* libdirac_common/: mot_comp.cpp, mot_comp.h: Modified the block
	  weights to be of type short to make efficient use of MMX
	  instructions. Modified CompensateComponente to make more
	  efficient use of data in cache. MMX versions of CompensateBlock
	  are used if MMX is enabled.

2005-08-01 17:04  asuraparaju

	* libdirac_common/Makefile.am: Include new mmx optimisation source
	  files and headers.

2005-07-26 10:39  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Reduced chroma weighting
	  factors in order to increase chroma fidelity - chroma bit rates
	  should increase from about 5% of total for 420 to 7.5% of total.
	  Changed default block separation for HD720 preset to remove block
	  edge overlaps at the top of the screen. This may be returned to
	  the old settings when we know why they caused the problem.

2005-07-25 18:01  mservais

	* libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_motionest/global_motion.cpp,
	  libdirac_motionest/global_motion.h,
	  libdirac_motionest/me_motion_type_decn.cpp,
	  libdirac_motionest/me_motion_type_decn.h,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/pixel_match.cpp: Minor bug fixes and added
	  some extra comments

2005-07-22 18:09  asuraparaju

	* configure.ac: updated revision to 0.5.3

2005-07-22 18:09  asuraparaju

	* libdirac_common/bit_manager.h: Updated bitstream version to 0.5
	  since the bitstream is no longer compatible with dirac-0.5.2

2005-07-22 12:59  asuraparaju

	* configure.ac: Include macro AC_SYS_LARGEFILE to overcome the 2GB
	  i/o file limit.  Fix for bug #1212581.

2005-07-21 09:11  tjdwave

	* encoder/encmain.cpp: Made presets non-case-sensitive.

2005-07-20 10:29  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Fixed bug where block
	  parameters were being set incorrectly.

2005-07-20 09:43  tjdwave

	* README: Added text about recode CLI option.

2005-07-19 16:39  tjdwave

	* encoder/encmain.cpp, libdirac_common/common.cpp,
	  libdirac_common/common.h, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/dirac_encoder.h,
	  libdirac_encoder/seq_compress.cpp: Added -recode parameter. If
	  -recode [n] is present, then the encoder will recode up to n
	  times (ie will encoder up to n+1 times).

2005-07-19 15:17  tjdwave

	* libdirac_common/mv_codec.cpp,
	  libdirac_motionest/me_mode_decn.cpp: Fixed bug 1240709. Common
	  mode is now used to reduce encoding of prediction modes. Common
	  mode was also being set incorrectly in the motion estimation
	  process, which caused divergence between the encoder and decoder
	  values.  Since common mode wasn't used, this bug was masked
	  before. Both now fixed.

2005-07-08 10:26  tjdwave

	* libdirac_common/: upconvert.cpp, upconvert.h: Incorporated patch
	  1211899. This tidies up the code and makes it confirm to dirac
	  coding conventions, and also uses a smaller filter. This commit
	  differs from the patch in that the filter is not reduced to 6
	  taps but is reducted to 10 taps instead.  In the future, variable
	  filter coefficients may be supported via templated polymorphism.

2005-06-22 17:52  mservais

	* libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_motionest/filter_weighted_local.cpp,
	  libdirac_motionest/global_motion.cpp,
	  libdirac_motionest/global_motion.h,
	  libdirac_motionest/me_mode_decn.cpp,
	  libdirac_motionest/me_motion_type_decn.cpp,
	  libdirac_motionest/me_motion_type_decn.h,
	  libdirac_motionest/model_affine.cpp,
	  libdirac_motionest/model_affine.h,
	  libdirac_motionest/model_projective.cpp,
	  libdirac_motionest/model_projective.h,
	  libdirac_motionest/motion_estimate.cpp,
	  libdirac_motionest/pixel_match.cpp: When using global motion (but
	  not exclusively global motion), the global motion decisions can
	  now be flagged either per Prediction Unit or per Macro-Block.

	  Also, the use of a Common Mode for each Macro-Block is now
	  possible. (This had not been fully implemented before.)

2005-06-10 15:15  tjdwave

	* libdirac_encoder/quality_monitor.cpp,
	  libdirac_motionest/block_match.cpp: Fixed bug with computing MV
	  costs. Incorporated patch 1216297 for quality measurement.

2005-06-10 11:52  tjdwave

	* libdirac_encoder/dirac_encoder.cpp: Changed default block height
	  and width for motion compensation to 24 by 24 pixels from 20 by
	  20. Separation remains 16 by 16. The result is reduced blockiness
	  in areas of poor motion prediction. Downside is slower encoder,
	  but the block parameters are merely scaled-up versions of the SD
	  parameters.

2005-05-26 19:48  asuraparaju

	* extras/patches/ffmpeg-0.4.9-pre1-dirac-0.5.x.patch: Fixed bug
	  1209053. Frame size parameters are now fetched from the AV
	  context before setting frame size. Also fixed a bug where quality
	  factor was not being set correctly.

2005-05-26 16:20  stuart_hc

	* tests/samples.at: Fix bug 1209017: use -width/-height instead of
	  -x/-y

2005-05-26 16:01  stuart_hc

	* encoder/encmain.cpp: Fix bug 1209017: use -width/-height instead
	  of -x/-y Also fix SEGV when incorrect -cformat parameter is
	  passed.

2005-05-26 15:59  stuart_hc

	* README: Fix bug 1209017: use -width/-height instead of -x/-y

2005-05-25 14:30  asuraparaju

	* ChangeLog: [no log message]

2005-05-25 13:51  asuraparaju

	* README.release: Add ffmpeg patch to checklist

2005-05-25 13:43  asuraparaju

	* NEWS: Included dirac-0.5.2 release notes

2005-05-25 13:40  asuraparaju

	* AUTHORS: Updated contibutor list

2005-05-25 13:06  asuraparaju

	* extras/patches/: MPlayer-1.0pre7_dirac-0.5.x.patch,
	  README_MPlayer-1.0pre7_dirac-0.5.x_patch,
	  README_ffmpeg-0.4.9-pre1-dirac-0.5.x_patch,
	  README_transcode-0.6.14_dirac-0.5.x_patch,
	  ffmpeg-0.4.9-pre1-dirac-0.5.x.patch,
	  transcode-0.6.14-dirac-0.5.x.patch: Patches to MPlayer, ffmped
	  and transcode to add Dirac support to these tools.

2005-05-24 08:28  tjdwave

	* libdirac_encoder/seq_compress.cpp: Fixed bug with count increment
	  so that fast adaption takes place on first recoding rather than
	  second.

2005-05-20 15:30  asuraparaju

	* README: Modified this file to remove all references to image
	  header files which are no longer required.

2005-05-20 15:25  asuraparaju

	* libdirac_encoder/seq_compress.cpp: Fix minor glitches in verbose
	  output

2005-05-20 15:02  asuraparaju

	* win32/VS2003/dirac.sln: Remove MakeHeader from list of targets as
	  contents of header files have been replaced with command line
	  arguments.

2005-05-20 15:01  asuraparaju

	* encoder/encmain.cpp, libdirac_encoder/dirac_encoder.cpp,
	  libdirac_encoder/seq_compress.cpp: Fix bugs in bit rate reporting

2005-05-20 14:05  asuraparaju

	* Makefile.am, configure.ac: make_header utility is no longer
	  required. So removing picheader directory from list of targets.

2005-05-20 13:44  asuraparaju

	* tests/: colourbars.at, create_dirac_testfile.pl, samples.at:
	  Remove all references to make_header. Sequence header information
	  is now passed to encoder on the command line.

2005-05-20 13:43  asuraparaju

	* util/instrumentation/instrmain.cpp: The encoder now writes
	  sequence header information to the instrumentation output file.
	  So read sequence info from instrumentation file.

2005-05-20 13:42  asuraparaju

	* encoder/encmain.cpp: Fix g++ errors. Write the sequence header
	  information to the instrumentation file.

2005-05-20 13:41  asuraparaju

	* libdirac_common/: pic_io.cpp, pic_io.h: Delete all code relating
	  to header file creation/reading. All sequence parameters are now
	  supplied to encoder via the command line.

2005-05-19 12:23  dirac_dev

	* decoder/decmain.cpp: Removed any references to header files.

2005-05-19 12:15  dirac_dev

	* encoder/encmain.cpp: Removed requirement of a header file. All
	  parameters are handled through command-line options. Most options
	  will still be set by the pre-set option, although they can be
	  overriden.

2005-05-19 12:03  asuraparaju

	* unit_tests/motion_comp_test.cpp: Update motion compensation tests
	  to use the helper function in MotionCompensator to instantiate
	  the MotionCompensator sub-class for the mv precision value
	  selected.

2005-05-19 11:56  asuraparaju

	* libdirac_decoder/: frame_decompress.cpp, frame_decompress.h: Now
	  reads the MV precision in the frame header.

2005-05-19 11:35  asuraparaju

	* libdirac_encoder/frame_compress.cpp: Writing the motion vector
	  precision value as part of frame header. Default mv precision is
	  set to 2 i.e. quarter pixel.

2005-05-19 11:25  asuraparaju

	* libdirac_motionest/me_utils_mmx.cpp: Fixed C/C++ aliasing
	  violations that caused a performance slow down when compiled with
	  gcc 4.0.0

2005-05-19 11:24  asuraparaju

	* libdirac_motionest/me_utils.h: Fixed gcc 4.0.0 warnings

2005-05-19 11:23  asuraparaju

	* libdirac_common/bit_manager.h: Updated bitstream version to 0.4

2005-05-19 11:21  asuraparaju

	* libdirac_common/: common.cpp, common.h: Added a field to
	  CodecParams class for motion vector precision. A value of 'n'
	  implies a precision of (2**-n)i pixel. i.e. a value of 2 implies
	  an mv precision of 1/4 i.e. quarter pixel.

2005-05-19 11:16  asuraparaju

	* libdirac_common/: mot_comp.cpp, mot_comp.h: Added support for
	  multiple levels of motion vector precision - pixel, half pixel,
	  quarter pixel and multiple pixel. The main MotionCompensator
	  class is an abstract class. Each of its sub-classes define the
	  CompensateBlock function to a particular level of motion
	  precision.

2005-05-19 11:12  asuraparaju

	* libdirac_motionest/: me_mode_decn.cpp, me_subpel.cpp,
	  motion_estimate.cpp: Motion estimation modified to support
	  variable motion vector precision. The implementation is
	  preliminary, and should be modified later: vectors are scaled by
	  a factor 8 to give a maximum of eighth-pel accuracy. Generic
	  block matching functions are used at this accuracy even though
	  true accuracy will be less - the subpixel search is merely
	  truncated.

	  In the future, half-pixel and quarter-pixel block matching
	  functions should be written, just as for motion compensation as
	  these will be faster.

2005-05-13 09:40  mservais

	* libdirac_common/mot_comp.cpp, libdirac_common/motion.cpp,
	  libdirac_common/mv_codec.cpp,
	  libdirac_motionest/me_motion_type_decn.cpp,
	  libdirac_motionest/me_motion_type_decn.h,
	  libdirac_motionest/motion_estimate.cpp,
	  win32/VS2003/ConversionUtils/BMPtoRGB/Debug/BuildLog.htm,
	  win32/VS2003/ConversionUtils/BMPtoRGB/Debug/vc70.idb,
	  win32/VS2003/ConversionUtils/BMPtoRGB/Debug/vc70.pdb: Prediction
	  units can now use either global or block motion. (Decision based
	  on similarity of global and block motion vectors.)

2005-05-11 10:13  tjdwave

	* libdirac_common/wavelet_utils.cpp: Fixed -pedantic errors on
	  unused variables. Replaced dynamic built-in array (which violates
	  ISO C++) with array class.

2005-05-05 15:10  tjdwave

	* unit_tests/wavelet_utils_test.cpp: Added support for testing all
	  different wavelet transforms for invertibility.

2005-05-04 14:35  tjdwave

	* libdirac_common/common.h, libdirac_common/wavelet_utils.cpp,
	  libdirac_common/wavelet_utils.h, libdirac_common/band_codec.cpp,
	  libdirac_decoder/comp_decompress.cpp,
	  libdirac_encoder/comp_compress.cpp: Modifications to support
	  different wavelet filter types.

	  wavelet_utils.{cpp,h} Added three new filter types with lifting
	  implementations, all much faster than Daubechies (9,7).
	  Refactored the code to support filter selection in constructor of
	  WaveletTransform class. Added method to correctly output DC band
	  expected values. Separated off coefficient interleaving and
	  deinterleaving. Setting of subband weights is now a
	  WaveletTransform function, as noise weighting factors depend on
	  the filter choice.

	  band_codec.cpp Removed literal constant and used 0 instead for
	  top-left DC value prediction.

	  comp_compress.cpp, comp_decompress.cpp Changed default filters
	  from Daubechies (9,7) to faster filters which perform almost as
	  well. This is a temporary mod. It is intended to be able to
	  select fast filters via the CLI and for wavelet filter choices to
	  be signalled in frame headers. This will be done in later
	  refactoring to converge with the bitstream syntax in terms of
	  frame types and header information.

2005-05-04 12:13  mservais

	* libdirac_motionest/: me_motion_type_decn.cpp,
	  me_motion_type_decn.h: Introduces decision as to whether
	  individual prediction units should use Global Motion or not. (Not
	  complete yet!)

2005-05-04 12:06  mservais

	* libdirac_common/common.h, libdirac_common/motion.cpp,
	  libdirac_common/motion.h, libdirac_common/mv_codec.cpp,
	  libdirac_common/mv_codec.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_motionest/motion_estimate.cpp,
	  win32/VS2003/libdirac_common/libdirac_common.vcproj,
	  win32/VS2003/libdirac_motionest/libdirac_motionest.vcproj:
	  Introduces decision as to whether individual prediction units
	  should use Global Motion or not. (Not complete yet!)

2005-04-13 16:36  asuraparaju

	* libdirac_common/arrays.h: New constants PIXEL_VALUE_MIN and
	  PIXEL_VALUE_MAX to define the upper and lower limits on pixel
	  values.

2005-04-13 16:28  asuraparaju

	* libdirac_common/frame.cpp: Included an MMX implementation of
	  Frame::ClipComponent to achieve a decoding speedup in conjuction
	  with mot_comp.cpp changes. Also using pointer arithmetic insted
	  of index operator when accessing TwoDArray objects.

2005-04-13 16:25  asuraparaju

	* libdirac_motionest/me_utils_mmx.cpp: Using pointer arithmetic
	  instead of the index operator when using TwoDArray objects to get
	  an overall slight improvement in encoding speed.

2005-04-13 16:16  asuraparaju

	* libdirac_common/mot_comp.cpp: Partially applied patch 1151976.
	  Using pointer arithmetic instead of index operator to access
	  TwoDArray objects. A few other tweaks to improve cache locality.

2005-04-13 16:09  asuraparaju

	* libdirac_encoder/quant_chooser.cpp: Fix errors reported by
	  MIPSPro C++ compiler regarding not specifiying the namespace for
	  math functions like floor and log.

2005-04-13 16:06  asuraparaju

	* libdirac_common/arith_codec.h: Fix g++ warning re unused
	  variables.

2005-04-13 16:06  asuraparaju

	* configure.ac: Included icc compile time flag -wr964 to treat
	  warning 964 as a remark when mmx is enabled.

2005-04-12 11:56  timborer

	* doc/DiracSpecV0.1.doc: Modifed default Motion Vector precision
	  (now 1/4 pel), added note that max MV precision should be
	  included in Level. Corrected typos.

2005-04-06 15:31  tjdwave

	* libdirac_common/: band_codec.cpp, band_codec.h, mv_codec.cpp,
	  mv_codec.h: Oops. Correct files now uploaded.

2005-04-06 15:28  tjdwave

	* libdirac_common/: band_codec.cpp, band_codec.h, mv_codec.cpp,
	  mv_codec.h: Changes to reflect mods to arith_codec.h: in
	  particular, Update is removed as this is no longer a virtual
	  function. Instead the base class function is called directly in
	  the encoding/decoding engines.

2005-04-06 15:07  tjdwave

	* libdirac_common/arith_codec.h: Speed-up to arithmetic coding and
	  decoding, using probability range renormalisation to avoid
	  unnecessary divides.

2005-04-05 14:56  timborer

	* doc/DiracSpecV0.1.doc: Initial draft of Dirac spec. This is not a
	  specification of what we have but a proposed spec for what we
	  want. At the moment it focuses on syntax rather than semantics.
	  It is inkorect and incomplet.

2005-03-17 11:21  mservais

	* libdirac_motionest/motion_estimate.cpp: Example with "Global
	  Motion Only" set to 1.

2005-03-17 11:01  mservais

	* libdirac_motionest/: filter_weighted_local.cpp,
	  global_motion.cpp, me_mode_decn.cpp, model_affine.cpp,
	  model_affine.h, model_global_motion.h, model_projective.h,
	  motion_estimate.cpp, reject_intensity.cpp, reject_sad.cpp:
	  Initial implementation of Global Motion. Allows for Global Motion
	  Only switch for each frame. If this is set, only the Global
	  Motion Parameters are coded - i.e. no block motion vectors are
	  coded.

2005-03-17 10:57  mservais

	* libdirac_common/common.h, libdirac_common/mot_comp.cpp,
	  libdirac_common/motion.cpp, libdirac_common/motion.h,
	  libdirac_common/mv_codec.cpp, libdirac_common/mv_codec.h,
	  libdirac_decoder/frame_decompress.cpp,
	  libdirac_decoder/frame_decompress.h,
	  libdirac_encoder/frame_compress.cpp,
	  libdirac_encoder/frame_compress.h: Initial implementation of
	  Global Motion. Allows for Global Motion Only switch for each
	  frame. If this is set, only the Global Motion Parameters are
	  coded - i.e. no block motion vectors are coded.

2005-03-17 10:43  mservais

	* libdirac_motionest/reject_local.cpp: Initial implementation of
	  Global Motion. Allows for Global Motion Only switch for each
	  frame. If this is set, only the Global Motion Parameters are
	  coded - i.e. no block motion vectors are coded.

2005-03-17 10:34  mservais

	* libdirac_motionest/global_motion.h: Initial Implementation for
	  Global Motion. Allows a Global Motion Only switch for each frame.
	  If this is set, only the Global Motion Parameters are coded -
	  i.e. no block motion vectors are coded.

2005-03-11 13:43  asuraparaju

	* libdirac_common/: common.cpp, common.h: Fixed bug 1159031.
	  dirac_quantiser_lists is not an extern anymore and is limited to
	  file scope.

2005-03-04 14:55  tjdwave

	* libdirac_common/arrays.h, AUTHORS: Added Mike Ferenduros' mods to
	  arrays, so that memory allocation is always contiguous. Also
	  added him to list of contributors.

2005-02-17 14:07  asuraparaju

	* ChangeLog: [no log message]

2005-02-17 13:05  asuraparaju

	* NEWS: Included Dirac 0.5.1 release notes

2005-02-17 13:05  asuraparaju

	* README.release: Included Dirac Directshow filter and Mplayer
	  patch to checklist

2005-02-17 13:03  asuraparaju

	* README.developers: Modified MMX optimisation implementation
	  guidelines to use Intrinsics. Included notes on conducting
	  end-to-end test using 'make check' and create_dirac_testfile.pl

2005-02-17 13:02  asuraparaju

	* README: Included notes on how to enable MMX optimisations and how
	  to use the data generation script create_dirac_testfile.pl

2005-02-17 12:23  asuraparaju

	* picheader/headmain.cpp: Not returning an exit code when usage
	  info is displayed.

2005-02-17 12:22  asuraparaju

	* tests/create_dirac_testfile.pl: Fix compilation errors.

2005-02-17 12:21  asuraparaju

	* tests/Makefile.am: Include scrip create_dirac_testfile.pl in
	  install list to bin directory

2005-02-16 17:52  asuraparaju

	* libdirac_common/bit_manager.h: the bitstream has changed. So
	  updated bitstream version so that an error is reported if
	  attempting to decode	older versions of Dirac files.

2005-02-16 17:48  asuraparaju

	* extras/patches/: MPlayer-1.0pre6a_dirac-0.5.x.patch,
	  README_MPlayer-1.0pre6a_dirac-0.5.x_patch: Mplayer 1.0pre6a patch
	  to enable Dirac support in MPlayer

2005-02-16 17:42  asuraparaju

	* extras/dirac_dshow/src/diracsplitter/: DiracSplitter.cpp,
	  DiracSplitter.def: Dirac direct show filter files

2005-02-16 17:40  asuraparaju

	* extras/dirac_dshow/src/basesplitter/: BaseSplitterFileEx.cpp,
	  BaseSplitterFileEx.h: Direct show filter files

2005-02-16 17:19  asuraparaju

	* extras/dirac_dshow/: DiracSplitter.sln, INSTALL,
	  README.developers, include/IChapterInfo.h,
	  include/IKeyFrameInfo.h, include/moreuuids.h,
	  include/matroska/matroska.h, include/winddk/devioctl.h,
	  include/winddk/ntddcdrm.h, include/winddk/ntddstor.h,
	  src/basesplitter/AsyncReader.cpp, src/basesplitter/AsyncReader.h,
	  src/basesplitter/BaseSplitter.cpp,
	  src/basesplitter/BaseSplitter.h,
	  src/basesplitter/BaseSplitterFile.cpp,
	  src/basesplitter/BaseSplitterFile.h,
	  src/basesplitter/basesplitter.vcproj,
	  src/basesplitter/stdafx.cpp, src/basesplitter/stdafx.h,
	  src/diracsplitter/DiracSplitter.h,
	  src/diracsplitter/DiracSplitter.rc,
	  src/diracsplitter/DiracSplitter.vcproj,
	  src/diracsplitter/DiracSplitterFile.cpp,
	  src/diracsplitter/DiracSplitterFile.h,
	  src/diracsplitter/resource.h, src/diracsplitter/stdafx.cpp,
	  src/diracsplitter/stdafx.h, src/dsutil/DSUtil.cpp,
	  src/dsutil/DSUtil.h, src/dsutil/MediaTypes.cpp,
	  src/dsutil/MediaTypes.h, src/dsutil/NullRenderers.cpp,
	  src/dsutil/NullRenderers.h, src/dsutil/a_yuv2rgb.asm,
	  src/dsutil/a_yuvtable.asm, src/dsutil/convert_a.asm,
	  src/dsutil/dsutil.vcproj, src/dsutil/stdafx.cpp,
	  src/dsutil/stdafx.h, src/dsutil/text.cpp, src/dsutil/text.h,
	  src/dsutil/vd.cpp, src/dsutil/vd.h, src/switcher/AudioSwitcher.h,
	  src/switcher/StreamSwitcher.h: Patches and DirectShow filter
	  related files

2005-02-15 11:39  asuraparaju

	* win32/VS2003/: dirac.sln, ConversionUtils/ConversionUtils.vcproj,
	  ConversionUtils/BMPtoRGB/BMPtoRGB.vcproj,
	  ConversionUtils/RGBtoBMP/RGBtoBMP.vcproj,
	  ConversionUtils/RGBtoUYVY/RGBtoUYVY.vcproj,
	  ConversionUtils/RGBtoYUV411/RGBtoYUV411.vcproj,
	  ConversionUtils/RGBtoYUV420/RGBtoYUV420.vcproj,
	  ConversionUtils/RGBtoYUV422/RGBtoYUV422.vcproj,
	  ConversionUtils/RGBtoYUV444/RGBtoYUV444.vcproj,
	  ConversionUtils/UYVYtoRGB/UYVYtoRGB.vcproj,
	  ConversionUtils/YUV411toRGB/YUV411toRGB.vcproj,
	  ConversionUtils/YUV420toRGB/YUV420toRGB.vcproj,
	  ConversionUtils/YUV422toRGB/YUV422toRGB.vcproj,
	  ConversionUtils/YUV444toRGB/YUV444toRGB.vcproj,
	  ConversionUtils/libconv_common/libconv_common.vcproj,
	  DecodeDirac/DecodeDirac.vcproj, DiracDecoder/DiracDecoder.vcproj,
	  DiracDecoder/libdirac_decoder/libdirac_decoder.vcproj,
	  DiracEncoder/DiracEncoder.vcproj,
	  DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj,
	  EncodeDirac/EncodeDirac.vcproj, Everything/Everything.vcproj,
	  InstrumentDirac/InstrumentDirac.vcproj,
	  InstrumentDirac/libdirac_instrument/libdirac_instrument.vcproj,
	  MakeHeader/MakeHeader.vcproj,
	  libdirac_common/libdirac_common.vcproj,
	  libdirac_motionest/libdirac_motionest.vcproj: Added new targets
	  for building with MMX optimisation enabled.

2005-02-15 11:38  asuraparaju

	* configure.ac: Update release id to 0.5.1. Added flag to enable
	  MMX optimisation and test for checking if MMX optimising is
	  available. Default opt level changed to -O3 for g++ and icc.
	  Added extra optimisation flags when compiling with g++.  Fixed
	  cppunit availability check to report linker errors so that shared
	  library mismatches are trapped.

2005-02-15 11:33  asuraparaju

	* encoder/encmain.cpp: Modified error messages to output more
	  information.

2005-02-15 11:31  asuraparaju

	* tests/: Makefile.am, create_dirac_testfile.pl, samples.at,
	  testsuite.at: A new script to generate dirac test data of
	  different chroma formats from source RGB format input data. A new
	  testcase, samples.at, which looks for Dirac test data in the
	  directory specified by the env variable DIRAC_INPUT_DATA_DIR.
	  The script and testcase are useful to run end-to-end tests using
	  all input formats supported by Dirac.

2005-02-15 11:21  asuraparaju

	* libdirac_motionest/: Makefile.am, me_utils.cpp, me_utils_mmx.cpp,
	  me_utils_mmx.h: Using MMX to compute block differences. Applied a
	  modified version of patch 1081743.

2005-02-15 11:15  asuraparaju

	* libdirac_common/: band_codec.h, wavelet_utils.h: Fixed doxygen
	  warnings

2005-02-15 11:13  asuraparaju

	* acinclude.m4: File containing user defined autoconf macro
	  functions specific to Dirac project

2005-02-08 14:02  tjdwave

	* libdirac_common/arith_codec.h: Replaced delete with delete[] in
	  destructor. Added clean-up in data reading so that the class can
	  be re-used without causing a memory leak.

2005-02-07 12:12  tjdwave

	* libdirac_encoder/comp_compress.cpp,
	  libdirac_decoder/comp_decompress.cpp: Fixed bug where blocks of
	  coefficients with zero dimensions were being generated. There's
	  now a minimum size of 4x4 coefficients for a code block.

2005-02-02 15:29  asuraparaju

	* libdirac_common/arith_codec.h, libdirac_common/band_codec.cpp,
	  libdirac_common/mv_codec.cpp,
	  libdirac_decoder/comp_decompress.cpp: Fixed g++ warnings when
	  compiled in debug mode (i.e. configure with flag --enable-debug)

2005-02-02 15:24  dirac_dev

	*
	  win32/VS2003/DiracEncoder/libdirac_encoder/libdirac_encoder.vcproj:
	  Added quant_chooser.cpp/h

2005-02-02 14:50  tjdwave

	* libdirac_decoder/: comp_decompress.cpp, comp_decompress.h: Added
	  support for multiple code blocks/quantisers. Added separate
	  function for reading header.

2005-02-02 14:49  tjdwave

	* libdirac_encoder/Makefile.am: Modded to add quant_chooser.{cpp,h}

2005-02-02 14:47  tjdwave

	* libdirac_encoder/: comp_compress.cpp, comp_compress.h,
	  quality_monitor.cpp, quality_monitor.h: Removed quantiser
	  selection from comp_compress to another class.

2005-02-02 14:46  tjdwave

	* libdirac_encoder/: quant_chooser.cpp, quant_chooser.h: Modified
	  author details.

2005-02-02 14:44  tjdwave

	* libdirac_encoder/: quant_chooser.cpp, quant_chooser.h: Added
	  classes to handle selecting quantisers. These allow a single
	  quantiser per subband to be chosen, or alternatively one for each
	  code block.

2005-02-02 14:42  tjdwave

	* libdirac_common/: band_codec.cpp, common.cpp, mv_codec.cpp,
	  wavelet_utils.cpp, arith_codec.h, band_codec.h, common.h,
	  mv_codec.h, wavelet_utils.h: Modified wavelet coeff coding to
	  code blocks of coefficients. with skip flags if all coefficients
	  are zero. Wavelet coefficient coding has reduced use of class
	  member variables for clarity. The arithmetic coding and decoding
	  engines have been modified to improve speed and code
	  organisation. The decoder now reads in all the data before
	  beginning decoding. Coding of motion vector data has been tidied,
	  and modified to accommodate changes in the arithmetic coding
	  engine. Block prediction modes are now coded slightly
	  differently, which improves compression performance.

2005-01-24 16:58  tjdwave

	* libdirac_common/common.h, libdirac_common/mv_codec.cpp,
	  libdirac_common/mv_codec.h, libdirac_motionest/me_mode_decn.cpp:
	  Changed prediction of block modes to be bitwise - bit 0 indicates
	  the presence of a Ref1 MV, and bit 1 indicated the presence of a
	  Ref2 MV. This is also reflected in selecting modes in motion
	  estimation.

2005-01-24 16:06  tjdwave

	* libdirac_motionest/me_mode_decn.cpp: Re-instituted bi-directional
	  prediction, inadvertently commented out.

2005-01-24 14:43  tjdwave

	* libdirac_motionest/: block_match.cpp, block_match.h,
	  me_subpel.cpp: Made local motion vector variance a member
	  function of the block matcher, and made the cut-off limits depend
	  on the picture size. This improves performance at HD by 4% or so.

2005-01-18 19:13  mservais

	* libdirac_motionest/global_motion.h: Testing CVS (Marc)

2005-01-18 18:20  mservais

	* libdirac_motionest/global_motion.h: Testing CVS (Marc)

2005-01-18 17:42  mservais

	* libdirac_motionest/global_motion.cpp: Marc: Testing that CVS
	  works OK

2005-01-12 17:50  asuraparaju

	* libdirac_motionest/global_motion.h: Forgot to add this file with
	  the earlier lot of global motion files

2005-01-12 16:18  asuraparaju

	* win32/VS2003/libdirac_motionest/libdirac_motionest.vcproj: Added
	  global motion related files to the project

2005-01-12 15:30  asuraparaju

	* libdirac_motionest/: Makefile.am, filter_weighted_local.cpp,
	  filter_weighted_local.h, global_motion.cpp, model_affine.cpp,
	  model_affine.h, model_global_motion.cpp, model_global_motion.h,
	  model_projective.cpp, model_projective.h, motion_estimate.cpp,
	  refine_motion_vector_field.cpp, refine_motion_vector_field.h,
	  reject_edge.cpp, reject_edge.h, reject_intensity.cpp,
	  reject_intensity.h, reject_local.cpp, reject_local.h,
	  reject_motion_vector_outliers.cpp,
	  reject_motion_vector_outliers.h, reject_outlier.cpp,
	  reject_outlier.h, reject_sad.cpp, reject_sad.h, reject_value.cpp,
	  reject_value.h, test_global_motion_model.cpp,
	  test_global_motion_model.h, test_mv_sad.cpp, test_mv_sad.h:
	  Global motion estimation related new files and mods to existing
	  files

2004-12-22 11:59  tjdwave

	* libdirac_motionest/block_match.cpp: Fixed bug with assigning
	  costs to lists of vectors, reported by Eric Rannaud.

2004-12-10 15:28  asuraparaju

	* libdirac_common/Makefile.am, libdirac_decoder/Makefile.am,
	  libdirac_encoder/Makefile.am, libdirac_motionest/Makefile.am,
	  util/instrumentation/libdirac_instrument/Makefile.am: Fixed bug
	  1081435.

2004-12-10 15:21  asuraparaju

	* decoder/Makefile.am, encoder/Makefile.am, picheader/Makefile.am,
	  util/instrumentation/Makefile.am: Link in math library, libm, if
	  required.

2004-12-10 15:20  asuraparaju

	* tests/colourbars.at: Not ignoring standard error so that errors
	  are trapped when running the test suite.

2004-12-10 15:18  asuraparaju

	* encoder/encmain.cpp: Print the bitrate to standard output even
	  when not in verbose mode.

2004-12-10 15:16  asuraparaju

	* libdirac_encoder/comp_compress.cpp: Included Peter Meerwald in
	  list of contributors

2004-12-10 15:13  asuraparaju

	* libdirac_encoder/comp_compress.cpp: Fixed errors reported by
	  MIPSpro 7.4 C++ compiler. Applied patch 1081664 which improves
	  encoding speed by 10-15%.

2004-12-10 15:04  asuraparaju

	* configure.ac: Added check to see if math library, libm, needs to
